
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '__ANON_2', 1: '__ANON_0', 2: '$END', 3: '__ANON_1', 4: 'RBRACE', 5: 'block', 6: 'identifier', 7: '__ANON_3', 8: 'new_line_or_comment', 9: '__anon_plus_2', 10: 'start', 11: 'body', 12: 'NULL', 13: 'null_lit', 14: '__anon_star_0', 15: 'attribute', 16: 'LBRACE', 17: 'STRING_LIT', 18: 'EQUAL', 19: '__anon_star_1', 20: 'LPAR', 21: 'FALSE', 22: '__ANON_9', 23: '__ANON_11', 24: 'RSQB', 25: 'IF', 26: 'DECIMAL', 27: '__ANON_14', 28: 'IN', 29: '__ANON_10', 30: 'TRUE', 31: 'DOT', 32: 'RPAR', 33: 'QMARK', 34: 'PLUS', 35: 'COMMA', 36: 'BANG', 37: '__ANON_7', 38: '__ANON_5', 39: '__ANON_8', 40: 'STAR', 41: 'SLASH', 42: '__ANON_12', 43: 'PERCENT', 44: 'MORETHAN', 45: 'COLON', 46: 'MINUS', 47: 'LSQB', 48: '__ANON_4', 49: 'LESSTHAN', 50: '__ANON_6', 51: '__ANON_13', 52: 'FOR', 53: 'expression', 54: 'heredoc_template', 55: 'expr_term', 56: 'full_splat_expr_term', 57: 'function_call', 58: '__anon_plus_3', 59: 'conditional', 60: 'heredoc_template_trim', 61: 'binary_op', 62: 'float_lit', 63: 'for_tuple_expr', 64: 'int_lit', 65: 'for_object_expr', 66: 'attr_splat_expr_term', 67: 'tuple', 68: 'get_attr_expr_term', 69: 'true_lit', 70: 'operation', 71: 'unary_op', 72: 'index_expr_term', 73: 'object', 74: 'false_lit', 75: 'object_elem', 76: 'for_intro', 77: 'binary_operator', 78: 'binary_term', 79: 'attr_splat', 80: 'full_splat', 81: 'get_attr', 82: 'index', 83: 'EXP_MARK', 84: 'new_line_and_or_comma', 85: '__anon_star_5', 86: '__anon_star_4', 87: '__anon_star_6', 88: 'arguments', 89: 'for_cond', 90: '__anon_star_7'}, 'states': {0: {0: (0, 7), 1: (0, 11), 2: (1, {'@': 45}), 3: (0, 13), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 4), 9: (0, 5), 10: (0, 6), 11: (0, 8), 12: (0, 9), 13: (0, 10), 14: (0, 12), 15: (0, 14)}, 1: {0: (1, {'@': 46}), 12: (1, {'@': 46}), 7: (1, {'@': 46}), 3: (1, {'@': 46}), 1: (1, {'@': 46}), 2: (1, {'@': 46}), 4: (1, {'@': 46})}, 2: {6: (0, 15), 16: (0, 16), 7: (0, 3), 17: (0, 17), 18: (0, 18), 19: (0, 19)}, 3: {20: (1, {'@': 47}), 18: (1, {'@': 47}), 21: (1, {'@': 47}), 22: (1, {'@': 47}), 7: (1, {'@': 47}), 23: (1, {'@': 47}), 24: (1, {'@': 47}), 25: (1, {'@': 47}), 26: (1, {'@': 47}), 12: (1, {'@': 47}), 3: (1, {'@': 47}), 27: (1, {'@': 47}), 28: (1, {'@': 47}), 2: (1, {'@': 47}), 29: (1, {'@': 47}), 1: (1, {'@': 47}), 30: (1, {'@': 47}), 31: (1, {'@': 47}), 4: (1, {'@': 47}), 32: (1, {'@': 47}), 0: (1, {'@': 47}), 16: (1, {'@': 47}), 33: (1, {'@': 47}), 34: (1, {'@': 47}), 35: (1, {'@': 47}), 36: (1, {'@': 47}), 37: (1, {'@': 47}), 38: (1, {'@': 47}), 39: (1, {'@': 47}), 17: (1, {'@': 47}), 40: (1, {'@': 47}), 41: (1, {'@': 47}), 42: (1, {'@': 47}), 43: (1, {'@': 47}), 44: (1, {'@': 47}), 45: (1, {'@': 47}), 46: (1, {'@': 47}), 47: (1, {'@': 47}), 48: (1, {'@': 47}), 49: (1, {'@': 47}), 50: (1, {'@': 47}), 51: (1, {'@': 47})}, 4: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 7: (0, 3), 11: (0, 20), 13: (0, 10), 12: (0, 9), 14: (0, 12), 15: (0, 14)}, 5: {52: (1, {'@': 48}), 25: (1, {'@': 48}), 26: (1, {'@': 48}), 46: (1, {'@': 48}), 32: (1, {'@': 48}), 0: (0, 21), 12: (1, {'@': 48}), 20: (1, {'@': 48}), 47: (1, {'@': 48}), 16: (1, {'@': 48}), 3: (0, 22), 28: (1, {'@': 48}), 21: (1, {'@': 48}), 36: (1, {'@': 48}), 35: (1, {'@': 48}), 2: (1, {'@': 48}), 29: (1, {'@': 48}), 17: (1, {'@': 48}), 7: (1, {'@': 48}), 23: (1, {'@': 48}), 24: (1, {'@': 48}), 1: (0, 23), 30: (1, {'@': 48}), 4: (1, {'@': 48})}, 6: {2: (0, 24)}, 7: {52: (1, {'@': 49}), 32: (1, {'@': 49}), 0: (1, {'@': 49}), 20: (1, {'@': 49}), 16: (1, {'@': 49}), 21: (1, {'@': 49}), 36: (1, {'@': 49}), 35: (1, {'@': 49}), 17: (1, {'@': 49}), 7: (1, {'@': 49}), 23: (1, {'@': 49}), 24: (1, {'@': 49}), 25: (1, {'@': 49}), 26: (1, {'@': 49}), 46: (1, {'@': 49}), 12: (1, {'@': 49}), 47: (1, {'@': 49}), 3: (1, {'@': 49}), 28: (1, {'@': 49}), 2: (1, {'@': 49}), 29: (1, {'@': 49}), 1: (1, {'@': 49}), 30: (1, {'@': 49}), 4: (1, {'@': 49})}, 8: {2: (1, {'@': 50}), 8: (0, 25), 1: (0, 11), 9: (0, 5), 0: (0, 7), 3: (0, 13)}, 9: {20: (1, {'@': 51}), 18: (1, {'@': 51}), 21: (1, {'@': 51}), 22: (1, {'@': 51}), 7: (1, {'@': 51}), 23: (1, {'@': 51}), 24: (1, {'@': 51}), 25: (1, {'@': 51}), 26: (1, {'@': 51}), 12: (1, {'@': 51}), 3: (1, {'@': 51}), 27: (1, {'@': 51}), 2: (1, {'@': 51}), 29: (1, {'@': 51}), 1: (1, {'@': 51}), 30: (1, {'@': 51}), 31: (1, {'@': 51}), 4: (1, {'@': 51}), 32: (1, {'@': 51}), 0: (1, {'@': 51}), 16: (1, {'@': 51}), 33: (1, {'@': 51}), 34: (1, {'@': 51}), 35: (1, {'@': 51}), 36: (1, {'@': 51}), 37: (1, {'@': 51}), 38: (1, {'@': 51}), 39: (1, {'@': 51}), 17: (1, {'@': 51}), 40: (1, {'@': 51}), 41: (1, {'@': 51}), 42: (1, {'@': 51}), 43: (1, {'@': 51}), 44: (1, {'@': 51}), 45: (1, {'@': 51}), 46: (1, {'@': 51}), 47: (1, {'@': 51}), 48: (1, {'@': 51}), 49: (1, {'@': 51}), 50: (1, {'@': 51}), 51: (1, {'@': 51})}, 10: {18: (0, 26)}, 11: {52: (1, {'@': 52}), 32: (1, {'@': 52}), 0: (1, {'@': 52}), 20: (1, {'@': 52}), 16: (1, {'@': 52}), 21: (1, {'@': 52}), 36: (1, {'@': 52}), 35: (1, {'@': 52}), 17: (1, {'@': 52}), 7: (1, {'@': 52}), 23: (1, {'@': 52}), 24: (1, {'@': 52}), 25: (1, {'@': 52}), 26: (1, {'@': 52}), 46: (1, {'@': 52}), 12: (1, {'@': 52}), 47: (1, {'@': 52}), 3: (1, {'@': 52}), 28: (1, {'@': 52}), 2: (1, {'@': 52}), 29: (1, {'@': 52}), 1: (1, {'@': 52}), 30: (1, {'@': 52}), 4: (1, {'@': 52})}, 12: {0: (1, {'@': 53}), 1: (1, {'@': 53}), 2: (1, {'@': 53}), 3: (1, {'@': 53}), 4: (1, {'@': 53}), 13: (0, 10), 12: (0, 9), 7: (0, 3), 6: (0, 2), 15: (0, 27), 5: (0, 28)}, 13: {52: (1, {'@': 54}), 32: (1, {'@': 54}), 0: (1, {'@': 54}), 20: (1, {'@': 54}), 16: (1, {'@': 54}), 21: (1, {'@': 54}), 36: (1, {'@': 54}), 35: (1, {'@': 54}), 17: (1, {'@': 54}), 7: (1, {'@': 54}), 23: (1, {'@': 54}), 24: (1, {'@': 54}), 25: (1, {'@': 54}), 26: (1, {'@': 54}), 46: (1, {'@': 54}), 12: (1, {'@': 54}), 47: (1, {'@': 54}), 3: (1, {'@': 54}), 28: (1, {'@': 54}), 2: (1, {'@': 54}), 29: (1, {'@': 54}), 1: (1, {'@': 54}), 30: (1, {'@': 54}), 4: (1, {'@': 54})}, 14: {0: (1, {'@': 55}), 12: (1, {'@': 55}), 7: (1, {'@': 55}), 3: (1, {'@': 55}), 1: (1, {'@': 55}), 2: (1, {'@': 55}), 4: (1, {'@': 55})}, 15: {17: (1, {'@': 56}), 16: (1, {'@': 56}), 7: (1, {'@': 56})}, 16: {0: (0, 7), 1: (0, 11), 2: (1, {'@': 45}), 3: (0, 13), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 7: (0, 3), 9: (0, 5), 11: (0, 29), 8: (0, 30), 13: (0, 10), 12: (0, 9), 14: (0, 12), 15: (0, 14)}, 17: {17: (1, {'@': 57}), 16: (1, {'@': 57}), 7: (1, {'@': 57})}, 18: {16: (0, 31), 53: (0, 32), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 19: {16: (0, 66), 17: (0, 67), 7: (0, 3), 6: (0, 68)}, 20: {2: (1, {'@': 58}), 1: (0, 11), 9: (0, 5), 0: (0, 7), 3: (0, 13), 8: (0, 69)}, 21: {52: (1, {'@': 59}), 32: (1, {'@': 59}), 0: (1, {'@': 59}), 20: (1, {'@': 59}), 16: (1, {'@': 59}), 21: (1, {'@': 59}), 36: (1, {'@': 59}), 35: (1, {'@': 59}), 17: (1, {'@': 59}), 7: (1, {'@': 59}), 23: (1, {'@': 59}), 24: (1, {'@': 59}), 25: (1, {'@': 59}), 26: (1, {'@': 59}), 46: (1, {'@': 59}), 12: (1, {'@': 59}), 47: (1, {'@': 59}), 3: (1, {'@': 59}), 28: (1, {'@': 59}), 2: (1, {'@': 59}), 29: (1, {'@': 59}), 1: (1, {'@': 59}), 30: (1, {'@': 59}), 4: (1, {'@': 59})}, 22: {52: (1, {'@': 60}), 32: (1, {'@': 60}), 0: (1, {'@': 60}), 20: (1, {'@': 60}), 16: (1, {'@': 60}), 21: (1, {'@': 60}), 36: (1, {'@': 60}), 35: (1, {'@': 60}), 17: (1, {'@': 60}), 7: (1, {'@': 60}), 23: (1, {'@': 60}), 24: (1, {'@': 60}), 25: (1, {'@': 60}), 26: (1, {'@': 60}), 46: (1, {'@': 60}), 12: (1, {'@': 60}), 47: (1, {'@': 60}), 3: (1, {'@': 60}), 28: (1, {'@': 60}), 2: (1, {'@': 60}), 29: (1, {'@': 60}), 1: (1, {'@': 60}), 30: (1, {'@': 60}), 4: (1, {'@': 60})}, 23: {52: (1, {'@': 61}), 32: (1, {'@': 61}), 0: (1, {'@': 61}), 20: (1, {'@': 61}), 16: (1, {'@': 61}), 21: (1, {'@': 61}), 36: (1, {'@': 61}), 35: (1, {'@': 61}), 17: (1, {'@': 61}), 7: (1, {'@': 61}), 23: (1, {'@': 61}), 24: (1, {'@': 61}), 25: (1, {'@': 61}), 26: (1, {'@': 61}), 46: (1, {'@': 61}), 12: (1, {'@': 61}), 47: (1, {'@': 61}), 3: (1, {'@': 61}), 28: (1, {'@': 61}), 2: (1, {'@': 61}), 29: (1, {'@': 61}), 1: (1, {'@': 61}), 30: (1, {'@': 61}), 4: (1, {'@': 61})}, 24: {}, 25: {2: (1, {'@': 62})}, 26: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 70), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 27: {0: (1, {'@': 63}), 12: (1, {'@': 63}), 7: (1, {'@': 63}), 3: (1, {'@': 63}), 1: (1, {'@': 63}), 2: (1, {'@': 63}), 4: (1, {'@': 63})}, 28: {0: (1, {'@': 64}), 12: (1, {'@': 64}), 7: (1, {'@': 64}), 3: (1, {'@': 64}), 1: (1, {'@': 64}), 2: (1, {'@': 64}), 4: (1, {'@': 64})}, 29: {4: (0, 71)}, 30: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 7: (0, 3), 13: (0, 10), 12: (0, 9), 11: (0, 72), 14: (0, 12), 15: (0, 14)}, 31: {16: (0, 31), 20: (0, 33), 8: (0, 73), 54: (0, 34), 47: (0, 35), 52: (0, 74), 23: (0, 36), 55: (0, 37), 75: (0, 75), 57: (0, 39), 56: (0, 38), 21: (0, 40), 6: (0, 76), 7: (0, 3), 29: (0, 43), 76: (0, 77), 58: (0, 42), 9: (0, 5), 53: (0, 78), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 4: (0, 79), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 32: {0: (0, 7), 12: (1, {'@': 65}), 3: (0, 13), 7: (1, {'@': 65}), 1: (0, 11), 2: (1, {'@': 65}), 4: (1, {'@': 65}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 9: (0, 5), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 8: (0, 93), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 33: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 8: (0, 97), 57: (0, 39), 56: (0, 38), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 98), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 34: {20: (1, {'@': 66}), 18: (1, {'@': 66}), 21: (1, {'@': 66}), 22: (1, {'@': 66}), 7: (1, {'@': 66}), 23: (1, {'@': 66}), 24: (1, {'@': 66}), 25: (1, {'@': 66}), 26: (1, {'@': 66}), 12: (1, {'@': 66}), 3: (1, {'@': 66}), 27: (1, {'@': 66}), 2: (1, {'@': 66}), 29: (1, {'@': 66}), 1: (1, {'@': 66}), 30: (1, {'@': 66}), 31: (1, {'@': 66}), 4: (1, {'@': 66}), 32: (1, {'@': 66}), 0: (1, {'@': 66}), 16: (1, {'@': 66}), 33: (1, {'@': 66}), 34: (1, {'@': 66}), 35: (1, {'@': 66}), 36: (1, {'@': 66}), 37: (1, {'@': 66}), 38: (1, {'@': 66}), 39: (1, {'@': 66}), 17: (1, {'@': 66}), 40: (1, {'@': 66}), 41: (1, {'@': 66}), 42: (1, {'@': 66}), 43: (1, {'@': 66}), 44: (1, {'@': 66}), 45: (1, {'@': 66}), 46: (1, {'@': 66}), 47: (1, {'@': 66}), 48: (1, {'@': 66}), 49: (1, {'@': 66}), 50: (1, {'@': 66}), 51: (1, {'@': 66})}, 35: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 8: (0, 99), 52: (0, 74), 55: (0, 37), 23: (0, 36), 53: (0, 100), 56: (0, 38), 57: (0, 39), 21: (0, 40), 76: (0, 101), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 24: (0, 102), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 68: (0, 58), 17: (0, 57), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 36: {20: (1, {'@': 67}), 18: (1, {'@': 67}), 21: (1, {'@': 67}), 22: (1, {'@': 67}), 7: (1, {'@': 67}), 23: (1, {'@': 67}), 24: (1, {'@': 67}), 25: (1, {'@': 67}), 26: (1, {'@': 67}), 12: (1, {'@': 67}), 3: (1, {'@': 67}), 27: (1, {'@': 67}), 2: (1, {'@': 67}), 29: (1, {'@': 67}), 1: (1, {'@': 67}), 30: (1, {'@': 67}), 31: (1, {'@': 67}), 4: (1, {'@': 67}), 32: (1, {'@': 67}), 0: (1, {'@': 67}), 16: (1, {'@': 67}), 33: (1, {'@': 67}), 34: (1, {'@': 67}), 35: (1, {'@': 67}), 36: (1, {'@': 67}), 37: (1, {'@': 67}), 38: (1, {'@': 67}), 39: (1, {'@': 67}), 17: (1, {'@': 67}), 40: (1, {'@': 67}), 41: (1, {'@': 67}), 42: (1, {'@': 67}), 43: (1, {'@': 67}), 44: (1, {'@': 67}), 45: (1, {'@': 67}), 46: (1, {'@': 67}), 47: (1, {'@': 67}), 48: (1, {'@': 67}), 49: (1, {'@': 67}), 50: (1, {'@': 67}), 51: (1, {'@': 67})}, 37: {20: (1, {'@': 68}), 18: (1, {'@': 68}), 21: (1, {'@': 68}), 22: (1, {'@': 68}), 7: (1, {'@': 68}), 23: (1, {'@': 68}), 24: (1, {'@': 68}), 25: (1, {'@': 68}), 26: (1, {'@': 68}), 12: (1, {'@': 68}), 3: (1, {'@': 68}), 27: (1, {'@': 68}), 2: (1, {'@': 68}), 29: (1, {'@': 68}), 1: (1, {'@': 68}), 30: (1, {'@': 68}), 4: (1, {'@': 68}), 32: (1, {'@': 68}), 0: (1, {'@': 68}), 16: (1, {'@': 68}), 33: (1, {'@': 68}), 34: (1, {'@': 68}), 35: (1, {'@': 68}), 36: (1, {'@': 68}), 37: (1, {'@': 68}), 38: (1, {'@': 68}), 39: (1, {'@': 68}), 17: (1, {'@': 68}), 40: (1, {'@': 68}), 41: (1, {'@': 68}), 42: (1, {'@': 68}), 43: (1, {'@': 68}), 44: (1, {'@': 68}), 45: (1, {'@': 68}), 46: (1, {'@': 68}), 47: (0, 103), 48: (1, {'@': 68}), 49: (1, {'@': 68}), 50: (1, {'@': 68}), 51: (0, 104), 79: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 31: (0, 109)}, 38: {20: (1, {'@': 69}), 18: (1, {'@': 69}), 21: (1, {'@': 69}), 22: (1, {'@': 69}), 7: (1, {'@': 69}), 23: (1, {'@': 69}), 24: (1, {'@': 69}), 25: (1, {'@': 69}), 26: (1, {'@': 69}), 12: (1, {'@': 69}), 3: (1, {'@': 69}), 27: (1, {'@': 69}), 2: (1, {'@': 69}), 29: (1, {'@': 69}), 1: (1, {'@': 69}), 30: (1, {'@': 69}), 31: (1, {'@': 69}), 4: (1, {'@': 69}), 32: (1, {'@': 69}), 0: (1, {'@': 69}), 16: (1, {'@': 69}), 33: (1, {'@': 69}), 34: (1, {'@': 69}), 35: (1, {'@': 69}), 36: (1, {'@': 69}), 37: (1, {'@': 69}), 38: (1, {'@': 69}), 39: (1, {'@': 69}), 17: (1, {'@': 69}), 40: (1, {'@': 69}), 41: (1, {'@': 69}), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 44: (1, {'@': 69}), 45: (1, {'@': 69}), 46: (1, {'@': 69}), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 49: (1, {'@': 69}), 50: (1, {'@': 69}), 51: (1, {'@': 69})}, 39: {20: (1, {'@': 70}), 18: (1, {'@': 70}), 21: (1, {'@': 70}), 22: (1, {'@': 70}), 7: (1, {'@': 70}), 23: (1, {'@': 70}), 24: (1, {'@': 70}), 25: (1, {'@': 70}), 26: (1, {'@': 70}), 12: (1, {'@': 70}), 3: (1, {'@': 70}), 27: (1, {'@': 70}), 2: (1, {'@': 70}), 29: (1, {'@': 70}), 1: (1, {'@': 70}), 30: (1, {'@': 70}), 31: (1, {'@': 70}), 4: (1, {'@': 70}), 32: (1, {'@': 70}), 0: (1, {'@': 70}), 16: (1, {'@': 70}), 33: (1, {'@': 70}), 34: (1, {'@': 70}), 35: (1, {'@': 70}), 36: (1, {'@': 70}), 37: (1, {'@': 70}), 38: (1, {'@': 70}), 39: (1, {'@': 70}), 17: (1, {'@': 70}), 40: (1, {'@': 70}), 41: (1, {'@': 70}), 42: (1, {'@': 70}), 43: (1, {'@': 70}), 44: (1, {'@': 70}), 45: (1, {'@': 70}), 46: (1, {'@': 70}), 47: (1, {'@': 70}), 48: (1, {'@': 70}), 49: (1, {'@': 70}), 50: (1, {'@': 70}), 51: (1, {'@': 70})}, 40: {20: (1, {'@': 71}), 18: (1, {'@': 71}), 21: (1, {'@': 71}), 22: (1, {'@': 71}), 7: (1, {'@': 71}), 23: (1, {'@': 71}), 24: (1, {'@': 71}), 25: (1, {'@': 71}), 26: (1, {'@': 71}), 12: (1, {'@': 71}), 3: (1, {'@': 71}), 27: (1, {'@': 71}), 2: (1, {'@': 71}), 29: (1, {'@': 71}), 1: (1, {'@': 71}), 30: (1, {'@': 71}), 31: (1, {'@': 71}), 4: (1, {'@': 71}), 32: (1, {'@': 71}), 0: (1, {'@': 71}), 16: (1, {'@': 71}), 33: (1, {'@': 71}), 34: (1, {'@': 71}), 35: (1, {'@': 71}), 36: (1, {'@': 71}), 37: (1, {'@': 71}), 38: (1, {'@': 71}), 39: (1, {'@': 71}), 17: (1, {'@': 71}), 40: (1, {'@': 71}), 41: (1, {'@': 71}), 42: (1, {'@': 71}), 43: (1, {'@': 71}), 44: (1, {'@': 71}), 45: (1, {'@': 71}), 46: (1, {'@': 71}), 47: (1, {'@': 71}), 48: (1, {'@': 71}), 49: (1, {'@': 71}), 50: (1, {'@': 71}), 51: (1, {'@': 71})}, 41: {20: (0, 110), 18: (1, {'@': 72}), 21: (1, {'@': 72}), 22: (1, {'@': 72}), 7: (1, {'@': 72}), 23: (1, {'@': 72}), 24: (1, {'@': 72}), 25: (1, {'@': 72}), 26: (1, {'@': 72}), 12: (1, {'@': 72}), 3: (1, {'@': 72}), 27: (1, {'@': 72}), 2: (1, {'@': 72}), 29: (1, {'@': 72}), 1: (1, {'@': 72}), 30: (1, {'@': 72}), 31: (1, {'@': 72}), 4: (1, {'@': 72}), 32: (1, {'@': 72}), 0: (1, {'@': 72}), 16: (1, {'@': 72}), 33: (1, {'@': 72}), 34: (1, {'@': 72}), 35: (1, {'@': 72}), 36: (1, {'@': 72}), 37: (1, {'@': 72}), 38: (1, {'@': 72}), 39: (1, {'@': 72}), 17: (1, {'@': 72}), 40: (1, {'@': 72}), 41: (1, {'@': 72}), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 44: (1, {'@': 72}), 45: (1, {'@': 72}), 46: (1, {'@': 72}), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 49: (1, {'@': 72}), 50: (1, {'@': 72}), 51: (1, {'@': 72})}, 42: {20: (1, {'@': 73}), 18: (1, {'@': 73}), 21: (1, {'@': 73}), 22: (1, {'@': 73}), 7: (1, {'@': 73}), 23: (1, {'@': 73}), 24: (1, {'@': 73}), 25: (1, {'@': 73}), 26: (0, 111), 12: (1, {'@': 73}), 3: (1, {'@': 73}), 27: (1, {'@': 73}), 2: (1, {'@': 73}), 29: (1, {'@': 73}), 1: (1, {'@': 73}), 30: (1, {'@': 73}), 31: (0, 112), 4: (1, {'@': 73}), 32: (1, {'@': 73}), 0: (1, {'@': 73}), 16: (1, {'@': 73}), 33: (1, {'@': 73}), 34: (1, {'@': 73}), 35: (1, {'@': 73}), 36: (1, {'@': 73}), 37: (1, {'@': 73}), 38: (1, {'@': 73}), 39: (1, {'@': 73}), 17: (1, {'@': 73}), 40: (1, {'@': 73}), 41: (1, {'@': 73}), 42: (1, {'@': 73}), 43: (1, {'@': 73}), 44: (1, {'@': 73}), 45: (1, {'@': 73}), 46: (1, {'@': 73}), 47: (1, {'@': 73}), 48: (1, {'@': 73}), 49: (1, {'@': 73}), 50: (1, {'@': 73}), 51: (1, {'@': 73}), 83: (0, 113)}, 43: {20: (1, {'@': 74}), 18: (1, {'@': 74}), 21: (1, {'@': 74}), 22: (1, {'@': 74}), 7: (1, {'@': 74}), 23: (1, {'@': 74}), 24: (1, {'@': 74}), 25: (1, {'@': 74}), 26: (1, {'@': 74}), 12: (1, {'@': 74}), 3: (1, {'@': 74}), 27: (1, {'@': 74}), 2: (1, {'@': 74}), 29: (1, {'@': 74}), 1: (1, {'@': 74}), 30: (1, {'@': 74}), 31: (1, {'@': 74}), 4: (1, {'@': 74}), 32: (1, {'@': 74}), 0: (1, {'@': 74}), 16: (1, {'@': 74}), 33: (1, {'@': 74}), 34: (1, {'@': 74}), 35: (1, {'@': 74}), 36: (1, {'@': 74}), 37: (1, {'@': 74}), 38: (1, {'@': 74}), 39: (1, {'@': 74}), 17: (1, {'@': 74}), 40: (1, {'@': 74}), 41: (1, {'@': 74}), 42: (1, {'@': 74}), 43: (1, {'@': 74}), 44: (1, {'@': 74}), 45: (1, {'@': 74}), 46: (1, {'@': 74}), 47: (1, {'@': 74}), 48: (1, {'@': 74}), 49: (1, {'@': 74}), 50: (1, {'@': 74}), 51: (1, {'@': 74})}, 44: {20: (1, {'@': 75}), 18: (1, {'@': 75}), 21: (1, {'@': 75}), 22: (1, {'@': 75}), 7: (1, {'@': 75}), 23: (1, {'@': 75}), 24: (1, {'@': 75}), 25: (1, {'@': 75}), 26: (1, {'@': 75}), 12: (1, {'@': 75}), 3: (1, {'@': 75}), 27: (1, {'@': 75}), 2: (1, {'@': 75}), 29: (1, {'@': 75}), 1: (1, {'@': 75}), 30: (1, {'@': 75}), 31: (1, {'@': 75}), 4: (1, {'@': 75}), 32: (1, {'@': 75}), 0: (1, {'@': 75}), 83: (1, {'@': 75}), 16: (1, {'@': 75}), 33: (1, {'@': 75}), 34: (1, {'@': 75}), 35: (1, {'@': 75}), 36: (1, {'@': 75}), 37: (1, {'@': 75}), 38: (1, {'@': 75}), 39: (1, {'@': 75}), 17: (1, {'@': 75}), 40: (1, {'@': 75}), 41: (1, {'@': 75}), 42: (1, {'@': 75}), 43: (1, {'@': 75}), 44: (1, {'@': 75}), 45: (1, {'@': 75}), 46: (1, {'@': 75}), 47: (1, {'@': 75}), 48: (1, {'@': 75}), 49: (1, {'@': 75}), 50: (1, {'@': 75}), 51: (1, {'@': 75})}, 45: {20: (1, {'@': 76}), 18: (1, {'@': 76}), 21: (1, {'@': 76}), 22: (1, {'@': 76}), 7: (1, {'@': 76}), 23: (1, {'@': 76}), 24: (1, {'@': 76}), 25: (1, {'@': 76}), 26: (1, {'@': 76}), 12: (1, {'@': 76}), 3: (1, {'@': 76}), 27: (1, {'@': 76}), 2: (1, {'@': 76}), 29: (1, {'@': 76}), 1: (1, {'@': 76}), 30: (1, {'@': 76}), 4: (1, {'@': 76}), 32: (1, {'@': 76}), 0: (1, {'@': 76}), 16: (1, {'@': 76}), 33: (1, {'@': 76}), 34: (1, {'@': 76}), 35: (1, {'@': 76}), 36: (1, {'@': 76}), 37: (1, {'@': 76}), 38: (1, {'@': 76}), 39: (1, {'@': 76}), 17: (1, {'@': 76}), 40: (1, {'@': 76}), 41: (1, {'@': 76}), 42: (1, {'@': 76}), 43: (1, {'@': 76}), 44: (1, {'@': 76}), 45: (1, {'@': 76}), 46: (1, {'@': 76}), 47: (1, {'@': 76}), 48: (1, {'@': 76}), 49: (1, {'@': 76}), 50: (1, {'@': 76})}, 46: {20: (1, {'@': 77}), 18: (1, {'@': 77}), 21: (1, {'@': 77}), 22: (1, {'@': 77}), 7: (1, {'@': 77}), 23: (1, {'@': 77}), 24: (1, {'@': 77}), 25: (1, {'@': 77}), 26: (1, {'@': 77}), 12: (1, {'@': 77}), 3: (1, {'@': 77}), 27: (1, {'@': 77}), 2: (1, {'@': 77}), 29: (1, {'@': 77}), 1: (1, {'@': 77}), 30: (1, {'@': 77}), 31: (1, {'@': 77}), 4: (1, {'@': 77}), 32: (1, {'@': 77}), 0: (1, {'@': 77}), 16: (1, {'@': 77}), 33: (1, {'@': 77}), 34: (1, {'@': 77}), 35: (1, {'@': 77}), 36: (1, {'@': 77}), 37: (1, {'@': 77}), 38: (1, {'@': 77}), 39: (1, {'@': 77}), 17: (1, {'@': 77}), 40: (1, {'@': 77}), 41: (1, {'@': 77}), 42: (1, {'@': 77}), 43: (1, {'@': 77}), 44: (1, {'@': 77}), 45: (1, {'@': 77}), 46: (1, {'@': 77}), 47: (1, {'@': 77}), 48: (1, {'@': 77}), 49: (1, {'@': 77}), 50: (1, {'@': 77}), 51: (1, {'@': 77})}, 47: {20: (1, {'@': 78}), 18: (1, {'@': 78}), 21: (1, {'@': 78}), 22: (1, {'@': 78}), 7: (1, {'@': 78}), 23: (1, {'@': 78}), 24: (1, {'@': 78}), 25: (1, {'@': 78}), 26: (1, {'@': 78}), 12: (1, {'@': 78}), 3: (1, {'@': 78}), 27: (1, {'@': 78}), 2: (1, {'@': 78}), 29: (1, {'@': 78}), 1: (1, {'@': 78}), 30: (1, {'@': 78}), 31: (1, {'@': 78}), 4: (1, {'@': 78}), 32: (1, {'@': 78}), 0: (1, {'@': 78}), 16: (1, {'@': 78}), 33: (1, {'@': 78}), 34: (1, {'@': 78}), 35: (1, {'@': 78}), 36: (1, {'@': 78}), 37: (1, {'@': 78}), 38: (1, {'@': 78}), 39: (1, {'@': 78}), 17: (1, {'@': 78}), 40: (1, {'@': 78}), 41: (1, {'@': 78}), 42: (1, {'@': 78}), 43: (1, {'@': 78}), 44: (1, {'@': 78}), 45: (1, {'@': 78}), 46: (1, {'@': 78}), 47: (1, {'@': 78}), 48: (1, {'@': 78}), 49: (1, {'@': 78}), 50: (1, {'@': 78}), 51: (1, {'@': 78})}, 48: {20: (1, {'@': 79}), 18: (1, {'@': 79}), 21: (1, {'@': 79}), 22: (1, {'@': 79}), 7: (1, {'@': 79}), 23: (1, {'@': 79}), 24: (1, {'@': 79}), 25: (1, {'@': 79}), 26: (1, {'@': 79}), 12: (1, {'@': 79}), 3: (1, {'@': 79}), 27: (1, {'@': 79}), 2: (1, {'@': 79}), 29: (1, {'@': 79}), 1: (1, {'@': 79}), 30: (1, {'@': 79}), 4: (1, {'@': 79}), 32: (1, {'@': 79}), 0: (1, {'@': 79}), 16: (1, {'@': 79}), 33: (1, {'@': 79}), 34: (1, {'@': 79}), 35: (1, {'@': 79}), 36: (1, {'@': 79}), 37: (1, {'@': 79}), 38: (1, {'@': 79}), 39: (1, {'@': 79}), 17: (1, {'@': 79}), 40: (1, {'@': 79}), 41: (1, {'@': 79}), 42: (1, {'@': 79}), 43: (1, {'@': 79}), 44: (1, {'@': 79}), 45: (1, {'@': 79}), 46: (1, {'@': 79}), 47: (1, {'@': 79}), 48: (1, {'@': 79}), 49: (1, {'@': 79}), 50: (1, {'@': 79})}, 49: {20: (1, {'@': 80}), 18: (1, {'@': 80}), 21: (1, {'@': 80}), 22: (1, {'@': 80}), 7: (1, {'@': 80}), 23: (1, {'@': 80}), 24: (1, {'@': 80}), 25: (1, {'@': 80}), 26: (1, {'@': 80}), 12: (1, {'@': 80}), 3: (1, {'@': 80}), 27: (1, {'@': 80}), 2: (1, {'@': 80}), 29: (1, {'@': 80}), 1: (1, {'@': 80}), 30: (1, {'@': 80}), 31: (1, {'@': 80}), 4: (1, {'@': 80}), 32: (1, {'@': 80}), 0: (1, {'@': 80}), 16: (1, {'@': 80}), 33: (1, {'@': 80}), 34: (1, {'@': 80}), 35: (1, {'@': 80}), 36: (1, {'@': 80}), 37: (1, {'@': 80}), 38: (1, {'@': 80}), 39: (1, {'@': 80}), 17: (1, {'@': 80}), 40: (1, {'@': 80}), 41: (1, {'@': 80}), 42: (1, {'@': 80}), 43: (1, {'@': 80}), 44: (1, {'@': 80}), 45: (1, {'@': 80}), 46: (1, {'@': 80}), 47: (1, {'@': 80}), 48: (1, {'@': 80}), 49: (1, {'@': 80}), 50: (1, {'@': 80}), 51: (1, {'@': 80})}, 50: {20: (1, {'@': 81}), 18: (1, {'@': 81}), 21: (1, {'@': 81}), 22: (1, {'@': 81}), 7: (1, {'@': 81}), 23: (1, {'@': 81}), 24: (1, {'@': 81}), 25: (1, {'@': 81}), 26: (1, {'@': 81}), 12: (1, {'@': 81}), 3: (1, {'@': 81}), 27: (1, {'@': 81}), 2: (1, {'@': 81}), 29: (1, {'@': 81}), 1: (1, {'@': 81}), 30: (1, {'@': 81}), 31: (1, {'@': 81}), 4: (1, {'@': 81}), 32: (1, {'@': 81}), 0: (1, {'@': 81}), 16: (1, {'@': 81}), 33: (1, {'@': 81}), 34: (1, {'@': 81}), 35: (1, {'@': 81}), 36: (1, {'@': 81}), 37: (1, {'@': 81}), 38: (1, {'@': 81}), 39: (1, {'@': 81}), 17: (1, {'@': 81}), 40: (1, {'@': 81}), 41: (1, {'@': 81}), 42: (1, {'@': 81}), 43: (1, {'@': 81}), 44: (1, {'@': 81}), 45: (1, {'@': 81}), 46: (1, {'@': 81}), 47: (1, {'@': 81}), 48: (1, {'@': 81}), 49: (1, {'@': 81}), 50: (1, {'@': 81}), 51: (1, {'@': 81})}, 51: {20: (1, {'@': 82}), 18: (1, {'@': 82}), 21: (1, {'@': 82}), 22: (1, {'@': 82}), 7: (1, {'@': 82}), 23: (1, {'@': 82}), 24: (1, {'@': 82}), 25: (1, {'@': 82}), 26: (1, {'@': 82}), 12: (1, {'@': 82}), 3: (1, {'@': 82}), 27: (1, {'@': 82}), 2: (1, {'@': 82}), 29: (1, {'@': 82}), 1: (1, {'@': 82}), 30: (1, {'@': 82}), 31: (1, {'@': 82}), 4: (1, {'@': 82}), 32: (1, {'@': 82}), 0: (1, {'@': 82}), 16: (1, {'@': 82}), 33: (1, {'@': 82}), 34: (1, {'@': 82}), 35: (1, {'@': 82}), 36: (1, {'@': 82}), 37: (1, {'@': 82}), 38: (1, {'@': 82}), 39: (1, {'@': 82}), 17: (1, {'@': 82}), 40: (1, {'@': 82}), 41: (1, {'@': 82}), 42: (1, {'@': 82}), 43: (1, {'@': 82}), 44: (1, {'@': 82}), 45: (1, {'@': 82}), 46: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 49: (1, {'@': 82}), 50: (1, {'@': 82}), 51: (1, {'@': 82})}, 52: {20: (1, {'@': 83}), 18: (1, {'@': 83}), 21: (1, {'@': 83}), 22: (1, {'@': 83}), 7: (1, {'@': 83}), 23: (1, {'@': 83}), 24: (1, {'@': 83}), 25: (1, {'@': 83}), 26: (1, {'@': 83}), 12: (1, {'@': 83}), 3: (1, {'@': 83}), 27: (1, {'@': 83}), 2: (1, {'@': 83}), 29: (1, {'@': 83}), 1: (1, {'@': 83}), 30: (1, {'@': 83}), 31: (1, {'@': 83}), 4: (1, {'@': 83}), 32: (1, {'@': 83}), 0: (1, {'@': 83}), 16: (1, {'@': 83}), 33: (1, {'@': 83}), 34: (1, {'@': 83}), 35: (1, {'@': 83}), 36: (1, {'@': 83}), 37: (1, {'@': 83}), 38: (1, {'@': 83}), 39: (1, {'@': 83}), 17: (1, {'@': 83}), 40: (1, {'@': 83}), 41: (1, {'@': 83}), 42: (1, {'@': 83}), 43: (1, {'@': 83}), 44: (1, {'@': 83}), 45: (1, {'@': 83}), 46: (1, {'@': 83}), 47: (1, {'@': 83}), 48: (1, {'@': 83}), 49: (1, {'@': 83}), 50: (1, {'@': 83}), 51: (1, {'@': 83})}, 53: {20: (1, {'@': 84}), 18: (1, {'@': 84}), 21: (1, {'@': 84}), 22: (1, {'@': 84}), 7: (1, {'@': 84}), 23: (1, {'@': 84}), 24: (1, {'@': 84}), 25: (1, {'@': 84}), 26: (1, {'@': 84}), 12: (1, {'@': 84}), 3: (1, {'@': 84}), 27: (1, {'@': 84}), 2: (1, {'@': 84}), 29: (1, {'@': 84}), 1: (1, {'@': 84}), 30: (1, {'@': 84}), 31: (1, {'@': 84}), 4: (1, {'@': 84}), 32: (1, {'@': 84}), 0: (1, {'@': 84}), 16: (1, {'@': 84}), 33: (1, {'@': 84}), 34: (1, {'@': 84}), 35: (1, {'@': 84}), 36: (1, {'@': 84}), 37: (1, {'@': 84}), 38: (1, {'@': 84}), 39: (1, {'@': 84}), 17: (1, {'@': 84}), 40: (1, {'@': 84}), 41: (1, {'@': 84}), 42: (1, {'@': 84}), 43: (1, {'@': 84}), 44: (1, {'@': 84}), 45: (1, {'@': 84}), 46: (1, {'@': 84}), 47: (1, {'@': 84}), 48: (1, {'@': 84}), 49: (1, {'@': 84}), 50: (1, {'@': 84}), 51: (1, {'@': 84})}, 54: {20: (1, {'@': 85}), 18: (1, {'@': 85}), 21: (1, {'@': 85}), 22: (1, {'@': 85}), 7: (1, {'@': 85}), 23: (1, {'@': 85}), 24: (1, {'@': 85}), 25: (1, {'@': 85}), 26: (1, {'@': 85}), 12: (1, {'@': 85}), 3: (1, {'@': 85}), 27: (1, {'@': 85}), 2: (1, {'@': 85}), 29: (1, {'@': 85}), 1: (1, {'@': 85}), 30: (1, {'@': 85}), 31: (1, {'@': 85}), 4: (1, {'@': 85}), 32: (1, {'@': 85}), 0: (1, {'@': 85}), 16: (1, {'@': 85}), 33: (1, {'@': 85}), 34: (1, {'@': 85}), 35: (1, {'@': 85}), 36: (1, {'@': 85}), 37: (1, {'@': 85}), 38: (1, {'@': 85}), 39: (1, {'@': 85}), 17: (1, {'@': 85}), 40: (1, {'@': 85}), 41: (1, {'@': 85}), 42: (1, {'@': 85}), 43: (1, {'@': 85}), 44: (1, {'@': 85}), 45: (1, {'@': 85}), 46: (1, {'@': 85}), 47: (1, {'@': 85}), 48: (1, {'@': 85}), 49: (1, {'@': 85}), 50: (1, {'@': 85}), 51: (1, {'@': 85})}, 55: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 114), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 30: (0, 46), 60: (0, 47), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 56: {20: (1, {'@': 86}), 18: (1, {'@': 86}), 21: (1, {'@': 86}), 22: (1, {'@': 86}), 7: (1, {'@': 86}), 23: (1, {'@': 86}), 24: (1, {'@': 86}), 25: (1, {'@': 86}), 26: (1, {'@': 86}), 12: (1, {'@': 86}), 3: (1, {'@': 86}), 27: (1, {'@': 86}), 2: (1, {'@': 86}), 29: (1, {'@': 86}), 1: (1, {'@': 86}), 30: (1, {'@': 86}), 31: (1, {'@': 86}), 4: (1, {'@': 86}), 32: (1, {'@': 86}), 0: (1, {'@': 86}), 16: (1, {'@': 86}), 33: (1, {'@': 86}), 34: (1, {'@': 86}), 35: (1, {'@': 86}), 36: (1, {'@': 86}), 37: (1, {'@': 86}), 38: (1, {'@': 86}), 39: (1, {'@': 86}), 17: (1, {'@': 86}), 40: (1, {'@': 86}), 41: (1, {'@': 86}), 42: (1, {'@': 86}), 43: (1, {'@': 86}), 44: (1, {'@': 86}), 45: (1, {'@': 86}), 46: (1, {'@': 86}), 47: (1, {'@': 86}), 48: (1, {'@': 86}), 49: (1, {'@': 86}), 50: (1, {'@': 86}), 51: (1, {'@': 86})}, 57: {20: (1, {'@': 87}), 18: (1, {'@': 87}), 21: (1, {'@': 87}), 22: (1, {'@': 87}), 7: (1, {'@': 87}), 23: (1, {'@': 87}), 24: (1, {'@': 87}), 25: (1, {'@': 87}), 26: (1, {'@': 87}), 12: (1, {'@': 87}), 3: (1, {'@': 87}), 27: (1, {'@': 87}), 2: (1, {'@': 87}), 29: (1, {'@': 87}), 1: (1, {'@': 87}), 30: (1, {'@': 87}), 31: (1, {'@': 87}), 4: (1, {'@': 87}), 32: (1, {'@': 87}), 0: (1, {'@': 87}), 16: (1, {'@': 87}), 33: (1, {'@': 87}), 34: (1, {'@': 87}), 35: (1, {'@': 87}), 36: (1, {'@': 87}), 37: (1, {'@': 87}), 38: (1, {'@': 87}), 39: (1, {'@': 87}), 17: (1, {'@': 87}), 40: (1, {'@': 87}), 41: (1, {'@': 87}), 42: (1, {'@': 87}), 43: (1, {'@': 87}), 44: (1, {'@': 87}), 45: (1, {'@': 87}), 46: (1, {'@': 87}), 47: (1, {'@': 87}), 48: (1, {'@': 87}), 49: (1, {'@': 87}), 50: (1, {'@': 87}), 51: (1, {'@': 87})}, 58: {20: (1, {'@': 88}), 18: (1, {'@': 88}), 21: (1, {'@': 88}), 22: (1, {'@': 88}), 7: (1, {'@': 88}), 23: (1, {'@': 88}), 24: (1, {'@': 88}), 25: (1, {'@': 88}), 26: (1, {'@': 88}), 12: (1, {'@': 88}), 3: (1, {'@': 88}), 27: (1, {'@': 88}), 2: (1, {'@': 88}), 29: (1, {'@': 88}), 1: (1, {'@': 88}), 30: (1, {'@': 88}), 31: (1, {'@': 88}), 4: (1, {'@': 88}), 32: (1, {'@': 88}), 0: (1, {'@': 88}), 16: (1, {'@': 88}), 33: (1, {'@': 88}), 34: (1, {'@': 88}), 35: (1, {'@': 88}), 36: (1, {'@': 88}), 37: (1, {'@': 88}), 38: (1, {'@': 88}), 39: (1, {'@': 88}), 17: (1, {'@': 88}), 40: (1, {'@': 88}), 41: (1, {'@': 88}), 42: (1, {'@': 88}), 43: (1, {'@': 88}), 44: (1, {'@': 88}), 45: (1, {'@': 88}), 46: (1, {'@': 88}), 47: (1, {'@': 88}), 48: (1, {'@': 88}), 49: (1, {'@': 88}), 50: (1, {'@': 88}), 51: (1, {'@': 88})}, 59: {20: (1, {'@': 89}), 18: (1, {'@': 89}), 21: (1, {'@': 89}), 22: (1, {'@': 89}), 7: (1, {'@': 89}), 23: (1, {'@': 89}), 24: (1, {'@': 89}), 25: (1, {'@': 89}), 26: (1, {'@': 89}), 12: (1, {'@': 89}), 3: (1, {'@': 89}), 27: (1, {'@': 89}), 2: (1, {'@': 89}), 29: (1, {'@': 89}), 1: (1, {'@': 89}), 30: (1, {'@': 89}), 31: (1, {'@': 89}), 4: (1, {'@': 89}), 32: (1, {'@': 89}), 0: (1, {'@': 89}), 16: (1, {'@': 89}), 33: (1, {'@': 89}), 34: (1, {'@': 89}), 35: (1, {'@': 89}), 36: (1, {'@': 89}), 37: (1, {'@': 89}), 38: (1, {'@': 89}), 39: (1, {'@': 89}), 17: (1, {'@': 89}), 40: (1, {'@': 89}), 41: (1, {'@': 89}), 42: (1, {'@': 89}), 43: (1, {'@': 89}), 44: (1, {'@': 89}), 45: (1, {'@': 89}), 46: (1, {'@': 89}), 47: (1, {'@': 89}), 48: (1, {'@': 89}), 49: (1, {'@': 89}), 50: (1, {'@': 89}), 51: (1, {'@': 89})}, 60: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 115), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 30: (0, 46), 60: (0, 47), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 61: {20: (1, {'@': 90}), 18: (1, {'@': 90}), 21: (1, {'@': 90}), 22: (1, {'@': 90}), 7: (1, {'@': 90}), 23: (1, {'@': 90}), 24: (1, {'@': 90}), 25: (1, {'@': 90}), 26: (1, {'@': 90}), 12: (1, {'@': 90}), 3: (1, {'@': 90}), 27: (1, {'@': 90}), 2: (1, {'@': 90}), 29: (1, {'@': 90}), 1: (1, {'@': 90}), 30: (1, {'@': 90}), 4: (1, {'@': 90}), 32: (1, {'@': 90}), 0: (1, {'@': 90}), 16: (1, {'@': 90}), 33: (1, {'@': 90}), 34: (1, {'@': 90}), 35: (1, {'@': 90}), 36: (1, {'@': 90}), 37: (1, {'@': 90}), 38: (1, {'@': 90}), 39: (1, {'@': 90}), 17: (1, {'@': 90}), 40: (1, {'@': 90}), 41: (1, {'@': 90}), 42: (1, {'@': 90}), 43: (1, {'@': 90}), 44: (1, {'@': 90}), 45: (1, {'@': 90}), 46: (1, {'@': 90}), 47: (1, {'@': 90}), 48: (1, {'@': 90}), 49: (1, {'@': 90}), 50: (1, {'@': 90})}, 62: {20: (1, {'@': 91}), 18: (1, {'@': 91}), 21: (1, {'@': 91}), 22: (1, {'@': 91}), 7: (1, {'@': 91}), 23: (1, {'@': 91}), 24: (1, {'@': 91}), 25: (1, {'@': 91}), 26: (1, {'@': 91}), 12: (1, {'@': 91}), 3: (1, {'@': 91}), 27: (1, {'@': 91}), 2: (1, {'@': 91}), 29: (1, {'@': 91}), 1: (1, {'@': 91}), 30: (1, {'@': 91}), 4: (1, {'@': 91}), 32: (1, {'@': 91}), 0: (1, {'@': 91}), 16: (1, {'@': 91}), 33: (1, {'@': 91}), 34: (1, {'@': 91}), 35: (1, {'@': 91}), 36: (1, {'@': 91}), 37: (1, {'@': 91}), 38: (1, {'@': 91}), 39: (1, {'@': 91}), 17: (1, {'@': 91}), 40: (1, {'@': 91}), 41: (1, {'@': 91}), 42: (1, {'@': 91}), 43: (1, {'@': 91}), 44: (1, {'@': 91}), 45: (1, {'@': 91}), 46: (1, {'@': 91}), 47: (1, {'@': 91}), 48: (1, {'@': 91}), 49: (1, {'@': 91}), 50: (1, {'@': 91})}, 63: {20: (1, {'@': 92}), 18: (1, {'@': 92}), 21: (1, {'@': 92}), 22: (1, {'@': 92}), 7: (1, {'@': 92}), 23: (1, {'@': 92}), 24: (1, {'@': 92}), 25: (1, {'@': 92}), 26: (1, {'@': 92}), 12: (1, {'@': 92}), 3: (1, {'@': 92}), 27: (1, {'@': 92}), 2: (1, {'@': 92}), 29: (1, {'@': 92}), 1: (1, {'@': 92}), 30: (1, {'@': 92}), 31: (1, {'@': 92}), 4: (1, {'@': 92}), 32: (1, {'@': 92}), 0: (1, {'@': 92}), 16: (1, {'@': 92}), 33: (1, {'@': 92}), 34: (1, {'@': 92}), 35: (1, {'@': 92}), 36: (1, {'@': 92}), 37: (1, {'@': 92}), 38: (1, {'@': 92}), 39: (1, {'@': 92}), 17: (1, {'@': 92}), 40: (1, {'@': 92}), 41: (1, {'@': 92}), 42: (1, {'@': 92}), 43: (1, {'@': 92}), 44: (1, {'@': 92}), 45: (1, {'@': 92}), 46: (1, {'@': 92}), 47: (1, {'@': 92}), 48: (1, {'@': 92}), 49: (1, {'@': 92}), 50: (1, {'@': 92}), 51: (1, {'@': 92})}, 64: {20: (1, {'@': 93}), 18: (1, {'@': 93}), 21: (1, {'@': 93}), 22: (1, {'@': 93}), 7: (1, {'@': 93}), 23: (1, {'@': 93}), 24: (1, {'@': 93}), 25: (1, {'@': 93}), 26: (1, {'@': 93}), 12: (1, {'@': 93}), 3: (1, {'@': 93}), 27: (1, {'@': 93}), 2: (1, {'@': 93}), 29: (1, {'@': 93}), 1: (1, {'@': 93}), 30: (1, {'@': 93}), 31: (1, {'@': 93}), 4: (1, {'@': 93}), 32: (1, {'@': 93}), 0: (1, {'@': 93}), 16: (1, {'@': 93}), 33: (1, {'@': 93}), 34: (1, {'@': 93}), 35: (1, {'@': 93}), 36: (1, {'@': 93}), 37: (1, {'@': 93}), 38: (1, {'@': 93}), 39: (1, {'@': 93}), 17: (1, {'@': 93}), 40: (1, {'@': 93}), 41: (1, {'@': 93}), 42: (1, {'@': 93}), 43: (1, {'@': 93}), 44: (1, {'@': 93}), 45: (1, {'@': 93}), 46: (1, {'@': 93}), 47: (1, {'@': 93}), 48: (1, {'@': 93}), 49: (1, {'@': 93}), 50: (1, {'@': 93}), 51: (1, {'@': 93})}, 65: {20: (1, {'@': 94}), 18: (1, {'@': 94}), 21: (1, {'@': 94}), 22: (1, {'@': 94}), 7: (1, {'@': 94}), 23: (1, {'@': 94}), 24: (1, {'@': 94}), 25: (1, {'@': 94}), 26: (1, {'@': 94}), 12: (1, {'@': 94}), 3: (1, {'@': 94}), 27: (1, {'@': 94}), 2: (1, {'@': 94}), 29: (1, {'@': 94}), 1: (1, {'@': 94}), 30: (1, {'@': 94}), 31: (1, {'@': 94}), 4: (1, {'@': 94}), 32: (1, {'@': 94}), 0: (1, {'@': 94}), 16: (1, {'@': 94}), 33: (1, {'@': 94}), 34: (1, {'@': 94}), 35: (1, {'@': 94}), 36: (1, {'@': 94}), 37: (1, {'@': 94}), 38: (1, {'@': 94}), 39: (1, {'@': 94}), 17: (1, {'@': 94}), 40: (1, {'@': 94}), 41: (1, {'@': 94}), 42: (1, {'@': 94}), 43: (1, {'@': 94}), 44: (1, {'@': 94}), 45: (1, {'@': 94}), 46: (1, {'@': 94}), 47: (1, {'@': 94}), 48: (1, {'@': 94}), 49: (1, {'@': 94}), 50: (1, {'@': 94}), 51: (1, {'@': 94})}, 66: {0: (0, 7), 1: (0, 11), 2: (1, {'@': 45}), 3: (0, 13), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 116), 9: (0, 5), 13: (0, 10), 12: (0, 9), 14: (0, 12), 15: (0, 14), 11: (0, 117)}, 67: {17: (1, {'@': 95}), 16: (1, {'@': 95}), 7: (1, {'@': 95})}, 68: {17: (1, {'@': 96}), 16: (1, {'@': 96}), 7: (1, {'@': 96})}, 69: {2: (1, {'@': 97})}, 70: {0: (0, 7), 12: (1, {'@': 98}), 3: (0, 13), 7: (1, {'@': 98}), 1: (0, 11), 2: (1, {'@': 98}), 4: (1, {'@': 98}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 9: (0, 5), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 8: (0, 118), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 71: {1: (0, 11), 9: (0, 5), 0: (0, 7), 3: (0, 13), 8: (0, 119)}, 72: {4: (0, 120)}, 73: {16: (0, 31), 20: (0, 33), 76: (0, 121), 54: (0, 34), 47: (0, 35), 52: (0, 74), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 76), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 78), 26: (0, 44), 59: (0, 45), 75: (0, 122), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 74: {6: (0, 123), 8: (0, 124), 0: (0, 7), 9: (0, 5), 7: (0, 3), 1: (0, 11), 3: (0, 13)}, 75: {84: (0, 125), 35: (0, 126), 9: (0, 5), 0: (0, 7), 85: (0, 127), 8: (0, 128), 1: (0, 11), 4: (0, 129), 3: (0, 13)}, 76: {20: (0, 130), 18: (0, 132), 21: (0, 40), 22: (1, {'@': 72}), 7: (0, 3), 23: (0, 36), 24: (1, {'@': 72}), 25: (1, {'@': 72}), 26: (0, 44), 12: (0, 9), 3: (1, {'@': 72}), 27: (1, {'@': 72}), 2: (1, {'@': 72}), 29: (0, 43), 1: (1, {'@': 72}), 30: (0, 46), 31: (1, {'@': 72}), 4: (1, {'@': 72}), 32: (1, {'@': 72}), 0: (1, {'@': 72}), 16: (0, 31), 33: (1, {'@': 72}), 34: (1, {'@': 72}), 35: (1, {'@': 72}), 36: (0, 55), 37: (1, {'@': 72}), 38: (1, {'@': 72}), 39: (1, {'@': 72}), 17: (0, 57), 40: (1, {'@': 72}), 41: (1, {'@': 72}), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 44: (1, {'@': 72}), 45: (0, 133), 46: (0, 60), 47: (0, 35), 48: (1, {'@': 72}), 49: (1, {'@': 72}), 50: (1, {'@': 72}), 51: (1, {'@': 72}), 54: (0, 34), 55: (0, 37), 56: (0, 38), 57: (0, 39), 6: (0, 41), 58: (0, 42), 53: (0, 131), 59: (0, 45), 60: (0, 47), 61: (0, 48), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 13: (0, 56), 68: (0, 58), 69: (0, 59), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 77: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 53: (0, 134), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 78: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 18: (0, 135), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 48: (0, 88), 40: (0, 91), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 41: (0, 82), 53: (0, 136), 26: (0, 44), 59: (0, 45), 49: (0, 89), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 33: (0, 94), 50: (0, 80), 43: (0, 85), 63: (0, 50), 64: (0, 51), 65: (0, 52), 77: (0, 81), 66: (0, 53), 44: (0, 96), 45: (0, 137), 37: (0, 83), 67: (0, 54), 36: (0, 55), 34: (0, 92), 22: (0, 95), 13: (0, 56), 17: (0, 57), 68: (0, 58), 38: (0, 84), 69: (0, 59), 78: (0, 90), 46: (0, 138), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 39: (0, 87), 74: (0, 65)}, 79: {20: (1, {'@': 99}), 18: (1, {'@': 99}), 21: (1, {'@': 99}), 22: (1, {'@': 99}), 7: (1, {'@': 99}), 23: (1, {'@': 99}), 24: (1, {'@': 99}), 25: (1, {'@': 99}), 26: (1, {'@': 99}), 12: (1, {'@': 99}), 3: (1, {'@': 99}), 27: (1, {'@': 99}), 2: (1, {'@': 99}), 29: (1, {'@': 99}), 1: (1, {'@': 99}), 30: (1, {'@': 99}), 31: (1, {'@': 99}), 4: (1, {'@': 99}), 32: (1, {'@': 99}), 0: (1, {'@': 99}), 16: (1, {'@': 99}), 33: (1, {'@': 99}), 34: (1, {'@': 99}), 35: (1, {'@': 99}), 36: (1, {'@': 99}), 37: (1, {'@': 99}), 38: (1, {'@': 99}), 39: (1, {'@': 99}), 17: (1, {'@': 99}), 40: (1, {'@': 99}), 41: (1, {'@': 99}), 42: (1, {'@': 99}), 43: (1, {'@': 99}), 44: (1, {'@': 99}), 45: (1, {'@': 99}), 46: (1, {'@': 99}), 47: (1, {'@': 99}), 48: (1, {'@': 99}), 49: (1, {'@': 99}), 50: (1, {'@': 99}), 51: (1, {'@': 99})}, 80: {26: (1, {'@': 100}), 46: (1, {'@': 100}), 0: (1, {'@': 100}), 20: (1, {'@': 100}), 47: (1, {'@': 100}), 16: (1, {'@': 100}), 12: (1, {'@': 100}), 3: (1, {'@': 100}), 21: (1, {'@': 100}), 36: (1, {'@': 100}), 29: (1, {'@': 100}), 17: (1, {'@': 100}), 7: (1, {'@': 100}), 23: (1, {'@': 100}), 1: (1, {'@': 100}), 30: (1, {'@': 100})}, 81: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 139), 26: (0, 44), 9: (0, 5), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 8: (0, 140), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 82: {26: (1, {'@': 101}), 46: (1, {'@': 101}), 0: (1, {'@': 101}), 20: (1, {'@': 101}), 47: (1, {'@': 101}), 16: (1, {'@': 101}), 12: (1, {'@': 101}), 3: (1, {'@': 101}), 21: (1, {'@': 101}), 36: (1, {'@': 101}), 29: (1, {'@': 101}), 17: (1, {'@': 101}), 7: (1, {'@': 101}), 23: (1, {'@': 101}), 1: (1, {'@': 101}), 30: (1, {'@': 101})}, 83: {26: (1, {'@': 102}), 46: (1, {'@': 102}), 0: (1, {'@': 102}), 20: (1, {'@': 102}), 47: (1, {'@': 102}), 16: (1, {'@': 102}), 12: (1, {'@': 102}), 3: (1, {'@': 102}), 21: (1, {'@': 102}), 36: (1, {'@': 102}), 29: (1, {'@': 102}), 17: (1, {'@': 102}), 7: (1, {'@': 102}), 23: (1, {'@': 102}), 1: (1, {'@': 102}), 30: (1, {'@': 102})}, 84: {26: (1, {'@': 103}), 46: (1, {'@': 103}), 0: (1, {'@': 103}), 20: (1, {'@': 103}), 47: (1, {'@': 103}), 16: (1, {'@': 103}), 12: (1, {'@': 103}), 3: (1, {'@': 103}), 21: (1, {'@': 103}), 36: (1, {'@': 103}), 29: (1, {'@': 103}), 17: (1, {'@': 103}), 7: (1, {'@': 103}), 23: (1, {'@': 103}), 1: (1, {'@': 103}), 30: (1, {'@': 103})}, 85: {26: (1, {'@': 104}), 46: (1, {'@': 104}), 0: (1, {'@': 104}), 20: (1, {'@': 104}), 47: (1, {'@': 104}), 16: (1, {'@': 104}), 12: (1, {'@': 104}), 3: (1, {'@': 104}), 21: (1, {'@': 104}), 36: (1, {'@': 104}), 29: (1, {'@': 104}), 17: (1, {'@': 104}), 7: (1, {'@': 104}), 23: (1, {'@': 104}), 1: (1, {'@': 104}), 30: (1, {'@': 104})}, 86: {26: (1, {'@': 105}), 46: (1, {'@': 105}), 0: (1, {'@': 105}), 20: (1, {'@': 105}), 47: (1, {'@': 105}), 16: (1, {'@': 105}), 12: (1, {'@': 105}), 3: (1, {'@': 105}), 21: (1, {'@': 105}), 36: (1, {'@': 105}), 29: (1, {'@': 105}), 17: (1, {'@': 105}), 7: (1, {'@': 105}), 23: (1, {'@': 105}), 1: (1, {'@': 105}), 30: (1, {'@': 105})}, 87: {26: (1, {'@': 106}), 46: (1, {'@': 106}), 0: (1, {'@': 106}), 20: (1, {'@': 106}), 47: (1, {'@': 106}), 16: (1, {'@': 106}), 12: (1, {'@': 106}), 3: (1, {'@': 106}), 21: (1, {'@': 106}), 36: (1, {'@': 106}), 29: (1, {'@': 106}), 17: (1, {'@': 106}), 7: (1, {'@': 106}), 23: (1, {'@': 106}), 1: (1, {'@': 106}), 30: (1, {'@': 106})}, 88: {26: (1, {'@': 107}), 46: (1, {'@': 107}), 0: (1, {'@': 107}), 20: (1, {'@': 107}), 47: (1, {'@': 107}), 16: (1, {'@': 107}), 12: (1, {'@': 107}), 3: (1, {'@': 107}), 21: (1, {'@': 107}), 36: (1, {'@': 107}), 29: (1, {'@': 107}), 17: (1, {'@': 107}), 7: (1, {'@': 107}), 23: (1, {'@': 107}), 1: (1, {'@': 107}), 30: (1, {'@': 107})}, 89: {26: (1, {'@': 108}), 46: (1, {'@': 108}), 0: (1, {'@': 108}), 20: (1, {'@': 108}), 47: (1, {'@': 108}), 16: (1, {'@': 108}), 12: (1, {'@': 108}), 3: (1, {'@': 108}), 21: (1, {'@': 108}), 36: (1, {'@': 108}), 29: (1, {'@': 108}), 17: (1, {'@': 108}), 7: (1, {'@': 108}), 23: (1, {'@': 108}), 1: (1, {'@': 108}), 30: (1, {'@': 108})}, 90: {20: (1, {'@': 109}), 18: (1, {'@': 109}), 21: (1, {'@': 109}), 22: (1, {'@': 109}), 7: (1, {'@': 109}), 23: (1, {'@': 109}), 24: (1, {'@': 109}), 25: (1, {'@': 109}), 26: (1, {'@': 109}), 12: (1, {'@': 109}), 3: (1, {'@': 109}), 27: (1, {'@': 109}), 2: (1, {'@': 109}), 29: (1, {'@': 109}), 1: (1, {'@': 109}), 30: (1, {'@': 109}), 4: (1, {'@': 109}), 32: (1, {'@': 109}), 0: (1, {'@': 109}), 16: (1, {'@': 109}), 33: (1, {'@': 109}), 34: (1, {'@': 109}), 35: (1, {'@': 109}), 36: (1, {'@': 109}), 37: (1, {'@': 109}), 38: (1, {'@': 109}), 39: (1, {'@': 109}), 17: (1, {'@': 109}), 40: (1, {'@': 109}), 41: (1, {'@': 109}), 42: (1, {'@': 109}), 43: (1, {'@': 109}), 44: (1, {'@': 109}), 45: (1, {'@': 109}), 46: (1, {'@': 109}), 47: (1, {'@': 109}), 48: (1, {'@': 109}), 49: (1, {'@': 109}), 50: (1, {'@': 109})}, 91: {26: (1, {'@': 110}), 46: (1, {'@': 110}), 0: (1, {'@': 110}), 20: (1, {'@': 110}), 47: (1, {'@': 110}), 16: (1, {'@': 110}), 12: (1, {'@': 110}), 3: (1, {'@': 110}), 21: (1, {'@': 110}), 36: (1, {'@': 110}), 29: (1, {'@': 110}), 17: (1, {'@': 110}), 7: (1, {'@': 110}), 23: (1, {'@': 110}), 1: (1, {'@': 110}), 30: (1, {'@': 110})}, 92: {26: (1, {'@': 111}), 46: (1, {'@': 111}), 0: (1, {'@': 111}), 20: (1, {'@': 111}), 47: (1, {'@': 111}), 16: (1, {'@': 111}), 12: (1, {'@': 111}), 3: (1, {'@': 111}), 21: (1, {'@': 111}), 36: (1, {'@': 111}), 29: (1, {'@': 111}), 17: (1, {'@': 111}), 7: (1, {'@': 111}), 23: (1, {'@': 111}), 1: (1, {'@': 111}), 30: (1, {'@': 111})}, 93: {0: (1, {'@': 112}), 12: (1, {'@': 112}), 3: (1, {'@': 112}), 7: (1, {'@': 112}), 1: (1, {'@': 112}), 2: (1, {'@': 112}), 4: (1, {'@': 112})}, 94: {16: (0, 31), 20: (0, 33), 54: (0, 34), 53: (0, 141), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 95: {26: (1, {'@': 113}), 46: (1, {'@': 113}), 0: (1, {'@': 113}), 20: (1, {'@': 113}), 47: (1, {'@': 113}), 16: (1, {'@': 113}), 12: (1, {'@': 113}), 3: (1, {'@': 113}), 21: (1, {'@': 113}), 36: (1, {'@': 113}), 29: (1, {'@': 113}), 17: (1, {'@': 113}), 7: (1, {'@': 113}), 23: (1, {'@': 113}), 1: (1, {'@': 113}), 30: (1, {'@': 113})}, 96: {26: (1, {'@': 114}), 46: (1, {'@': 114}), 0: (1, {'@': 114}), 20: (1, {'@': 114}), 47: (1, {'@': 114}), 16: (1, {'@': 114}), 12: (1, {'@': 114}), 3: (1, {'@': 114}), 21: (1, {'@': 114}), 36: (1, {'@': 114}), 29: (1, {'@': 114}), 17: (1, {'@': 114}), 7: (1, {'@': 114}), 23: (1, {'@': 114}), 1: (1, {'@': 114}), 30: (1, {'@': 114})}, 97: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 142), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 98: {50: (0, 80), 77: (0, 81), 41: (0, 82), 9: (0, 5), 37: (0, 83), 38: (0, 84), 0: (0, 7), 43: (0, 85), 46: (0, 86), 32: (0, 143), 39: (0, 87), 48: (0, 88), 1: (0, 11), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 3: (0, 13), 8: (0, 144), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 99: {16: (0, 31), 20: (0, 33), 53: (0, 145), 54: (0, 34), 47: (0, 35), 52: (0, 74), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 26: (0, 44), 76: (0, 146), 59: (0, 45), 30: (0, 46), 24: (0, 147), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 100: {8: (0, 148), 86: (0, 149), 77: (0, 81), 38: (0, 84), 0: (0, 7), 9: (0, 5), 24: (0, 150), 35: (0, 151), 48: (0, 88), 78: (0, 90), 40: (0, 91), 33: (0, 94), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 1: (0, 11), 49: (0, 89), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 101: {16: (0, 31), 20: (0, 33), 8: (0, 152), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 153), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 102: {20: (1, {'@': 115}), 18: (1, {'@': 115}), 21: (1, {'@': 115}), 22: (1, {'@': 115}), 7: (1, {'@': 115}), 23: (1, {'@': 115}), 24: (1, {'@': 115}), 25: (1, {'@': 115}), 26: (1, {'@': 115}), 12: (1, {'@': 115}), 3: (1, {'@': 115}), 27: (1, {'@': 115}), 2: (1, {'@': 115}), 29: (1, {'@': 115}), 1: (1, {'@': 115}), 30: (1, {'@': 115}), 31: (1, {'@': 115}), 4: (1, {'@': 115}), 32: (1, {'@': 115}), 0: (1, {'@': 115}), 16: (1, {'@': 115}), 33: (1, {'@': 115}), 34: (1, {'@': 115}), 35: (1, {'@': 115}), 36: (1, {'@': 115}), 37: (1, {'@': 115}), 38: (1, {'@': 115}), 39: (1, {'@': 115}), 17: (1, {'@': 115}), 40: (1, {'@': 115}), 41: (1, {'@': 115}), 42: (1, {'@': 115}), 43: (1, {'@': 115}), 44: (1, {'@': 115}), 45: (1, {'@': 115}), 46: (1, {'@': 115}), 47: (1, {'@': 115}), 48: (1, {'@': 115}), 49: (1, {'@': 115}), 50: (1, {'@': 115}), 51: (1, {'@': 115})}, 103: {16: (0, 31), 20: (0, 33), 40: (0, 154), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 155), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 8: (0, 156), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 104: {20: (1, {'@': 116}), 18: (1, {'@': 116}), 21: (1, {'@': 116}), 22: (1, {'@': 116}), 7: (1, {'@': 116}), 23: (1, {'@': 116}), 24: (1, {'@': 116}), 25: (1, {'@': 116}), 26: (1, {'@': 116}), 12: (1, {'@': 116}), 3: (1, {'@': 116}), 27: (1, {'@': 116}), 2: (1, {'@': 116}), 29: (1, {'@': 116}), 1: (1, {'@': 116}), 30: (1, {'@': 116}), 31: (0, 159), 4: (1, {'@': 116}), 32: (1, {'@': 116}), 0: (1, {'@': 116}), 16: (1, {'@': 116}), 33: (1, {'@': 116}), 34: (1, {'@': 116}), 35: (1, {'@': 116}), 36: (1, {'@': 116}), 37: (1, {'@': 116}), 38: (1, {'@': 116}), 39: (1, {'@': 116}), 17: (1, {'@': 116}), 40: (1, {'@': 116}), 41: (1, {'@': 116}), 42: (1, {'@': 116}), 43: (1, {'@': 116}), 44: (1, {'@': 116}), 45: (1, {'@': 116}), 46: (1, {'@': 116}), 47: (1, {'@': 116}), 48: (1, {'@': 116}), 49: (1, {'@': 116}), 50: (1, {'@': 116}), 51: (1, {'@': 116}), 87: (0, 157), 81: (0, 158)}, 105: {20: (1, {'@': 117}), 18: (1, {'@': 117}), 21: (1, {'@': 117}), 22: (1, {'@': 117}), 7: (1, {'@': 117}), 23: (1, {'@': 117}), 24: (1, {'@': 117}), 25: (1, {'@': 117}), 26: (1, {'@': 117}), 12: (1, {'@': 117}), 3: (1, {'@': 117}), 27: (1, {'@': 117}), 2: (1, {'@': 117}), 29: (1, {'@': 117}), 1: (1, {'@': 117}), 30: (1, {'@': 117}), 31: (1, {'@': 117}), 4: (1, {'@': 117}), 32: (1, {'@': 117}), 0: (1, {'@': 117}), 16: (1, {'@': 117}), 33: (1, {'@': 117}), 34: (1, {'@': 117}), 35: (1, {'@': 117}), 36: (1, {'@': 117}), 37: (1, {'@': 117}), 38: (1, {'@': 117}), 39: (1, {'@': 117}), 17: (1, {'@': 117}), 40: (1, {'@': 117}), 41: (1, {'@': 117}), 42: (1, {'@': 117}), 43: (1, {'@': 117}), 44: (1, {'@': 117}), 45: (1, {'@': 117}), 46: (1, {'@': 117}), 47: (1, {'@': 117}), 48: (1, {'@': 117}), 49: (1, {'@': 117}), 50: (1, {'@': 117}), 51: (1, {'@': 117})}, 106: {20: (1, {'@': 118}), 18: (1, {'@': 118}), 21: (1, {'@': 118}), 22: (1, {'@': 118}), 7: (1, {'@': 118}), 23: (1, {'@': 118}), 24: (1, {'@': 118}), 25: (1, {'@': 118}), 26: (1, {'@': 118}), 12: (1, {'@': 118}), 3: (1, {'@': 118}), 27: (1, {'@': 118}), 2: (1, {'@': 118}), 29: (1, {'@': 118}), 1: (1, {'@': 118}), 30: (1, {'@': 118}), 31: (1, {'@': 118}), 4: (1, {'@': 118}), 32: (1, {'@': 118}), 0: (1, {'@': 118}), 16: (1, {'@': 118}), 33: (1, {'@': 118}), 34: (1, {'@': 118}), 35: (1, {'@': 118}), 36: (1, {'@': 118}), 37: (1, {'@': 118}), 38: (1, {'@': 118}), 39: (1, {'@': 118}), 17: (1, {'@': 118}), 40: (1, {'@': 118}), 41: (1, {'@': 118}), 42: (1, {'@': 118}), 43: (1, {'@': 118}), 44: (1, {'@': 118}), 45: (1, {'@': 118}), 46: (1, {'@': 118}), 47: (1, {'@': 118}), 48: (1, {'@': 118}), 49: (1, {'@': 118}), 50: (1, {'@': 118}), 51: (1, {'@': 118})}, 107: {20: (1, {'@': 119}), 18: (1, {'@': 119}), 21: (1, {'@': 119}), 22: (1, {'@': 119}), 7: (1, {'@': 119}), 23: (1, {'@': 119}), 24: (1, {'@': 119}), 25: (1, {'@': 119}), 26: (1, {'@': 119}), 12: (1, {'@': 119}), 3: (1, {'@': 119}), 27: (1, {'@': 119}), 2: (1, {'@': 119}), 29: (1, {'@': 119}), 1: (1, {'@': 119}), 30: (1, {'@': 119}), 31: (1, {'@': 119}), 4: (1, {'@': 119}), 32: (1, {'@': 119}), 0: (1, {'@': 119}), 16: (1, {'@': 119}), 33: (1, {'@': 119}), 34: (1, {'@': 119}), 35: (1, {'@': 119}), 36: (1, {'@': 119}), 37: (1, {'@': 119}), 38: (1, {'@': 119}), 39: (1, {'@': 119}), 17: (1, {'@': 119}), 40: (1, {'@': 119}), 41: (1, {'@': 119}), 42: (1, {'@': 119}), 43: (1, {'@': 119}), 44: (1, {'@': 119}), 45: (1, {'@': 119}), 46: (1, {'@': 119}), 47: (1, {'@': 119}), 48: (1, {'@': 119}), 49: (1, {'@': 119}), 50: (1, {'@': 119}), 51: (1, {'@': 119})}, 108: {20: (1, {'@': 120}), 18: (1, {'@': 120}), 21: (1, {'@': 120}), 22: (1, {'@': 120}), 7: (1, {'@': 120}), 23: (1, {'@': 120}), 24: (1, {'@': 120}), 25: (1, {'@': 120}), 26: (1, {'@': 120}), 12: (1, {'@': 120}), 3: (1, {'@': 120}), 27: (1, {'@': 120}), 2: (1, {'@': 120}), 29: (1, {'@': 120}), 1: (1, {'@': 120}), 30: (1, {'@': 120}), 31: (1, {'@': 120}), 4: (1, {'@': 120}), 32: (1, {'@': 120}), 0: (1, {'@': 120}), 16: (1, {'@': 120}), 33: (1, {'@': 120}), 34: (1, {'@': 120}), 35: (1, {'@': 120}), 36: (1, {'@': 120}), 37: (1, {'@': 120}), 38: (1, {'@': 120}), 39: (1, {'@': 120}), 17: (1, {'@': 120}), 40: (1, {'@': 120}), 41: (1, {'@': 120}), 42: (1, {'@': 120}), 43: (1, {'@': 120}), 44: (1, {'@': 120}), 45: (1, {'@': 120}), 46: (1, {'@': 120}), 47: (1, {'@': 120}), 48: (1, {'@': 120}), 49: (1, {'@': 120}), 50: (1, {'@': 120}), 51: (1, {'@': 120})}, 109: {6: (0, 160), 7: (0, 3), 58: (0, 161), 26: (0, 44)}, 110: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 162), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 8: (0, 163), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 88: (0, 164), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 32: (0, 165), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 111: {20: (1, {'@': 121}), 18: (1, {'@': 121}), 21: (1, {'@': 121}), 22: (1, {'@': 121}), 7: (1, {'@': 121}), 23: (1, {'@': 121}), 24: (1, {'@': 121}), 25: (1, {'@': 121}), 26: (1, {'@': 121}), 12: (1, {'@': 121}), 3: (1, {'@': 121}), 27: (1, {'@': 121}), 2: (1, {'@': 121}), 29: (1, {'@': 121}), 1: (1, {'@': 121}), 30: (1, {'@': 121}), 31: (1, {'@': 121}), 4: (1, {'@': 121}), 32: (1, {'@': 121}), 0: (1, {'@': 121}), 83: (1, {'@': 121}), 16: (1, {'@': 121}), 33: (1, {'@': 121}), 34: (1, {'@': 121}), 35: (1, {'@': 121}), 36: (1, {'@': 121}), 37: (1, {'@': 121}), 38: (1, {'@': 121}), 39: (1, {'@': 121}), 17: (1, {'@': 121}), 40: (1, {'@': 121}), 41: (1, {'@': 121}), 42: (1, {'@': 121}), 43: (1, {'@': 121}), 44: (1, {'@': 121}), 45: (1, {'@': 121}), 46: (1, {'@': 121}), 47: (1, {'@': 121}), 48: (1, {'@': 121}), 49: (1, {'@': 121}), 50: (1, {'@': 121}), 51: (1, {'@': 121})}, 112: {26: (0, 44), 58: (0, 166)}, 113: {58: (0, 167), 26: (0, 44)}, 114: {20: (1, {'@': 122}), 18: (1, {'@': 122}), 21: (1, {'@': 122}), 22: (1, {'@': 122}), 7: (1, {'@': 122}), 23: (1, {'@': 122}), 24: (1, {'@': 122}), 25: (1, {'@': 122}), 26: (1, {'@': 122}), 12: (1, {'@': 122}), 3: (1, {'@': 122}), 27: (1, {'@': 122}), 2: (1, {'@': 122}), 29: (1, {'@': 122}), 1: (1, {'@': 122}), 30: (1, {'@': 122}), 4: (1, {'@': 122}), 32: (1, {'@': 122}), 0: (1, {'@': 122}), 16: (1, {'@': 122}), 33: (1, {'@': 122}), 34: (1, {'@': 122}), 35: (1, {'@': 122}), 36: (1, {'@': 122}), 37: (1, {'@': 122}), 38: (1, {'@': 122}), 39: (1, {'@': 122}), 17: (1, {'@': 122}), 40: (1, {'@': 122}), 41: (1, {'@': 122}), 42: (1, {'@': 122}), 43: (1, {'@': 122}), 44: (1, {'@': 122}), 45: (1, {'@': 122}), 46: (1, {'@': 122}), 47: (0, 103), 48: (1, {'@': 122}), 49: (1, {'@': 122}), 50: (1, {'@': 122}), 51: (0, 104), 79: (0, 105), 80: (0, 106), 81: (0, 107), 82: (0, 108), 31: (0, 109)}, 115: {20: (1, {'@': 123}), 18: (1, {'@': 123}), 21: (1, {'@': 123}), 22: (1, {'@': 123}), 7: (1, {'@': 123}), 23: (1, {'@': 123}), 24: (1, {'@': 123}), 25: (1, {'@': 123}), 26: (1, {'@': 123}), 12: (1, {'@': 123}), 3: (1, {'@': 123}), 27: (1, {'@': 123}), 2: (1, {'@': 123}), 29: (1, {'@': 123}), 1: (1, {'@': 123}), 30: (1, {'@': 123}), 4: (1, {'@': 123}), 32: (1, {'@': 123}), 0: (1, {'@': 123}), 16: (1, {'@': 123}), 33: (1, {'@': 123}), 34: (1, {'@': 123}), 35: (1, {'@': 123}), 36: (1, {'@': 123}), 37: (1, {'@': 123}), 38: (1, {'@': 123}), 39: (1, {'@': 123}), 17: (1, {'@': 123}), 40: (1, {'@': 123}), 41: (1, {'@': 123}), 42: (1, {'@': 123}), 43: (1, {'@': 123}), 44: (1, {'@': 123}), 45: (1, {'@': 123}), 46: (1, {'@': 123}), 47: (0, 103), 48: (1, {'@': 123}), 49: (1, {'@': 123}), 50: (1, {'@': 123}), 51: (0, 104), 79: (0, 105), 80: (0, 106), 82: (0, 108), 81: (0, 107), 31: (0, 109)}, 116: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 5: (0, 1), 6: (0, 2), 7: (0, 3), 11: (0, 168), 13: (0, 10), 12: (0, 9), 14: (0, 12), 15: (0, 14)}, 117: {4: (0, 169)}, 118: {0: (1, {'@': 124}), 12: (1, {'@': 124}), 3: (1, {'@': 124}), 7: (1, {'@': 124}), 1: (1, {'@': 124}), 2: (1, {'@': 124}), 4: (1, {'@': 124})}, 119: {0: (1, {'@': 125}), 12: (1, {'@': 125}), 3: (1, {'@': 125}), 7: (1, {'@': 125}), 1: (1, {'@': 125}), 2: (1, {'@': 125}), 4: (1, {'@': 125})}, 120: {1: (0, 11), 9: (0, 5), 8: (0, 170), 0: (0, 7), 3: (0, 13)}, 121: {16: (0, 31), 20: (0, 33), 54: (0, 34), 53: (0, 171), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 122: {85: (0, 172), 84: (0, 173), 35: (0, 126), 4: (0, 174), 9: (0, 5), 0: (0, 7), 8: (0, 128), 1: (0, 11), 3: (0, 13)}, 123: {35: (0, 175), 28: (0, 176), 9: (0, 5), 0: (0, 7), 8: (0, 177), 1: (0, 11), 3: (0, 13)}, 124: {6: (0, 178), 7: (0, 3)}, 125: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 76), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 78), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 75: (0, 179), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 4: (0, 180), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 126: {29: (1, {'@': 126}), 26: (1, {'@': 126}), 46: (1, {'@': 126}), 17: (1, {'@': 126}), 20: (1, {'@': 126}), 47: (1, {'@': 126}), 16: (1, {'@': 126}), 12: (1, {'@': 126}), 7: (1, {'@': 126}), 23: (1, {'@': 126}), 21: (1, {'@': 126}), 36: (1, {'@': 126}), 30: (1, {'@': 126}), 4: (1, {'@': 126}), 1: (0, 11), 9: (0, 5), 0: (0, 7), 3: (0, 13), 8: (0, 181)}, 127: {1: (0, 11), 35: (0, 126), 9: (0, 5), 84: (0, 182), 0: (0, 7), 3: (0, 13), 4: (0, 183), 8: (0, 128)}, 128: {29: (1, {'@': 127}), 26: (1, {'@': 127}), 46: (1, {'@': 127}), 17: (1, {'@': 127}), 20: (1, {'@': 127}), 47: (1, {'@': 127}), 16: (1, {'@': 127}), 12: (1, {'@': 127}), 7: (1, {'@': 127}), 23: (1, {'@': 127}), 21: (1, {'@': 127}), 36: (1, {'@': 127}), 30: (1, {'@': 127}), 4: (1, {'@': 127})}, 129: {20: (1, {'@': 128}), 18: (1, {'@': 128}), 21: (1, {'@': 128}), 22: (1, {'@': 128}), 7: (1, {'@': 128}), 23: (1, {'@': 128}), 24: (1, {'@': 128}), 25: (1, {'@': 128}), 26: (1, {'@': 128}), 12: (1, {'@': 128}), 3: (1, {'@': 128}), 27: (1, {'@': 128}), 2: (1, {'@': 128}), 29: (1, {'@': 128}), 1: (1, {'@': 128}), 30: (1, {'@': 128}), 31: (1, {'@': 128}), 4: (1, {'@': 128}), 32: (1, {'@': 128}), 0: (1, {'@': 128}), 16: (1, {'@': 128}), 33: (1, {'@': 128}), 34: (1, {'@': 128}), 35: (1, {'@': 128}), 36: (1, {'@': 128}), 37: (1, {'@': 128}), 38: (1, {'@': 128}), 39: (1, {'@': 128}), 17: (1, {'@': 128}), 40: (1, {'@': 128}), 41: (1, {'@': 128}), 42: (1, {'@': 128}), 43: (1, {'@': 128}), 44: (1, {'@': 128}), 45: (1, {'@': 128}), 46: (1, {'@': 128}), 47: (1, {'@': 128}), 48: (1, {'@': 128}), 49: (1, {'@': 128}), 50: (1, {'@': 128}), 51: (1, {'@': 128})}, 130: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 8: (0, 184), 57: (0, 39), 56: (0, 38), 53: (0, 185), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 88: (0, 164), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 32: (0, 165), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 131: {0: (1, {'@': 129}), 35: (1, {'@': 129}), 3: (1, {'@': 129}), 1: (1, {'@': 129}), 4: (1, {'@': 129}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 132: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 186), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 133: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 187), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 134: {50: (0, 80), 77: (0, 81), 27: (0, 188), 41: (0, 82), 44: (0, 96), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95)}, 135: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 189), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 136: {0: (1, {'@': 130}), 35: (1, {'@': 130}), 3: (1, {'@': 130}), 1: (1, {'@': 130}), 4: (1, {'@': 130}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 137: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 53: (0, 190), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 138: {26: (0, 44), 46: (1, {'@': 105}), 0: (1, {'@': 105}), 20: (0, 33), 47: (0, 35), 16: (0, 31), 12: (0, 9), 3: (1, {'@': 105}), 21: (0, 40), 36: (1, {'@': 105}), 29: (0, 43), 17: (0, 57), 7: (0, 3), 23: (0, 36), 1: (1, {'@': 105}), 30: (0, 46), 54: (0, 34), 55: (0, 115), 56: (0, 38), 57: (0, 39), 6: (0, 41), 58: (0, 42), 60: (0, 47), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 13: (0, 56), 68: (0, 58), 69: (0, 59), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 139: {20: (1, {'@': 131}), 18: (1, {'@': 131}), 21: (1, {'@': 131}), 22: (0, 95), 7: (1, {'@': 131}), 23: (1, {'@': 131}), 24: (1, {'@': 131}), 25: (1, {'@': 131}), 26: (1, {'@': 131}), 12: (1, {'@': 131}), 3: (1, {'@': 131}), 27: (1, {'@': 131}), 2: (1, {'@': 131}), 29: (1, {'@': 131}), 1: (1, {'@': 131}), 30: (1, {'@': 131}), 4: (1, {'@': 131}), 32: (1, {'@': 131}), 0: (1, {'@': 131}), 16: (1, {'@': 131}), 33: (0, 94), 34: (0, 92), 35: (1, {'@': 131}), 36: (1, {'@': 131}), 37: (0, 83), 38: (0, 84), 39: (0, 87), 17: (1, {'@': 131}), 40: (0, 91), 41: (0, 82), 42: (1, {'@': 131}), 43: (0, 85), 44: (0, 96), 45: (1, {'@': 131}), 46: (0, 86), 47: (1, {'@': 131}), 48: (0, 88), 49: (0, 89), 50: (0, 80), 77: (0, 81), 78: (0, 90)}, 140: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 191), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 141: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 45: (0, 192), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 142: {50: (0, 80), 77: (0, 81), 41: (0, 82), 8: (0, 193), 9: (0, 5), 37: (0, 83), 38: (0, 84), 0: (0, 7), 43: (0, 85), 32: (0, 194), 46: (0, 86), 39: (0, 87), 48: (0, 88), 1: (0, 11), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 3: (0, 13), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 143: {20: (1, {'@': 132}), 18: (1, {'@': 132}), 21: (1, {'@': 132}), 22: (1, {'@': 132}), 7: (1, {'@': 132}), 23: (1, {'@': 132}), 24: (1, {'@': 132}), 25: (1, {'@': 132}), 26: (1, {'@': 132}), 12: (1, {'@': 132}), 3: (1, {'@': 132}), 27: (1, {'@': 132}), 2: (1, {'@': 132}), 29: (1, {'@': 132}), 1: (1, {'@': 132}), 30: (1, {'@': 132}), 31: (1, {'@': 132}), 4: (1, {'@': 132}), 32: (1, {'@': 132}), 0: (1, {'@': 132}), 16: (1, {'@': 132}), 33: (1, {'@': 132}), 34: (1, {'@': 132}), 35: (1, {'@': 132}), 36: (1, {'@': 132}), 37: (1, {'@': 132}), 38: (1, {'@': 132}), 39: (1, {'@': 132}), 17: (1, {'@': 132}), 40: (1, {'@': 132}), 41: (1, {'@': 132}), 42: (1, {'@': 132}), 43: (1, {'@': 132}), 44: (1, {'@': 132}), 45: (1, {'@': 132}), 46: (1, {'@': 132}), 47: (1, {'@': 132}), 48: (1, {'@': 132}), 49: (1, {'@': 132}), 50: (1, {'@': 132}), 51: (1, {'@': 132})}, 144: {32: (0, 195)}, 145: {8: (0, 196), 77: (0, 81), 86: (0, 197), 24: (0, 198), 0: (0, 7), 9: (0, 5), 38: (0, 84), 35: (0, 199), 48: (0, 88), 78: (0, 90), 40: (0, 91), 33: (0, 94), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 1: (0, 11), 49: (0, 89), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 146: {16: (0, 31), 20: (0, 33), 53: (0, 200), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 8: (0, 201), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 147: {20: (1, {'@': 133}), 18: (1, {'@': 133}), 21: (1, {'@': 133}), 22: (1, {'@': 133}), 7: (1, {'@': 133}), 23: (1, {'@': 133}), 24: (1, {'@': 133}), 25: (1, {'@': 133}), 26: (1, {'@': 133}), 12: (1, {'@': 133}), 3: (1, {'@': 133}), 27: (1, {'@': 133}), 2: (1, {'@': 133}), 29: (1, {'@': 133}), 1: (1, {'@': 133}), 30: (1, {'@': 133}), 31: (1, {'@': 133}), 4: (1, {'@': 133}), 32: (1, {'@': 133}), 0: (1, {'@': 133}), 16: (1, {'@': 133}), 33: (1, {'@': 133}), 34: (1, {'@': 133}), 35: (1, {'@': 133}), 36: (1, {'@': 133}), 37: (1, {'@': 133}), 38: (1, {'@': 133}), 39: (1, {'@': 133}), 17: (1, {'@': 133}), 40: (1, {'@': 133}), 41: (1, {'@': 133}), 42: (1, {'@': 133}), 43: (1, {'@': 133}), 44: (1, {'@': 133}), 45: (1, {'@': 133}), 46: (1, {'@': 133}), 47: (1, {'@': 133}), 48: (1, {'@': 133}), 49: (1, {'@': 133}), 50: (1, {'@': 133}), 51: (1, {'@': 133})}, 148: {1: (0, 11), 8: (0, 202), 9: (0, 5), 35: (0, 203), 0: (0, 7), 3: (0, 13), 24: (0, 204)}, 149: {8: (0, 205), 35: (0, 206), 9: (0, 5), 0: (0, 7), 24: (0, 207), 1: (0, 11), 3: (0, 13)}, 150: {20: (1, {'@': 134}), 18: (1, {'@': 134}), 21: (1, {'@': 134}), 22: (1, {'@': 134}), 7: (1, {'@': 134}), 23: (1, {'@': 134}), 24: (1, {'@': 134}), 25: (1, {'@': 134}), 26: (1, {'@': 134}), 12: (1, {'@': 134}), 3: (1, {'@': 134}), 27: (1, {'@': 134}), 2: (1, {'@': 134}), 29: (1, {'@': 134}), 1: (1, {'@': 134}), 30: (1, {'@': 134}), 31: (1, {'@': 134}), 4: (1, {'@': 134}), 32: (1, {'@': 134}), 0: (1, {'@': 134}), 16: (1, {'@': 134}), 33: (1, {'@': 134}), 34: (1, {'@': 134}), 35: (1, {'@': 134}), 36: (1, {'@': 134}), 37: (1, {'@': 134}), 38: (1, {'@': 134}), 39: (1, {'@': 134}), 17: (1, {'@': 134}), 40: (1, {'@': 134}), 41: (1, {'@': 134}), 42: (1, {'@': 134}), 43: (1, {'@': 134}), 44: (1, {'@': 134}), 45: (1, {'@': 134}), 46: (1, {'@': 134}), 47: (1, {'@': 134}), 48: (1, {'@': 134}), 49: (1, {'@': 134}), 50: (1, {'@': 134}), 51: (1, {'@': 134})}, 151: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 53: (0, 208), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 9: (0, 5), 26: (0, 44), 59: (0, 45), 24: (0, 209), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 8: (0, 210), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 152: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 211), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 153: {8: (0, 212), 24: (0, 213), 38: (0, 84), 0: (0, 7), 9: (0, 5), 89: (0, 214), 25: (0, 215), 48: (0, 88), 78: (0, 90), 40: (0, 91), 33: (0, 94), 77: (0, 81), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 1: (0, 11), 49: (0, 89), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 154: {24: (0, 216)}, 155: {50: (0, 80), 77: (0, 81), 41: (0, 82), 9: (0, 5), 37: (0, 83), 38: (0, 84), 0: (0, 7), 43: (0, 85), 46: (0, 86), 8: (0, 217), 39: (0, 87), 48: (0, 88), 24: (0, 218), 1: (0, 11), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 3: (0, 13), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 156: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 219), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 157: {20: (1, {'@': 135}), 18: (1, {'@': 135}), 21: (1, {'@': 135}), 22: (1, {'@': 135}), 7: (1, {'@': 135}), 23: (1, {'@': 135}), 24: (1, {'@': 135}), 25: (1, {'@': 135}), 26: (1, {'@': 135}), 12: (1, {'@': 135}), 3: (1, {'@': 135}), 27: (1, {'@': 135}), 2: (1, {'@': 135}), 29: (1, {'@': 135}), 1: (1, {'@': 135}), 30: (1, {'@': 135}), 31: (0, 159), 4: (1, {'@': 135}), 32: (1, {'@': 135}), 0: (1, {'@': 135}), 16: (1, {'@': 135}), 33: (1, {'@': 135}), 34: (1, {'@': 135}), 35: (1, {'@': 135}), 36: (1, {'@': 135}), 37: (1, {'@': 135}), 38: (1, {'@': 135}), 39: (1, {'@': 135}), 17: (1, {'@': 135}), 40: (1, {'@': 135}), 41: (1, {'@': 135}), 42: (1, {'@': 135}), 43: (1, {'@': 135}), 44: (1, {'@': 135}), 45: (1, {'@': 135}), 46: (1, {'@': 135}), 47: (1, {'@': 135}), 48: (1, {'@': 135}), 49: (1, {'@': 135}), 50: (1, {'@': 135}), 51: (1, {'@': 135}), 81: (0, 220)}, 158: {20: (1, {'@': 136}), 18: (1, {'@': 136}), 21: (1, {'@': 136}), 22: (1, {'@': 136}), 7: (1, {'@': 136}), 23: (1, {'@': 136}), 24: (1, {'@': 136}), 25: (1, {'@': 136}), 26: (1, {'@': 136}), 12: (1, {'@': 136}), 3: (1, {'@': 136}), 27: (1, {'@': 136}), 2: (1, {'@': 136}), 29: (1, {'@': 136}), 1: (1, {'@': 136}), 30: (1, {'@': 136}), 31: (1, {'@': 136}), 4: (1, {'@': 136}), 32: (1, {'@': 136}), 0: (1, {'@': 136}), 16: (1, {'@': 136}), 33: (1, {'@': 136}), 34: (1, {'@': 136}), 35: (1, {'@': 136}), 36: (1, {'@': 136}), 37: (1, {'@': 136}), 38: (1, {'@': 136}), 39: (1, {'@': 136}), 17: (1, {'@': 136}), 40: (1, {'@': 136}), 41: (1, {'@': 136}), 42: (1, {'@': 136}), 43: (1, {'@': 136}), 44: (1, {'@': 136}), 45: (1, {'@': 136}), 46: (1, {'@': 136}), 47: (1, {'@': 136}), 48: (1, {'@': 136}), 49: (1, {'@': 136}), 50: (1, {'@': 136}), 51: (1, {'@': 136})}, 159: {6: (0, 160), 7: (0, 3)}, 160: {20: (1, {'@': 137}), 18: (1, {'@': 137}), 21: (1, {'@': 137}), 22: (1, {'@': 137}), 7: (1, {'@': 137}), 23: (1, {'@': 137}), 24: (1, {'@': 137}), 25: (1, {'@': 137}), 26: (1, {'@': 137}), 12: (1, {'@': 137}), 3: (1, {'@': 137}), 27: (1, {'@': 137}), 2: (1, {'@': 137}), 29: (1, {'@': 137}), 1: (1, {'@': 137}), 30: (1, {'@': 137}), 31: (1, {'@': 137}), 4: (1, {'@': 137}), 32: (1, {'@': 137}), 0: (1, {'@': 137}), 16: (1, {'@': 137}), 33: (1, {'@': 137}), 34: (1, {'@': 137}), 35: (1, {'@': 137}), 36: (1, {'@': 137}), 37: (1, {'@': 137}), 38: (1, {'@': 137}), 39: (1, {'@': 137}), 17: (1, {'@': 137}), 40: (1, {'@': 137}), 41: (1, {'@': 137}), 42: (1, {'@': 137}), 43: (1, {'@': 137}), 44: (1, {'@': 137}), 45: (1, {'@': 137}), 46: (1, {'@': 137}), 47: (1, {'@': 137}), 48: (1, {'@': 137}), 49: (1, {'@': 137}), 50: (1, {'@': 137}), 51: (1, {'@': 137})}, 161: {20: (1, {'@': 138}), 18: (1, {'@': 138}), 21: (1, {'@': 138}), 22: (1, {'@': 138}), 7: (1, {'@': 138}), 23: (1, {'@': 138}), 24: (1, {'@': 138}), 25: (1, {'@': 138}), 26: (0, 111), 12: (1, {'@': 138}), 3: (1, {'@': 138}), 27: (1, {'@': 138}), 2: (1, {'@': 138}), 29: (1, {'@': 138}), 1: (1, {'@': 138}), 30: (1, {'@': 138}), 31: (1, {'@': 138}), 4: (1, {'@': 138}), 32: (1, {'@': 138}), 0: (1, {'@': 138}), 16: (1, {'@': 138}), 33: (1, {'@': 138}), 34: (1, {'@': 138}), 35: (1, {'@': 138}), 36: (1, {'@': 138}), 37: (1, {'@': 138}), 38: (1, {'@': 138}), 39: (1, {'@': 138}), 17: (1, {'@': 138}), 40: (1, {'@': 138}), 41: (1, {'@': 138}), 42: (1, {'@': 138}), 43: (1, {'@': 138}), 44: (1, {'@': 138}), 45: (1, {'@': 138}), 46: (1, {'@': 138}), 47: (1, {'@': 138}), 48: (1, {'@': 138}), 49: (1, {'@': 138}), 50: (1, {'@': 138}), 51: (1, {'@': 138})}, 162: {1: (0, 11), 32: (1, {'@': 139}), 3: (0, 13), 0: (0, 7), 86: (0, 221), 8: (0, 222), 77: (0, 81), 38: (0, 84), 9: (0, 5), 35: (0, 223), 48: (0, 88), 42: (0, 224), 78: (0, 90), 40: (0, 91), 33: (0, 94), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 49: (0, 89), 34: (0, 92), 22: (0, 95)}, 163: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 162), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 88: (0, 225), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 32: (0, 226), 12: (0, 9), 8: (0, 227), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 164: {1: (0, 11), 9: (0, 5), 32: (0, 228), 8: (0, 229), 0: (0, 7), 3: (0, 13)}, 165: {20: (1, {'@': 140}), 18: (1, {'@': 140}), 21: (1, {'@': 140}), 22: (1, {'@': 140}), 7: (1, {'@': 140}), 23: (1, {'@': 140}), 24: (1, {'@': 140}), 25: (1, {'@': 140}), 26: (1, {'@': 140}), 12: (1, {'@': 140}), 3: (1, {'@': 140}), 27: (1, {'@': 140}), 2: (1, {'@': 140}), 29: (1, {'@': 140}), 1: (1, {'@': 140}), 30: (1, {'@': 140}), 31: (1, {'@': 140}), 4: (1, {'@': 140}), 32: (1, {'@': 140}), 0: (1, {'@': 140}), 16: (1, {'@': 140}), 33: (1, {'@': 140}), 34: (1, {'@': 140}), 35: (1, {'@': 140}), 36: (1, {'@': 140}), 37: (1, {'@': 140}), 38: (1, {'@': 140}), 39: (1, {'@': 140}), 17: (1, {'@': 140}), 40: (1, {'@': 140}), 41: (1, {'@': 140}), 42: (1, {'@': 140}), 43: (1, {'@': 140}), 44: (1, {'@': 140}), 45: (1, {'@': 140}), 46: (1, {'@': 140}), 47: (1, {'@': 140}), 48: (1, {'@': 140}), 49: (1, {'@': 140}), 50: (1, {'@': 140}), 51: (1, {'@': 140})}, 166: {20: (1, {'@': 141}), 18: (1, {'@': 141}), 21: (1, {'@': 141}), 22: (1, {'@': 141}), 7: (1, {'@': 141}), 23: (1, {'@': 141}), 24: (1, {'@': 141}), 25: (1, {'@': 141}), 26: (0, 111), 12: (1, {'@': 141}), 3: (1, {'@': 141}), 27: (1, {'@': 141}), 2: (1, {'@': 141}), 29: (1, {'@': 141}), 1: (1, {'@': 141}), 30: (1, {'@': 141}), 31: (1, {'@': 141}), 4: (1, {'@': 141}), 32: (1, {'@': 141}), 0: (1, {'@': 141}), 16: (1, {'@': 141}), 33: (1, {'@': 141}), 34: (1, {'@': 141}), 35: (1, {'@': 141}), 36: (1, {'@': 141}), 37: (1, {'@': 141}), 38: (1, {'@': 141}), 39: (1, {'@': 141}), 17: (1, {'@': 141}), 40: (1, {'@': 141}), 41: (1, {'@': 141}), 42: (1, {'@': 141}), 43: (1, {'@': 141}), 44: (1, {'@': 141}), 45: (1, {'@': 141}), 46: (1, {'@': 141}), 47: (1, {'@': 141}), 48: (1, {'@': 141}), 49: (1, {'@': 141}), 50: (1, {'@': 141}), 51: (1, {'@': 141}), 83: (0, 230)}, 167: {20: (1, {'@': 142}), 18: (1, {'@': 142}), 21: (1, {'@': 142}), 22: (1, {'@': 142}), 7: (1, {'@': 142}), 23: (1, {'@': 142}), 24: (1, {'@': 142}), 25: (1, {'@': 142}), 26: (0, 111), 12: (1, {'@': 142}), 3: (1, {'@': 142}), 27: (1, {'@': 142}), 2: (1, {'@': 142}), 29: (1, {'@': 142}), 1: (1, {'@': 142}), 30: (1, {'@': 142}), 31: (1, {'@': 142}), 4: (1, {'@': 142}), 32: (1, {'@': 142}), 0: (1, {'@': 142}), 16: (1, {'@': 142}), 33: (1, {'@': 142}), 34: (1, {'@': 142}), 35: (1, {'@': 142}), 36: (1, {'@': 142}), 37: (1, {'@': 142}), 38: (1, {'@': 142}), 39: (1, {'@': 142}), 17: (1, {'@': 142}), 40: (1, {'@': 142}), 41: (1, {'@': 142}), 42: (1, {'@': 142}), 43: (1, {'@': 142}), 44: (1, {'@': 142}), 45: (1, {'@': 142}), 46: (1, {'@': 142}), 47: (1, {'@': 142}), 48: (1, {'@': 142}), 49: (1, {'@': 142}), 50: (1, {'@': 142}), 51: (1, {'@': 142})}, 168: {4: (0, 231)}, 169: {1: (0, 11), 8: (0, 232), 9: (0, 5), 0: (0, 7), 3: (0, 13)}, 170: {0: (1, {'@': 143}), 12: (1, {'@': 143}), 3: (1, {'@': 143}), 7: (1, {'@': 143}), 1: (1, {'@': 143}), 2: (1, {'@': 143}), 4: (1, {'@': 143})}, 171: {27: (0, 233), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 22: (0, 95), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 44: (0, 96)}, 172: {1: (0, 11), 35: (0, 126), 9: (0, 5), 84: (0, 234), 0: (0, 7), 4: (0, 235), 3: (0, 13), 8: (0, 128)}, 173: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 76), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 78), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 75: (0, 179), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 4: (0, 236), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 174: {20: (1, {'@': 144}), 18: (1, {'@': 144}), 21: (1, {'@': 144}), 22: (1, {'@': 144}), 7: (1, {'@': 144}), 23: (1, {'@': 144}), 24: (1, {'@': 144}), 25: (1, {'@': 144}), 26: (1, {'@': 144}), 12: (1, {'@': 144}), 3: (1, {'@': 144}), 27: (1, {'@': 144}), 2: (1, {'@': 144}), 29: (1, {'@': 144}), 1: (1, {'@': 144}), 30: (1, {'@': 144}), 31: (1, {'@': 144}), 4: (1, {'@': 144}), 32: (1, {'@': 144}), 0: (1, {'@': 144}), 16: (1, {'@': 144}), 33: (1, {'@': 144}), 34: (1, {'@': 144}), 35: (1, {'@': 144}), 36: (1, {'@': 144}), 37: (1, {'@': 144}), 38: (1, {'@': 144}), 39: (1, {'@': 144}), 17: (1, {'@': 144}), 40: (1, {'@': 144}), 41: (1, {'@': 144}), 42: (1, {'@': 144}), 43: (1, {'@': 144}), 44: (1, {'@': 144}), 45: (1, {'@': 144}), 46: (1, {'@': 144}), 47: (1, {'@': 144}), 48: (1, {'@': 144}), 49: (1, {'@': 144}), 50: (1, {'@': 144}), 51: (1, {'@': 144})}, 175: {6: (0, 237), 7: (0, 3)}, 176: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 8: (0, 238), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 239), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 177: {28: (0, 240)}, 178: {35: (0, 241), 9: (0, 5), 8: (0, 242), 28: (0, 243), 0: (0, 7), 1: (0, 11), 3: (0, 13)}, 179: {1: (1, {'@': 145}), 0: (1, {'@': 145}), 35: (1, {'@': 145}), 3: (1, {'@': 145}), 4: (1, {'@': 145})}, 180: {20: (1, {'@': 146}), 18: (1, {'@': 146}), 21: (1, {'@': 146}), 22: (1, {'@': 146}), 7: (1, {'@': 146}), 23: (1, {'@': 146}), 24: (1, {'@': 146}), 25: (1, {'@': 146}), 26: (1, {'@': 146}), 12: (1, {'@': 146}), 3: (1, {'@': 146}), 27: (1, {'@': 146}), 2: (1, {'@': 146}), 29: (1, {'@': 146}), 1: (1, {'@': 146}), 30: (1, {'@': 146}), 31: (1, {'@': 146}), 4: (1, {'@': 146}), 32: (1, {'@': 146}), 0: (1, {'@': 146}), 16: (1, {'@': 146}), 33: (1, {'@': 146}), 34: (1, {'@': 146}), 35: (1, {'@': 146}), 36: (1, {'@': 146}), 37: (1, {'@': 146}), 38: (1, {'@': 146}), 39: (1, {'@': 146}), 17: (1, {'@': 146}), 40: (1, {'@': 146}), 41: (1, {'@': 146}), 42: (1, {'@': 146}), 43: (1, {'@': 146}), 44: (1, {'@': 146}), 45: (1, {'@': 146}), 46: (1, {'@': 146}), 47: (1, {'@': 146}), 48: (1, {'@': 146}), 49: (1, {'@': 146}), 50: (1, {'@': 146}), 51: (1, {'@': 146})}, 181: {29: (1, {'@': 147}), 26: (1, {'@': 147}), 46: (1, {'@': 147}), 17: (1, {'@': 147}), 20: (1, {'@': 147}), 47: (1, {'@': 147}), 16: (1, {'@': 147}), 12: (1, {'@': 147}), 7: (1, {'@': 147}), 23: (1, {'@': 147}), 21: (1, {'@': 147}), 36: (1, {'@': 147}), 30: (1, {'@': 147}), 4: (1, {'@': 147})}, 182: {16: (0, 31), 75: (0, 244), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 76), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 78), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 4: (0, 245), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 183: {20: (1, {'@': 148}), 18: (1, {'@': 148}), 21: (1, {'@': 148}), 22: (1, {'@': 148}), 7: (1, {'@': 148}), 23: (1, {'@': 148}), 24: (1, {'@': 148}), 25: (1, {'@': 148}), 26: (1, {'@': 148}), 12: (1, {'@': 148}), 3: (1, {'@': 148}), 27: (1, {'@': 148}), 2: (1, {'@': 148}), 29: (1, {'@': 148}), 1: (1, {'@': 148}), 30: (1, {'@': 148}), 31: (1, {'@': 148}), 4: (1, {'@': 148}), 32: (1, {'@': 148}), 0: (1, {'@': 148}), 16: (1, {'@': 148}), 33: (1, {'@': 148}), 34: (1, {'@': 148}), 35: (1, {'@': 148}), 36: (1, {'@': 148}), 37: (1, {'@': 148}), 38: (1, {'@': 148}), 39: (1, {'@': 148}), 17: (1, {'@': 148}), 40: (1, {'@': 148}), 41: (1, {'@': 148}), 42: (1, {'@': 148}), 43: (1, {'@': 148}), 44: (1, {'@': 148}), 45: (1, {'@': 148}), 46: (1, {'@': 148}), 47: (1, {'@': 148}), 48: (1, {'@': 148}), 49: (1, {'@': 148}), 50: (1, {'@': 148}), 51: (1, {'@': 148})}, 184: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 246), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 88: (0, 225), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 32: (0, 226), 12: (0, 9), 8: (0, 227), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 185: {1: (0, 11), 32: (0, 143), 3: (0, 13), 0: (0, 7), 86: (0, 221), 8: (0, 247), 77: (0, 81), 38: (0, 84), 9: (0, 5), 35: (0, 223), 48: (0, 88), 42: (0, 224), 78: (0, 90), 40: (0, 91), 33: (0, 94), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 49: (0, 89), 34: (0, 92), 22: (0, 95)}, 186: {0: (1, {'@': 149}), 35: (1, {'@': 149}), 3: (1, {'@': 149}), 1: (1, {'@': 149}), 4: (1, {'@': 149}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 187: {0: (1, {'@': 150}), 35: (1, {'@': 150}), 3: (1, {'@': 150}), 1: (1, {'@': 150}), 4: (1, {'@': 150}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 188: {53: (0, 248), 16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 189: {0: (1, {'@': 151}), 35: (1, {'@': 151}), 3: (1, {'@': 151}), 1: (1, {'@': 151}), 4: (1, {'@': 151}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 190: {0: (1, {'@': 152}), 35: (1, {'@': 152}), 3: (1, {'@': 152}), 1: (1, {'@': 152}), 4: (1, {'@': 152}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 191: {20: (1, {'@': 153}), 18: (1, {'@': 153}), 21: (1, {'@': 153}), 22: (0, 95), 7: (1, {'@': 153}), 23: (1, {'@': 153}), 24: (1, {'@': 153}), 25: (1, {'@': 153}), 26: (1, {'@': 153}), 12: (1, {'@': 153}), 3: (1, {'@': 153}), 27: (1, {'@': 153}), 2: (1, {'@': 153}), 29: (1, {'@': 153}), 1: (1, {'@': 153}), 30: (1, {'@': 153}), 4: (1, {'@': 153}), 32: (1, {'@': 153}), 0: (1, {'@': 153}), 16: (1, {'@': 153}), 33: (0, 94), 34: (0, 92), 35: (1, {'@': 153}), 36: (1, {'@': 153}), 37: (0, 83), 38: (0, 84), 39: (0, 87), 17: (1, {'@': 153}), 40: (0, 91), 41: (0, 82), 42: (1, {'@': 153}), 43: (0, 85), 44: (0, 96), 45: (1, {'@': 153}), 46: (0, 86), 47: (1, {'@': 153}), 48: (0, 88), 49: (0, 89), 50: (0, 80), 77: (0, 81), 78: (0, 90)}, 192: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 53: (0, 249), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 193: {32: (0, 250)}, 194: {20: (1, {'@': 154}), 18: (1, {'@': 154}), 21: (1, {'@': 154}), 22: (1, {'@': 154}), 7: (1, {'@': 154}), 23: (1, {'@': 154}), 24: (1, {'@': 154}), 25: (1, {'@': 154}), 26: (1, {'@': 154}), 12: (1, {'@': 154}), 3: (1, {'@': 154}), 27: (1, {'@': 154}), 2: (1, {'@': 154}), 29: (1, {'@': 154}), 1: (1, {'@': 154}), 30: (1, {'@': 154}), 31: (1, {'@': 154}), 4: (1, {'@': 154}), 32: (1, {'@': 154}), 0: (1, {'@': 154}), 16: (1, {'@': 154}), 33: (1, {'@': 154}), 34: (1, {'@': 154}), 35: (1, {'@': 154}), 36: (1, {'@': 154}), 37: (1, {'@': 154}), 38: (1, {'@': 154}), 39: (1, {'@': 154}), 17: (1, {'@': 154}), 40: (1, {'@': 154}), 41: (1, {'@': 154}), 42: (1, {'@': 154}), 43: (1, {'@': 154}), 44: (1, {'@': 154}), 45: (1, {'@': 154}), 46: (1, {'@': 154}), 47: (1, {'@': 154}), 48: (1, {'@': 154}), 49: (1, {'@': 154}), 50: (1, {'@': 154}), 51: (1, {'@': 154})}, 195: {20: (1, {'@': 155}), 18: (1, {'@': 155}), 21: (1, {'@': 155}), 22: (1, {'@': 155}), 7: (1, {'@': 155}), 23: (1, {'@': 155}), 24: (1, {'@': 155}), 25: (1, {'@': 155}), 26: (1, {'@': 155}), 12: (1, {'@': 155}), 3: (1, {'@': 155}), 27: (1, {'@': 155}), 2: (1, {'@': 155}), 29: (1, {'@': 155}), 1: (1, {'@': 155}), 30: (1, {'@': 155}), 31: (1, {'@': 155}), 4: (1, {'@': 155}), 32: (1, {'@': 155}), 0: (1, {'@': 155}), 16: (1, {'@': 155}), 33: (1, {'@': 155}), 34: (1, {'@': 155}), 35: (1, {'@': 155}), 36: (1, {'@': 155}), 37: (1, {'@': 155}), 38: (1, {'@': 155}), 39: (1, {'@': 155}), 17: (1, {'@': 155}), 40: (1, {'@': 155}), 41: (1, {'@': 155}), 42: (1, {'@': 155}), 43: (1, {'@': 155}), 44: (1, {'@': 155}), 45: (1, {'@': 155}), 46: (1, {'@': 155}), 47: (1, {'@': 155}), 48: (1, {'@': 155}), 49: (1, {'@': 155}), 50: (1, {'@': 155}), 51: (1, {'@': 155})}, 196: {8: (0, 251), 1: (0, 11), 9: (0, 5), 24: (0, 252), 35: (0, 253), 0: (0, 7), 3: (0, 13)}, 197: {35: (0, 254), 8: (0, 255), 9: (0, 5), 0: (0, 7), 24: (0, 256), 1: (0, 11), 3: (0, 13)}, 198: {20: (1, {'@': 156}), 18: (1, {'@': 156}), 21: (1, {'@': 156}), 22: (1, {'@': 156}), 7: (1, {'@': 156}), 23: (1, {'@': 156}), 24: (1, {'@': 156}), 25: (1, {'@': 156}), 26: (1, {'@': 156}), 12: (1, {'@': 156}), 3: (1, {'@': 156}), 27: (1, {'@': 156}), 2: (1, {'@': 156}), 29: (1, {'@': 156}), 1: (1, {'@': 156}), 30: (1, {'@': 156}), 31: (1, {'@': 156}), 4: (1, {'@': 156}), 32: (1, {'@': 156}), 0: (1, {'@': 156}), 16: (1, {'@': 156}), 33: (1, {'@': 156}), 34: (1, {'@': 156}), 35: (1, {'@': 156}), 36: (1, {'@': 156}), 37: (1, {'@': 156}), 38: (1, {'@': 156}), 39: (1, {'@': 156}), 17: (1, {'@': 156}), 40: (1, {'@': 156}), 41: (1, {'@': 156}), 42: (1, {'@': 156}), 43: (1, {'@': 156}), 44: (1, {'@': 156}), 45: (1, {'@': 156}), 46: (1, {'@': 156}), 47: (1, {'@': 156}), 48: (1, {'@': 156}), 49: (1, {'@': 156}), 50: (1, {'@': 156}), 51: (1, {'@': 156})}, 199: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 53: (0, 208), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 24: (0, 257), 61: (0, 48), 0: (0, 7), 8: (0, 258), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 200: {8: (0, 259), 38: (0, 84), 0: (0, 7), 9: (0, 5), 25: (0, 215), 24: (0, 260), 89: (0, 261), 48: (0, 88), 78: (0, 90), 40: (0, 91), 33: (0, 94), 77: (0, 81), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 1: (0, 11), 49: (0, 89), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 201: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 262), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 202: {24: (0, 263)}, 203: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 264), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 24: (0, 265), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 8: (0, 266), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 204: {20: (1, {'@': 157}), 18: (1, {'@': 157}), 21: (1, {'@': 157}), 22: (1, {'@': 157}), 7: (1, {'@': 157}), 23: (1, {'@': 157}), 24: (1, {'@': 157}), 25: (1, {'@': 157}), 26: (1, {'@': 157}), 12: (1, {'@': 157}), 3: (1, {'@': 157}), 27: (1, {'@': 157}), 2: (1, {'@': 157}), 29: (1, {'@': 157}), 1: (1, {'@': 157}), 30: (1, {'@': 157}), 31: (1, {'@': 157}), 4: (1, {'@': 157}), 32: (1, {'@': 157}), 0: (1, {'@': 157}), 16: (1, {'@': 157}), 33: (1, {'@': 157}), 34: (1, {'@': 157}), 35: (1, {'@': 157}), 36: (1, {'@': 157}), 37: (1, {'@': 157}), 38: (1, {'@': 157}), 39: (1, {'@': 157}), 17: (1, {'@': 157}), 40: (1, {'@': 157}), 41: (1, {'@': 157}), 42: (1, {'@': 157}), 43: (1, {'@': 157}), 44: (1, {'@': 157}), 45: (1, {'@': 157}), 46: (1, {'@': 157}), 47: (1, {'@': 157}), 48: (1, {'@': 157}), 49: (1, {'@': 157}), 50: (1, {'@': 157}), 51: (1, {'@': 157})}, 205: {35: (0, 267), 1: (0, 11), 24: (0, 268), 9: (0, 5), 0: (0, 7), 3: (0, 13), 8: (0, 269)}, 206: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 270), 9: (0, 5), 8: (0, 271), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 24: (0, 272), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 207: {20: (1, {'@': 158}), 18: (1, {'@': 158}), 21: (1, {'@': 158}), 22: (1, {'@': 158}), 7: (1, {'@': 158}), 23: (1, {'@': 158}), 24: (1, {'@': 158}), 25: (1, {'@': 158}), 26: (1, {'@': 158}), 12: (1, {'@': 158}), 3: (1, {'@': 158}), 27: (1, {'@': 158}), 2: (1, {'@': 158}), 29: (1, {'@': 158}), 1: (1, {'@': 158}), 30: (1, {'@': 158}), 31: (1, {'@': 158}), 4: (1, {'@': 158}), 32: (1, {'@': 158}), 0: (1, {'@': 158}), 16: (1, {'@': 158}), 33: (1, {'@': 158}), 34: (1, {'@': 158}), 35: (1, {'@': 158}), 36: (1, {'@': 158}), 37: (1, {'@': 158}), 38: (1, {'@': 158}), 39: (1, {'@': 158}), 17: (1, {'@': 158}), 40: (1, {'@': 158}), 41: (1, {'@': 158}), 42: (1, {'@': 158}), 43: (1, {'@': 158}), 44: (1, {'@': 158}), 45: (1, {'@': 158}), 46: (1, {'@': 158}), 47: (1, {'@': 158}), 48: (1, {'@': 158}), 49: (1, {'@': 158}), 50: (1, {'@': 158}), 51: (1, {'@': 158})}, 208: {32: (1, {'@': 159}), 0: (1, {'@': 159}), 35: (1, {'@': 159}), 3: (1, {'@': 159}), 42: (1, {'@': 159}), 24: (1, {'@': 159}), 1: (1, {'@': 159}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 209: {20: (1, {'@': 160}), 18: (1, {'@': 160}), 21: (1, {'@': 160}), 22: (1, {'@': 160}), 7: (1, {'@': 160}), 23: (1, {'@': 160}), 24: (1, {'@': 160}), 25: (1, {'@': 160}), 26: (1, {'@': 160}), 12: (1, {'@': 160}), 3: (1, {'@': 160}), 27: (1, {'@': 160}), 2: (1, {'@': 160}), 29: (1, {'@': 160}), 1: (1, {'@': 160}), 30: (1, {'@': 160}), 31: (1, {'@': 160}), 4: (1, {'@': 160}), 32: (1, {'@': 160}), 0: (1, {'@': 160}), 16: (1, {'@': 160}), 33: (1, {'@': 160}), 34: (1, {'@': 160}), 35: (1, {'@': 160}), 36: (1, {'@': 160}), 37: (1, {'@': 160}), 38: (1, {'@': 160}), 39: (1, {'@': 160}), 17: (1, {'@': 160}), 40: (1, {'@': 160}), 41: (1, {'@': 160}), 42: (1, {'@': 160}), 43: (1, {'@': 160}), 44: (1, {'@': 160}), 45: (1, {'@': 160}), 46: (1, {'@': 160}), 47: (1, {'@': 160}), 48: (1, {'@': 160}), 49: (1, {'@': 160}), 50: (1, {'@': 160}), 51: (1, {'@': 160})}, 210: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 273), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 24: (0, 274), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 211: {38: (0, 84), 0: (0, 7), 9: (0, 5), 25: (0, 215), 48: (0, 88), 78: (0, 90), 40: (0, 91), 33: (0, 94), 8: (0, 275), 77: (0, 81), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 89: (0, 276), 39: (0, 87), 1: (0, 11), 49: (0, 89), 24: (0, 277), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 212: {1: (0, 11), 9: (0, 5), 8: (0, 278), 89: (0, 279), 25: (0, 215), 0: (0, 7), 3: (0, 13), 24: (0, 280)}, 213: {20: (1, {'@': 161}), 18: (1, {'@': 161}), 21: (1, {'@': 161}), 22: (1, {'@': 161}), 7: (1, {'@': 161}), 23: (1, {'@': 161}), 24: (1, {'@': 161}), 25: (1, {'@': 161}), 26: (1, {'@': 161}), 12: (1, {'@': 161}), 3: (1, {'@': 161}), 27: (1, {'@': 161}), 2: (1, {'@': 161}), 29: (1, {'@': 161}), 1: (1, {'@': 161}), 30: (1, {'@': 161}), 31: (1, {'@': 161}), 4: (1, {'@': 161}), 32: (1, {'@': 161}), 0: (1, {'@': 161}), 16: (1, {'@': 161}), 33: (1, {'@': 161}), 34: (1, {'@': 161}), 35: (1, {'@': 161}), 36: (1, {'@': 161}), 37: (1, {'@': 161}), 38: (1, {'@': 161}), 39: (1, {'@': 161}), 17: (1, {'@': 161}), 40: (1, {'@': 161}), 41: (1, {'@': 161}), 42: (1, {'@': 161}), 43: (1, {'@': 161}), 44: (1, {'@': 161}), 45: (1, {'@': 161}), 46: (1, {'@': 161}), 47: (1, {'@': 161}), 48: (1, {'@': 161}), 49: (1, {'@': 161}), 50: (1, {'@': 161}), 51: (1, {'@': 161})}, 214: {1: (0, 11), 9: (0, 5), 8: (0, 281), 0: (0, 7), 3: (0, 13), 24: (0, 282)}, 215: {16: (0, 31), 20: (0, 33), 8: (0, 283), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 284), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 216: {20: (1, {'@': 162}), 18: (1, {'@': 162}), 21: (1, {'@': 162}), 22: (1, {'@': 162}), 7: (1, {'@': 162}), 23: (1, {'@': 162}), 24: (1, {'@': 162}), 25: (1, {'@': 162}), 26: (1, {'@': 162}), 12: (1, {'@': 162}), 3: (1, {'@': 162}), 27: (1, {'@': 162}), 2: (1, {'@': 162}), 29: (1, {'@': 162}), 1: (1, {'@': 162}), 30: (1, {'@': 162}), 31: (0, 109), 4: (1, {'@': 162}), 32: (1, {'@': 162}), 0: (1, {'@': 162}), 16: (1, {'@': 162}), 33: (1, {'@': 162}), 34: (1, {'@': 162}), 35: (1, {'@': 162}), 36: (1, {'@': 162}), 37: (1, {'@': 162}), 38: (1, {'@': 162}), 39: (1, {'@': 162}), 17: (1, {'@': 162}), 40: (1, {'@': 162}), 41: (1, {'@': 162}), 42: (1, {'@': 162}), 43: (1, {'@': 162}), 44: (1, {'@': 162}), 45: (1, {'@': 162}), 46: (1, {'@': 162}), 47: (0, 285), 48: (1, {'@': 162}), 49: (1, {'@': 162}), 50: (1, {'@': 162}), 51: (1, {'@': 162}), 90: (0, 286), 81: (0, 287), 82: (0, 288)}, 217: {24: (0, 289)}, 218: {20: (1, {'@': 163}), 18: (1, {'@': 163}), 21: (1, {'@': 163}), 22: (1, {'@': 163}), 7: (1, {'@': 163}), 23: (1, {'@': 163}), 24: (1, {'@': 163}), 25: (1, {'@': 163}), 26: (1, {'@': 163}), 12: (1, {'@': 163}), 3: (1, {'@': 163}), 27: (1, {'@': 163}), 2: (1, {'@': 163}), 29: (1, {'@': 163}), 1: (1, {'@': 163}), 30: (1, {'@': 163}), 31: (1, {'@': 163}), 4: (1, {'@': 163}), 32: (1, {'@': 163}), 0: (1, {'@': 163}), 16: (1, {'@': 163}), 33: (1, {'@': 163}), 34: (1, {'@': 163}), 35: (1, {'@': 163}), 36: (1, {'@': 163}), 37: (1, {'@': 163}), 38: (1, {'@': 163}), 39: (1, {'@': 163}), 17: (1, {'@': 163}), 40: (1, {'@': 163}), 41: (1, {'@': 163}), 42: (1, {'@': 163}), 43: (1, {'@': 163}), 44: (1, {'@': 163}), 45: (1, {'@': 163}), 46: (1, {'@': 163}), 47: (1, {'@': 163}), 48: (1, {'@': 163}), 49: (1, {'@': 163}), 50: (1, {'@': 163}), 51: (1, {'@': 163})}, 219: {50: (0, 80), 77: (0, 81), 41: (0, 82), 9: (0, 5), 37: (0, 83), 38: (0, 84), 0: (0, 7), 43: (0, 85), 46: (0, 86), 8: (0, 290), 39: (0, 87), 48: (0, 88), 1: (0, 11), 24: (0, 291), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 3: (0, 13), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 220: {20: (1, {'@': 164}), 18: (1, {'@': 164}), 21: (1, {'@': 164}), 22: (1, {'@': 164}), 7: (1, {'@': 164}), 23: (1, {'@': 164}), 24: (1, {'@': 164}), 25: (1, {'@': 164}), 26: (1, {'@': 164}), 12: (1, {'@': 164}), 3: (1, {'@': 164}), 27: (1, {'@': 164}), 2: (1, {'@': 164}), 29: (1, {'@': 164}), 1: (1, {'@': 164}), 30: (1, {'@': 164}), 31: (1, {'@': 164}), 4: (1, {'@': 164}), 32: (1, {'@': 164}), 0: (1, {'@': 164}), 16: (1, {'@': 164}), 33: (1, {'@': 164}), 34: (1, {'@': 164}), 35: (1, {'@': 164}), 36: (1, {'@': 164}), 37: (1, {'@': 164}), 38: (1, {'@': 164}), 39: (1, {'@': 164}), 17: (1, {'@': 164}), 40: (1, {'@': 164}), 41: (1, {'@': 164}), 42: (1, {'@': 164}), 43: (1, {'@': 164}), 44: (1, {'@': 164}), 45: (1, {'@': 164}), 46: (1, {'@': 164}), 47: (1, {'@': 164}), 48: (1, {'@': 164}), 49: (1, {'@': 164}), 50: (1, {'@': 164}), 51: (1, {'@': 164})}, 221: {1: (0, 11), 32: (1, {'@': 165}), 3: (0, 13), 0: (0, 7), 8: (0, 292), 35: (0, 293), 9: (0, 5), 42: (0, 294)}, 222: {1: (1, {'@': 166}), 32: (1, {'@': 166}), 3: (1, {'@': 166}), 0: (1, {'@': 166}), 35: (0, 295)}, 223: {1: (0, 11), 32: (1, {'@': 167}), 3: (0, 13), 0: (0, 7), 16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 53: (0, 208), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 8: (0, 296), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 224: {1: (0, 11), 32: (1, {'@': 168}), 3: (0, 13), 0: (0, 7), 9: (0, 5), 8: (0, 297)}, 225: {1: (0, 11), 9: (0, 5), 32: (0, 298), 0: (0, 7), 3: (0, 13), 8: (0, 299)}, 226: {20: (1, {'@': 169}), 18: (1, {'@': 169}), 21: (1, {'@': 169}), 22: (1, {'@': 169}), 7: (1, {'@': 169}), 23: (1, {'@': 169}), 24: (1, {'@': 169}), 25: (1, {'@': 169}), 26: (1, {'@': 169}), 12: (1, {'@': 169}), 3: (1, {'@': 169}), 27: (1, {'@': 169}), 2: (1, {'@': 169}), 29: (1, {'@': 169}), 1: (1, {'@': 169}), 30: (1, {'@': 169}), 31: (1, {'@': 169}), 4: (1, {'@': 169}), 32: (1, {'@': 169}), 0: (1, {'@': 169}), 16: (1, {'@': 169}), 33: (1, {'@': 169}), 34: (1, {'@': 169}), 35: (1, {'@': 169}), 36: (1, {'@': 169}), 37: (1, {'@': 169}), 38: (1, {'@': 169}), 39: (1, {'@': 169}), 17: (1, {'@': 169}), 40: (1, {'@': 169}), 41: (1, {'@': 169}), 42: (1, {'@': 169}), 43: (1, {'@': 169}), 44: (1, {'@': 169}), 45: (1, {'@': 169}), 46: (1, {'@': 169}), 47: (1, {'@': 169}), 48: (1, {'@': 169}), 49: (1, {'@': 169}), 50: (1, {'@': 169}), 51: (1, {'@': 169})}, 227: {32: (0, 300)}, 228: {20: (1, {'@': 170}), 18: (1, {'@': 170}), 21: (1, {'@': 170}), 22: (1, {'@': 170}), 7: (1, {'@': 170}), 23: (1, {'@': 170}), 24: (1, {'@': 170}), 25: (1, {'@': 170}), 26: (1, {'@': 170}), 12: (1, {'@': 170}), 3: (1, {'@': 170}), 27: (1, {'@': 170}), 2: (1, {'@': 170}), 29: (1, {'@': 170}), 1: (1, {'@': 170}), 30: (1, {'@': 170}), 31: (1, {'@': 170}), 4: (1, {'@': 170}), 32: (1, {'@': 170}), 0: (1, {'@': 170}), 16: (1, {'@': 170}), 33: (1, {'@': 170}), 34: (1, {'@': 170}), 35: (1, {'@': 170}), 36: (1, {'@': 170}), 37: (1, {'@': 170}), 38: (1, {'@': 170}), 39: (1, {'@': 170}), 17: (1, {'@': 170}), 40: (1, {'@': 170}), 41: (1, {'@': 170}), 42: (1, {'@': 170}), 43: (1, {'@': 170}), 44: (1, {'@': 170}), 45: (1, {'@': 170}), 46: (1, {'@': 170}), 47: (1, {'@': 170}), 48: (1, {'@': 170}), 49: (1, {'@': 170}), 50: (1, {'@': 170}), 51: (1, {'@': 170})}, 229: {32: (0, 301)}, 230: {58: (0, 302), 26: (0, 44)}, 231: {1: (0, 11), 9: (0, 5), 8: (0, 303), 0: (0, 7), 3: (0, 13)}, 232: {0: (1, {'@': 171}), 12: (1, {'@': 171}), 3: (1, {'@': 171}), 7: (1, {'@': 171}), 1: (1, {'@': 171}), 2: (1, {'@': 171}), 4: (1, {'@': 171})}, 233: {16: (0, 31), 53: (0, 304), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 234: {16: (0, 31), 75: (0, 244), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 76), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 78), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 4: (0, 305), 74: (0, 65)}, 235: {20: (1, {'@': 172}), 18: (1, {'@': 172}), 21: (1, {'@': 172}), 22: (1, {'@': 172}), 7: (1, {'@': 172}), 23: (1, {'@': 172}), 24: (1, {'@': 172}), 25: (1, {'@': 172}), 26: (1, {'@': 172}), 12: (1, {'@': 172}), 3: (1, {'@': 172}), 27: (1, {'@': 172}), 2: (1, {'@': 172}), 29: (1, {'@': 172}), 1: (1, {'@': 172}), 30: (1, {'@': 172}), 31: (1, {'@': 172}), 4: (1, {'@': 172}), 32: (1, {'@': 172}), 0: (1, {'@': 172}), 16: (1, {'@': 172}), 33: (1, {'@': 172}), 34: (1, {'@': 172}), 35: (1, {'@': 172}), 36: (1, {'@': 172}), 37: (1, {'@': 172}), 38: (1, {'@': 172}), 39: (1, {'@': 172}), 17: (1, {'@': 172}), 40: (1, {'@': 172}), 41: (1, {'@': 172}), 42: (1, {'@': 172}), 43: (1, {'@': 172}), 44: (1, {'@': 172}), 45: (1, {'@': 172}), 46: (1, {'@': 172}), 47: (1, {'@': 172}), 48: (1, {'@': 172}), 49: (1, {'@': 172}), 50: (1, {'@': 172}), 51: (1, {'@': 172})}, 236: {20: (1, {'@': 173}), 18: (1, {'@': 173}), 21: (1, {'@': 173}), 22: (1, {'@': 173}), 7: (1, {'@': 173}), 23: (1, {'@': 173}), 24: (1, {'@': 173}), 25: (1, {'@': 173}), 26: (1, {'@': 173}), 12: (1, {'@': 173}), 3: (1, {'@': 173}), 27: (1, {'@': 173}), 2: (1, {'@': 173}), 29: (1, {'@': 173}), 1: (1, {'@': 173}), 30: (1, {'@': 173}), 31: (1, {'@': 173}), 4: (1, {'@': 173}), 32: (1, {'@': 173}), 0: (1, {'@': 173}), 16: (1, {'@': 173}), 33: (1, {'@': 173}), 34: (1, {'@': 173}), 35: (1, {'@': 173}), 36: (1, {'@': 173}), 37: (1, {'@': 173}), 38: (1, {'@': 173}), 39: (1, {'@': 173}), 17: (1, {'@': 173}), 40: (1, {'@': 173}), 41: (1, {'@': 173}), 42: (1, {'@': 173}), 43: (1, {'@': 173}), 44: (1, {'@': 173}), 45: (1, {'@': 173}), 46: (1, {'@': 173}), 47: (1, {'@': 173}), 48: (1, {'@': 173}), 49: (1, {'@': 173}), 50: (1, {'@': 173}), 51: (1, {'@': 173})}, 237: {8: (0, 306), 9: (0, 5), 0: (0, 7), 1: (0, 11), 28: (0, 307), 3: (0, 13)}, 238: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 308), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 239: {50: (0, 80), 77: (0, 81), 41: (0, 82), 45: (0, 309), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 240: {53: (0, 310), 16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 8: (0, 311), 58: (0, 42), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 241: {6: (0, 312), 7: (0, 3)}, 242: {28: (0, 313)}, 243: {53: (0, 314), 16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 8: (0, 315), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 244: {1: (1, {'@': 174}), 0: (1, {'@': 174}), 35: (1, {'@': 174}), 3: (1, {'@': 174}), 4: (1, {'@': 174})}, 245: {20: (1, {'@': 175}), 18: (1, {'@': 175}), 21: (1, {'@': 175}), 22: (1, {'@': 175}), 7: (1, {'@': 175}), 23: (1, {'@': 175}), 24: (1, {'@': 175}), 25: (1, {'@': 175}), 26: (1, {'@': 175}), 12: (1, {'@': 175}), 3: (1, {'@': 175}), 27: (1, {'@': 175}), 2: (1, {'@': 175}), 29: (1, {'@': 175}), 1: (1, {'@': 175}), 30: (1, {'@': 175}), 31: (1, {'@': 175}), 4: (1, {'@': 175}), 32: (1, {'@': 175}), 0: (1, {'@': 175}), 16: (1, {'@': 175}), 33: (1, {'@': 175}), 34: (1, {'@': 175}), 35: (1, {'@': 175}), 36: (1, {'@': 175}), 37: (1, {'@': 175}), 38: (1, {'@': 175}), 39: (1, {'@': 175}), 17: (1, {'@': 175}), 40: (1, {'@': 175}), 41: (1, {'@': 175}), 42: (1, {'@': 175}), 43: (1, {'@': 175}), 44: (1, {'@': 175}), 45: (1, {'@': 175}), 46: (1, {'@': 175}), 47: (1, {'@': 175}), 48: (1, {'@': 175}), 49: (1, {'@': 175}), 50: (1, {'@': 175}), 51: (1, {'@': 175})}, 246: {1: (0, 11), 32: (0, 194), 3: (0, 13), 0: (0, 7), 86: (0, 221), 8: (0, 316), 77: (0, 81), 38: (0, 84), 9: (0, 5), 35: (0, 223), 48: (0, 88), 42: (0, 224), 78: (0, 90), 40: (0, 91), 33: (0, 94), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 49: (0, 89), 34: (0, 92), 22: (0, 95)}, 247: {1: (1, {'@': 166}), 32: (0, 195), 3: (1, {'@': 166}), 0: (1, {'@': 166}), 35: (0, 295)}, 248: {38: (0, 84), 0: (0, 7), 9: (0, 5), 8: (0, 317), 42: (0, 318), 25: (0, 215), 4: (0, 319), 48: (0, 88), 78: (0, 90), 40: (0, 91), 33: (0, 94), 77: (0, 81), 44: (0, 96), 89: (0, 320), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 1: (0, 11), 49: (0, 89), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 249: {20: (1, {'@': 176}), 18: (1, {'@': 176}), 21: (1, {'@': 176}), 22: (0, 95), 7: (1, {'@': 176}), 23: (1, {'@': 176}), 24: (1, {'@': 176}), 25: (1, {'@': 176}), 26: (1, {'@': 176}), 12: (1, {'@': 176}), 3: (1, {'@': 176}), 27: (1, {'@': 176}), 2: (1, {'@': 176}), 29: (1, {'@': 176}), 1: (1, {'@': 176}), 30: (1, {'@': 176}), 4: (1, {'@': 176}), 32: (1, {'@': 176}), 0: (1, {'@': 176}), 16: (1, {'@': 176}), 33: (0, 94), 34: (0, 92), 35: (1, {'@': 176}), 36: (1, {'@': 176}), 37: (0, 83), 38: (0, 84), 39: (0, 87), 17: (1, {'@': 176}), 40: (0, 91), 41: (0, 82), 42: (1, {'@': 176}), 43: (0, 85), 44: (0, 96), 45: (1, {'@': 176}), 46: (0, 86), 47: (1, {'@': 176}), 48: (0, 88), 49: (0, 89), 50: (0, 80), 77: (0, 81), 78: (0, 90)}, 250: {20: (1, {'@': 177}), 18: (1, {'@': 177}), 21: (1, {'@': 177}), 22: (1, {'@': 177}), 7: (1, {'@': 177}), 23: (1, {'@': 177}), 24: (1, {'@': 177}), 25: (1, {'@': 177}), 26: (1, {'@': 177}), 12: (1, {'@': 177}), 3: (1, {'@': 177}), 27: (1, {'@': 177}), 2: (1, {'@': 177}), 29: (1, {'@': 177}), 1: (1, {'@': 177}), 30: (1, {'@': 177}), 31: (1, {'@': 177}), 4: (1, {'@': 177}), 32: (1, {'@': 177}), 0: (1, {'@': 177}), 16: (1, {'@': 177}), 33: (1, {'@': 177}), 34: (1, {'@': 177}), 35: (1, {'@': 177}), 36: (1, {'@': 177}), 37: (1, {'@': 177}), 38: (1, {'@': 177}), 39: (1, {'@': 177}), 17: (1, {'@': 177}), 40: (1, {'@': 177}), 41: (1, {'@': 177}), 42: (1, {'@': 177}), 43: (1, {'@': 177}), 44: (1, {'@': 177}), 45: (1, {'@': 177}), 46: (1, {'@': 177}), 47: (1, {'@': 177}), 48: (1, {'@': 177}), 49: (1, {'@': 177}), 50: (1, {'@': 177}), 51: (1, {'@': 177})}, 251: {24: (0, 321)}, 252: {20: (1, {'@': 178}), 18: (1, {'@': 178}), 21: (1, {'@': 178}), 22: (1, {'@': 178}), 7: (1, {'@': 178}), 23: (1, {'@': 178}), 24: (1, {'@': 178}), 25: (1, {'@': 178}), 26: (1, {'@': 178}), 12: (1, {'@': 178}), 3: (1, {'@': 178}), 27: (1, {'@': 178}), 2: (1, {'@': 178}), 29: (1, {'@': 178}), 1: (1, {'@': 178}), 30: (1, {'@': 178}), 31: (1, {'@': 178}), 4: (1, {'@': 178}), 32: (1, {'@': 178}), 0: (1, {'@': 178}), 16: (1, {'@': 178}), 33: (1, {'@': 178}), 34: (1, {'@': 178}), 35: (1, {'@': 178}), 36: (1, {'@': 178}), 37: (1, {'@': 178}), 38: (1, {'@': 178}), 39: (1, {'@': 178}), 17: (1, {'@': 178}), 40: (1, {'@': 178}), 41: (1, {'@': 178}), 42: (1, {'@': 178}), 43: (1, {'@': 178}), 44: (1, {'@': 178}), 45: (1, {'@': 178}), 46: (1, {'@': 178}), 47: (1, {'@': 178}), 48: (1, {'@': 178}), 49: (1, {'@': 178}), 50: (1, {'@': 178}), 51: (1, {'@': 178})}, 253: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 264), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 8: (0, 322), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 24: (0, 323), 74: (0, 65)}, 254: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 270), 9: (0, 5), 8: (0, 324), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 24: (0, 325), 73: (0, 64), 74: (0, 65)}, 255: {35: (0, 326), 1: (0, 11), 9: (0, 5), 24: (0, 327), 0: (0, 7), 3: (0, 13), 8: (0, 328)}, 256: {20: (1, {'@': 179}), 18: (1, {'@': 179}), 21: (1, {'@': 179}), 22: (1, {'@': 179}), 7: (1, {'@': 179}), 23: (1, {'@': 179}), 24: (1, {'@': 179}), 25: (1, {'@': 179}), 26: (1, {'@': 179}), 12: (1, {'@': 179}), 3: (1, {'@': 179}), 27: (1, {'@': 179}), 2: (1, {'@': 179}), 29: (1, {'@': 179}), 1: (1, {'@': 179}), 30: (1, {'@': 179}), 31: (1, {'@': 179}), 4: (1, {'@': 179}), 32: (1, {'@': 179}), 0: (1, {'@': 179}), 16: (1, {'@': 179}), 33: (1, {'@': 179}), 34: (1, {'@': 179}), 35: (1, {'@': 179}), 36: (1, {'@': 179}), 37: (1, {'@': 179}), 38: (1, {'@': 179}), 39: (1, {'@': 179}), 17: (1, {'@': 179}), 40: (1, {'@': 179}), 41: (1, {'@': 179}), 42: (1, {'@': 179}), 43: (1, {'@': 179}), 44: (1, {'@': 179}), 45: (1, {'@': 179}), 46: (1, {'@': 179}), 47: (1, {'@': 179}), 48: (1, {'@': 179}), 49: (1, {'@': 179}), 50: (1, {'@': 179}), 51: (1, {'@': 179})}, 257: {20: (1, {'@': 180}), 18: (1, {'@': 180}), 21: (1, {'@': 180}), 22: (1, {'@': 180}), 7: (1, {'@': 180}), 23: (1, {'@': 180}), 24: (1, {'@': 180}), 25: (1, {'@': 180}), 26: (1, {'@': 180}), 12: (1, {'@': 180}), 3: (1, {'@': 180}), 27: (1, {'@': 180}), 2: (1, {'@': 180}), 29: (1, {'@': 180}), 1: (1, {'@': 180}), 30: (1, {'@': 180}), 31: (1, {'@': 180}), 4: (1, {'@': 180}), 32: (1, {'@': 180}), 0: (1, {'@': 180}), 16: (1, {'@': 180}), 33: (1, {'@': 180}), 34: (1, {'@': 180}), 35: (1, {'@': 180}), 36: (1, {'@': 180}), 37: (1, {'@': 180}), 38: (1, {'@': 180}), 39: (1, {'@': 180}), 17: (1, {'@': 180}), 40: (1, {'@': 180}), 41: (1, {'@': 180}), 42: (1, {'@': 180}), 43: (1, {'@': 180}), 44: (1, {'@': 180}), 45: (1, {'@': 180}), 46: (1, {'@': 180}), 47: (1, {'@': 180}), 48: (1, {'@': 180}), 49: (1, {'@': 180}), 50: (1, {'@': 180}), 51: (1, {'@': 180})}, 258: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 273), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 24: (0, 329), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 259: {24: (0, 330), 1: (0, 11), 9: (0, 5), 89: (0, 331), 25: (0, 215), 0: (0, 7), 3: (0, 13), 8: (0, 332)}, 260: {20: (1, {'@': 181}), 18: (1, {'@': 181}), 21: (1, {'@': 181}), 22: (1, {'@': 181}), 7: (1, {'@': 181}), 23: (1, {'@': 181}), 24: (1, {'@': 181}), 25: (1, {'@': 181}), 26: (1, {'@': 181}), 12: (1, {'@': 181}), 3: (1, {'@': 181}), 27: (1, {'@': 181}), 2: (1, {'@': 181}), 29: (1, {'@': 181}), 1: (1, {'@': 181}), 30: (1, {'@': 181}), 31: (1, {'@': 181}), 4: (1, {'@': 181}), 32: (1, {'@': 181}), 0: (1, {'@': 181}), 16: (1, {'@': 181}), 33: (1, {'@': 181}), 34: (1, {'@': 181}), 35: (1, {'@': 181}), 36: (1, {'@': 181}), 37: (1, {'@': 181}), 38: (1, {'@': 181}), 39: (1, {'@': 181}), 17: (1, {'@': 181}), 40: (1, {'@': 181}), 41: (1, {'@': 181}), 42: (1, {'@': 181}), 43: (1, {'@': 181}), 44: (1, {'@': 181}), 45: (1, {'@': 181}), 46: (1, {'@': 181}), 47: (1, {'@': 181}), 48: (1, {'@': 181}), 49: (1, {'@': 181}), 50: (1, {'@': 181}), 51: (1, {'@': 181})}, 261: {1: (0, 11), 9: (0, 5), 24: (0, 333), 0: (0, 7), 3: (0, 13), 8: (0, 334)}, 262: {38: (0, 84), 0: (0, 7), 9: (0, 5), 25: (0, 215), 48: (0, 88), 78: (0, 90), 40: (0, 91), 8: (0, 335), 33: (0, 94), 77: (0, 81), 44: (0, 96), 50: (0, 80), 41: (0, 82), 24: (0, 336), 89: (0, 337), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 1: (0, 11), 49: (0, 89), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 263: {20: (1, {'@': 182}), 18: (1, {'@': 182}), 21: (1, {'@': 182}), 22: (1, {'@': 182}), 7: (1, {'@': 182}), 23: (1, {'@': 182}), 24: (1, {'@': 182}), 25: (1, {'@': 182}), 26: (1, {'@': 182}), 12: (1, {'@': 182}), 3: (1, {'@': 182}), 27: (1, {'@': 182}), 2: (1, {'@': 182}), 29: (1, {'@': 182}), 1: (1, {'@': 182}), 30: (1, {'@': 182}), 31: (1, {'@': 182}), 4: (1, {'@': 182}), 32: (1, {'@': 182}), 0: (1, {'@': 182}), 16: (1, {'@': 182}), 33: (1, {'@': 182}), 34: (1, {'@': 182}), 35: (1, {'@': 182}), 36: (1, {'@': 182}), 37: (1, {'@': 182}), 38: (1, {'@': 182}), 39: (1, {'@': 182}), 17: (1, {'@': 182}), 40: (1, {'@': 182}), 41: (1, {'@': 182}), 42: (1, {'@': 182}), 43: (1, {'@': 182}), 44: (1, {'@': 182}), 45: (1, {'@': 182}), 46: (1, {'@': 182}), 47: (1, {'@': 182}), 48: (1, {'@': 182}), 49: (1, {'@': 182}), 50: (1, {'@': 182}), 51: (1, {'@': 182})}, 264: {32: (1, {'@': 183}), 0: (1, {'@': 183}), 35: (1, {'@': 183}), 3: (1, {'@': 183}), 42: (1, {'@': 183}), 24: (1, {'@': 183}), 1: (1, {'@': 183}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 44: (0, 96), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95)}, 265: {20: (1, {'@': 184}), 18: (1, {'@': 184}), 21: (1, {'@': 184}), 22: (1, {'@': 184}), 7: (1, {'@': 184}), 23: (1, {'@': 184}), 24: (1, {'@': 184}), 25: (1, {'@': 184}), 26: (1, {'@': 184}), 12: (1, {'@': 184}), 3: (1, {'@': 184}), 27: (1, {'@': 184}), 2: (1, {'@': 184}), 29: (1, {'@': 184}), 1: (1, {'@': 184}), 30: (1, {'@': 184}), 31: (1, {'@': 184}), 4: (1, {'@': 184}), 32: (1, {'@': 184}), 0: (1, {'@': 184}), 16: (1, {'@': 184}), 33: (1, {'@': 184}), 34: (1, {'@': 184}), 35: (1, {'@': 184}), 36: (1, {'@': 184}), 37: (1, {'@': 184}), 38: (1, {'@': 184}), 39: (1, {'@': 184}), 17: (1, {'@': 184}), 40: (1, {'@': 184}), 41: (1, {'@': 184}), 42: (1, {'@': 184}), 43: (1, {'@': 184}), 44: (1, {'@': 184}), 45: (1, {'@': 184}), 46: (1, {'@': 184}), 47: (1, {'@': 184}), 48: (1, {'@': 184}), 49: (1, {'@': 184}), 50: (1, {'@': 184}), 51: (1, {'@': 184})}, 266: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 338), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 24: (0, 339), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 267: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 340), 26: (0, 44), 9: (0, 5), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 8: (0, 341), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 24: (0, 342), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 268: {20: (1, {'@': 185}), 18: (1, {'@': 185}), 21: (1, {'@': 185}), 22: (1, {'@': 185}), 7: (1, {'@': 185}), 23: (1, {'@': 185}), 24: (1, {'@': 185}), 25: (1, {'@': 185}), 26: (1, {'@': 185}), 12: (1, {'@': 185}), 3: (1, {'@': 185}), 27: (1, {'@': 185}), 2: (1, {'@': 185}), 29: (1, {'@': 185}), 1: (1, {'@': 185}), 30: (1, {'@': 185}), 31: (1, {'@': 185}), 4: (1, {'@': 185}), 32: (1, {'@': 185}), 0: (1, {'@': 185}), 16: (1, {'@': 185}), 33: (1, {'@': 185}), 34: (1, {'@': 185}), 35: (1, {'@': 185}), 36: (1, {'@': 185}), 37: (1, {'@': 185}), 38: (1, {'@': 185}), 39: (1, {'@': 185}), 17: (1, {'@': 185}), 40: (1, {'@': 185}), 41: (1, {'@': 185}), 42: (1, {'@': 185}), 43: (1, {'@': 185}), 44: (1, {'@': 185}), 45: (1, {'@': 185}), 46: (1, {'@': 185}), 47: (1, {'@': 185}), 48: (1, {'@': 185}), 49: (1, {'@': 185}), 50: (1, {'@': 185}), 51: (1, {'@': 185})}, 269: {24: (0, 343)}, 270: {32: (1, {'@': 186}), 0: (1, {'@': 186}), 35: (1, {'@': 186}), 3: (1, {'@': 186}), 42: (1, {'@': 186}), 24: (1, {'@': 186}), 1: (1, {'@': 186}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 271: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 344), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 24: (0, 345), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 272: {20: (1, {'@': 187}), 18: (1, {'@': 187}), 21: (1, {'@': 187}), 22: (1, {'@': 187}), 7: (1, {'@': 187}), 23: (1, {'@': 187}), 24: (1, {'@': 187}), 25: (1, {'@': 187}), 26: (1, {'@': 187}), 12: (1, {'@': 187}), 3: (1, {'@': 187}), 27: (1, {'@': 187}), 2: (1, {'@': 187}), 29: (1, {'@': 187}), 1: (1, {'@': 187}), 30: (1, {'@': 187}), 31: (1, {'@': 187}), 4: (1, {'@': 187}), 32: (1, {'@': 187}), 0: (1, {'@': 187}), 16: (1, {'@': 187}), 33: (1, {'@': 187}), 34: (1, {'@': 187}), 35: (1, {'@': 187}), 36: (1, {'@': 187}), 37: (1, {'@': 187}), 38: (1, {'@': 187}), 39: (1, {'@': 187}), 17: (1, {'@': 187}), 40: (1, {'@': 187}), 41: (1, {'@': 187}), 42: (1, {'@': 187}), 43: (1, {'@': 187}), 44: (1, {'@': 187}), 45: (1, {'@': 187}), 46: (1, {'@': 187}), 47: (1, {'@': 187}), 48: (1, {'@': 187}), 49: (1, {'@': 187}), 50: (1, {'@': 187}), 51: (1, {'@': 187})}, 273: {32: (1, {'@': 188}), 0: (1, {'@': 188}), 35: (1, {'@': 188}), 3: (1, {'@': 188}), 42: (1, {'@': 188}), 24: (1, {'@': 188}), 1: (1, {'@': 188}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 274: {20: (1, {'@': 189}), 18: (1, {'@': 189}), 21: (1, {'@': 189}), 22: (1, {'@': 189}), 7: (1, {'@': 189}), 23: (1, {'@': 189}), 24: (1, {'@': 189}), 25: (1, {'@': 189}), 26: (1, {'@': 189}), 12: (1, {'@': 189}), 3: (1, {'@': 189}), 27: (1, {'@': 189}), 2: (1, {'@': 189}), 29: (1, {'@': 189}), 1: (1, {'@': 189}), 30: (1, {'@': 189}), 31: (1, {'@': 189}), 4: (1, {'@': 189}), 32: (1, {'@': 189}), 0: (1, {'@': 189}), 16: (1, {'@': 189}), 33: (1, {'@': 189}), 34: (1, {'@': 189}), 35: (1, {'@': 189}), 36: (1, {'@': 189}), 37: (1, {'@': 189}), 38: (1, {'@': 189}), 39: (1, {'@': 189}), 17: (1, {'@': 189}), 40: (1, {'@': 189}), 41: (1, {'@': 189}), 42: (1, {'@': 189}), 43: (1, {'@': 189}), 44: (1, {'@': 189}), 45: (1, {'@': 189}), 46: (1, {'@': 189}), 47: (1, {'@': 189}), 48: (1, {'@': 189}), 49: (1, {'@': 189}), 50: (1, {'@': 189}), 51: (1, {'@': 189})}, 275: {1: (0, 11), 89: (0, 346), 9: (0, 5), 24: (0, 347), 25: (0, 215), 0: (0, 7), 3: (0, 13), 8: (0, 348)}, 276: {1: (0, 11), 8: (0, 349), 9: (0, 5), 24: (0, 350), 0: (0, 7), 3: (0, 13)}, 277: {20: (1, {'@': 190}), 18: (1, {'@': 190}), 21: (1, {'@': 190}), 22: (1, {'@': 190}), 7: (1, {'@': 190}), 23: (1, {'@': 190}), 24: (1, {'@': 190}), 25: (1, {'@': 190}), 26: (1, {'@': 190}), 12: (1, {'@': 190}), 3: (1, {'@': 190}), 27: (1, {'@': 190}), 2: (1, {'@': 190}), 29: (1, {'@': 190}), 1: (1, {'@': 190}), 30: (1, {'@': 190}), 31: (1, {'@': 190}), 4: (1, {'@': 190}), 32: (1, {'@': 190}), 0: (1, {'@': 190}), 16: (1, {'@': 190}), 33: (1, {'@': 190}), 34: (1, {'@': 190}), 35: (1, {'@': 190}), 36: (1, {'@': 190}), 37: (1, {'@': 190}), 38: (1, {'@': 190}), 39: (1, {'@': 190}), 17: (1, {'@': 190}), 40: (1, {'@': 190}), 41: (1, {'@': 190}), 42: (1, {'@': 190}), 43: (1, {'@': 190}), 44: (1, {'@': 190}), 45: (1, {'@': 190}), 46: (1, {'@': 190}), 47: (1, {'@': 190}), 48: (1, {'@': 190}), 49: (1, {'@': 190}), 50: (1, {'@': 190}), 51: (1, {'@': 190})}, 278: {24: (0, 351)}, 279: {1: (0, 11), 24: (0, 352), 9: (0, 5), 8: (0, 353), 0: (0, 7), 3: (0, 13)}, 280: {20: (1, {'@': 191}), 18: (1, {'@': 191}), 21: (1, {'@': 191}), 22: (1, {'@': 191}), 7: (1, {'@': 191}), 23: (1, {'@': 191}), 24: (1, {'@': 191}), 25: (1, {'@': 191}), 26: (1, {'@': 191}), 12: (1, {'@': 191}), 3: (1, {'@': 191}), 27: (1, {'@': 191}), 2: (1, {'@': 191}), 29: (1, {'@': 191}), 1: (1, {'@': 191}), 30: (1, {'@': 191}), 31: (1, {'@': 191}), 4: (1, {'@': 191}), 32: (1, {'@': 191}), 0: (1, {'@': 191}), 16: (1, {'@': 191}), 33: (1, {'@': 191}), 34: (1, {'@': 191}), 35: (1, {'@': 191}), 36: (1, {'@': 191}), 37: (1, {'@': 191}), 38: (1, {'@': 191}), 39: (1, {'@': 191}), 17: (1, {'@': 191}), 40: (1, {'@': 191}), 41: (1, {'@': 191}), 42: (1, {'@': 191}), 43: (1, {'@': 191}), 44: (1, {'@': 191}), 45: (1, {'@': 191}), 46: (1, {'@': 191}), 47: (1, {'@': 191}), 48: (1, {'@': 191}), 49: (1, {'@': 191}), 50: (1, {'@': 191}), 51: (1, {'@': 191})}, 281: {24: (0, 354)}, 282: {20: (1, {'@': 192}), 18: (1, {'@': 192}), 21: (1, {'@': 192}), 22: (1, {'@': 192}), 7: (1, {'@': 192}), 23: (1, {'@': 192}), 24: (1, {'@': 192}), 25: (1, {'@': 192}), 26: (1, {'@': 192}), 12: (1, {'@': 192}), 3: (1, {'@': 192}), 27: (1, {'@': 192}), 2: (1, {'@': 192}), 29: (1, {'@': 192}), 1: (1, {'@': 192}), 30: (1, {'@': 192}), 31: (1, {'@': 192}), 4: (1, {'@': 192}), 32: (1, {'@': 192}), 0: (1, {'@': 192}), 16: (1, {'@': 192}), 33: (1, {'@': 192}), 34: (1, {'@': 192}), 35: (1, {'@': 192}), 36: (1, {'@': 192}), 37: (1, {'@': 192}), 38: (1, {'@': 192}), 39: (1, {'@': 192}), 17: (1, {'@': 192}), 40: (1, {'@': 192}), 41: (1, {'@': 192}), 42: (1, {'@': 192}), 43: (1, {'@': 192}), 44: (1, {'@': 192}), 45: (1, {'@': 192}), 46: (1, {'@': 192}), 47: (1, {'@': 192}), 48: (1, {'@': 192}), 49: (1, {'@': 192}), 50: (1, {'@': 192}), 51: (1, {'@': 192})}, 283: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 355), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 284: {24: (1, {'@': 193}), 0: (1, {'@': 193}), 1: (1, {'@': 193}), 3: (1, {'@': 193}), 4: (1, {'@': 193}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 285: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 155), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 8: (0, 156), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 286: {20: (1, {'@': 194}), 18: (1, {'@': 194}), 21: (1, {'@': 194}), 22: (1, {'@': 194}), 7: (1, {'@': 194}), 23: (1, {'@': 194}), 24: (1, {'@': 194}), 25: (1, {'@': 194}), 26: (1, {'@': 194}), 12: (1, {'@': 194}), 3: (1, {'@': 194}), 27: (1, {'@': 194}), 2: (1, {'@': 194}), 29: (1, {'@': 194}), 1: (1, {'@': 194}), 30: (1, {'@': 194}), 31: (0, 109), 4: (1, {'@': 194}), 32: (1, {'@': 194}), 0: (1, {'@': 194}), 16: (1, {'@': 194}), 33: (1, {'@': 194}), 34: (1, {'@': 194}), 35: (1, {'@': 194}), 36: (1, {'@': 194}), 37: (1, {'@': 194}), 38: (1, {'@': 194}), 39: (1, {'@': 194}), 17: (1, {'@': 194}), 40: (1, {'@': 194}), 41: (1, {'@': 194}), 42: (1, {'@': 194}), 43: (1, {'@': 194}), 44: (1, {'@': 194}), 45: (1, {'@': 194}), 46: (1, {'@': 194}), 47: (0, 285), 48: (1, {'@': 194}), 49: (1, {'@': 194}), 50: (1, {'@': 194}), 51: (1, {'@': 194}), 81: (0, 356), 82: (0, 357)}, 287: {20: (1, {'@': 195}), 18: (1, {'@': 195}), 21: (1, {'@': 195}), 22: (1, {'@': 195}), 7: (1, {'@': 195}), 23: (1, {'@': 195}), 24: (1, {'@': 195}), 25: (1, {'@': 195}), 26: (1, {'@': 195}), 12: (1, {'@': 195}), 3: (1, {'@': 195}), 27: (1, {'@': 195}), 2: (1, {'@': 195}), 29: (1, {'@': 195}), 1: (1, {'@': 195}), 30: (1, {'@': 195}), 31: (1, {'@': 195}), 4: (1, {'@': 195}), 32: (1, {'@': 195}), 0: (1, {'@': 195}), 16: (1, {'@': 195}), 33: (1, {'@': 195}), 34: (1, {'@': 195}), 35: (1, {'@': 195}), 36: (1, {'@': 195}), 37: (1, {'@': 195}), 38: (1, {'@': 195}), 39: (1, {'@': 195}), 17: (1, {'@': 195}), 40: (1, {'@': 195}), 41: (1, {'@': 195}), 42: (1, {'@': 195}), 43: (1, {'@': 195}), 44: (1, {'@': 195}), 45: (1, {'@': 195}), 46: (1, {'@': 195}), 47: (1, {'@': 195}), 48: (1, {'@': 195}), 49: (1, {'@': 195}), 50: (1, {'@': 195}), 51: (1, {'@': 195})}, 288: {20: (1, {'@': 196}), 18: (1, {'@': 196}), 21: (1, {'@': 196}), 22: (1, {'@': 196}), 7: (1, {'@': 196}), 23: (1, {'@': 196}), 24: (1, {'@': 196}), 25: (1, {'@': 196}), 26: (1, {'@': 196}), 12: (1, {'@': 196}), 3: (1, {'@': 196}), 27: (1, {'@': 196}), 2: (1, {'@': 196}), 29: (1, {'@': 196}), 1: (1, {'@': 196}), 30: (1, {'@': 196}), 31: (1, {'@': 196}), 4: (1, {'@': 196}), 32: (1, {'@': 196}), 0: (1, {'@': 196}), 16: (1, {'@': 196}), 33: (1, {'@': 196}), 34: (1, {'@': 196}), 35: (1, {'@': 196}), 36: (1, {'@': 196}), 37: (1, {'@': 196}), 38: (1, {'@': 196}), 39: (1, {'@': 196}), 17: (1, {'@': 196}), 40: (1, {'@': 196}), 41: (1, {'@': 196}), 42: (1, {'@': 196}), 43: (1, {'@': 196}), 44: (1, {'@': 196}), 45: (1, {'@': 196}), 46: (1, {'@': 196}), 47: (1, {'@': 196}), 48: (1, {'@': 196}), 49: (1, {'@': 196}), 50: (1, {'@': 196}), 51: (1, {'@': 196})}, 289: {20: (1, {'@': 197}), 18: (1, {'@': 197}), 21: (1, {'@': 197}), 22: (1, {'@': 197}), 7: (1, {'@': 197}), 23: (1, {'@': 197}), 24: (1, {'@': 197}), 25: (1, {'@': 197}), 26: (1, {'@': 197}), 12: (1, {'@': 197}), 3: (1, {'@': 197}), 27: (1, {'@': 197}), 2: (1, {'@': 197}), 29: (1, {'@': 197}), 1: (1, {'@': 197}), 30: (1, {'@': 197}), 31: (1, {'@': 197}), 4: (1, {'@': 197}), 32: (1, {'@': 197}), 0: (1, {'@': 197}), 16: (1, {'@': 197}), 33: (1, {'@': 197}), 34: (1, {'@': 197}), 35: (1, {'@': 197}), 36: (1, {'@': 197}), 37: (1, {'@': 197}), 38: (1, {'@': 197}), 39: (1, {'@': 197}), 17: (1, {'@': 197}), 40: (1, {'@': 197}), 41: (1, {'@': 197}), 42: (1, {'@': 197}), 43: (1, {'@': 197}), 44: (1, {'@': 197}), 45: (1, {'@': 197}), 46: (1, {'@': 197}), 47: (1, {'@': 197}), 48: (1, {'@': 197}), 49: (1, {'@': 197}), 50: (1, {'@': 197}), 51: (1, {'@': 197})}, 290: {24: (0, 358)}, 291: {20: (1, {'@': 198}), 18: (1, {'@': 198}), 21: (1, {'@': 198}), 22: (1, {'@': 198}), 7: (1, {'@': 198}), 23: (1, {'@': 198}), 24: (1, {'@': 198}), 25: (1, {'@': 198}), 26: (1, {'@': 198}), 12: (1, {'@': 198}), 3: (1, {'@': 198}), 27: (1, {'@': 198}), 2: (1, {'@': 198}), 29: (1, {'@': 198}), 1: (1, {'@': 198}), 30: (1, {'@': 198}), 31: (1, {'@': 198}), 4: (1, {'@': 198}), 32: (1, {'@': 198}), 0: (1, {'@': 198}), 16: (1, {'@': 198}), 33: (1, {'@': 198}), 34: (1, {'@': 198}), 35: (1, {'@': 198}), 36: (1, {'@': 198}), 37: (1, {'@': 198}), 38: (1, {'@': 198}), 39: (1, {'@': 198}), 17: (1, {'@': 198}), 40: (1, {'@': 198}), 41: (1, {'@': 198}), 42: (1, {'@': 198}), 43: (1, {'@': 198}), 44: (1, {'@': 198}), 45: (1, {'@': 198}), 46: (1, {'@': 198}), 47: (1, {'@': 198}), 48: (1, {'@': 198}), 49: (1, {'@': 198}), 50: (1, {'@': 198}), 51: (1, {'@': 198})}, 292: {1: (1, {'@': 199}), 32: (1, {'@': 199}), 3: (1, {'@': 199}), 0: (1, {'@': 199}), 35: (0, 359)}, 293: {1: (0, 11), 32: (1, {'@': 200}), 3: (0, 13), 0: (0, 7), 16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 8: (0, 360), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 270), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 294: {1: (0, 11), 32: (1, {'@': 201}), 3: (0, 13), 0: (0, 7), 8: (0, 361), 9: (0, 5)}, 295: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 264), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 8: (0, 362), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 296: {1: (1, {'@': 202}), 32: (1, {'@': 202}), 3: (1, {'@': 202}), 0: (1, {'@': 202}), 16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 273), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 297: {1: (1, {'@': 203}), 32: (1, {'@': 203}), 3: (1, {'@': 203}), 0: (1, {'@': 203})}, 298: {20: (1, {'@': 204}), 18: (1, {'@': 204}), 21: (1, {'@': 204}), 22: (1, {'@': 204}), 7: (1, {'@': 204}), 23: (1, {'@': 204}), 24: (1, {'@': 204}), 25: (1, {'@': 204}), 26: (1, {'@': 204}), 12: (1, {'@': 204}), 3: (1, {'@': 204}), 27: (1, {'@': 204}), 2: (1, {'@': 204}), 29: (1, {'@': 204}), 1: (1, {'@': 204}), 30: (1, {'@': 204}), 31: (1, {'@': 204}), 4: (1, {'@': 204}), 32: (1, {'@': 204}), 0: (1, {'@': 204}), 16: (1, {'@': 204}), 33: (1, {'@': 204}), 34: (1, {'@': 204}), 35: (1, {'@': 204}), 36: (1, {'@': 204}), 37: (1, {'@': 204}), 38: (1, {'@': 204}), 39: (1, {'@': 204}), 17: (1, {'@': 204}), 40: (1, {'@': 204}), 41: (1, {'@': 204}), 42: (1, {'@': 204}), 43: (1, {'@': 204}), 44: (1, {'@': 204}), 45: (1, {'@': 204}), 46: (1, {'@': 204}), 47: (1, {'@': 204}), 48: (1, {'@': 204}), 49: (1, {'@': 204}), 50: (1, {'@': 204}), 51: (1, {'@': 204})}, 299: {32: (0, 363)}, 300: {20: (1, {'@': 205}), 18: (1, {'@': 205}), 21: (1, {'@': 205}), 22: (1, {'@': 205}), 7: (1, {'@': 205}), 23: (1, {'@': 205}), 24: (1, {'@': 205}), 25: (1, {'@': 205}), 26: (1, {'@': 205}), 12: (1, {'@': 205}), 3: (1, {'@': 205}), 27: (1, {'@': 205}), 2: (1, {'@': 205}), 29: (1, {'@': 205}), 1: (1, {'@': 205}), 30: (1, {'@': 205}), 31: (1, {'@': 205}), 4: (1, {'@': 205}), 32: (1, {'@': 205}), 0: (1, {'@': 205}), 16: (1, {'@': 205}), 33: (1, {'@': 205}), 34: (1, {'@': 205}), 35: (1, {'@': 205}), 36: (1, {'@': 205}), 37: (1, {'@': 205}), 38: (1, {'@': 205}), 39: (1, {'@': 205}), 17: (1, {'@': 205}), 40: (1, {'@': 205}), 41: (1, {'@': 205}), 42: (1, {'@': 205}), 43: (1, {'@': 205}), 44: (1, {'@': 205}), 45: (1, {'@': 205}), 46: (1, {'@': 205}), 47: (1, {'@': 205}), 48: (1, {'@': 205}), 49: (1, {'@': 205}), 50: (1, {'@': 205}), 51: (1, {'@': 205})}, 301: {20: (1, {'@': 206}), 18: (1, {'@': 206}), 21: (1, {'@': 206}), 22: (1, {'@': 206}), 7: (1, {'@': 206}), 23: (1, {'@': 206}), 24: (1, {'@': 206}), 25: (1, {'@': 206}), 26: (1, {'@': 206}), 12: (1, {'@': 206}), 3: (1, {'@': 206}), 27: (1, {'@': 206}), 2: (1, {'@': 206}), 29: (1, {'@': 206}), 1: (1, {'@': 206}), 30: (1, {'@': 206}), 31: (1, {'@': 206}), 4: (1, {'@': 206}), 32: (1, {'@': 206}), 0: (1, {'@': 206}), 16: (1, {'@': 206}), 33: (1, {'@': 206}), 34: (1, {'@': 206}), 35: (1, {'@': 206}), 36: (1, {'@': 206}), 37: (1, {'@': 206}), 38: (1, {'@': 206}), 39: (1, {'@': 206}), 17: (1, {'@': 206}), 40: (1, {'@': 206}), 41: (1, {'@': 206}), 42: (1, {'@': 206}), 43: (1, {'@': 206}), 44: (1, {'@': 206}), 45: (1, {'@': 206}), 46: (1, {'@': 206}), 47: (1, {'@': 206}), 48: (1, {'@': 206}), 49: (1, {'@': 206}), 50: (1, {'@': 206}), 51: (1, {'@': 206})}, 302: {20: (1, {'@': 207}), 18: (1, {'@': 207}), 21: (1, {'@': 207}), 22: (1, {'@': 207}), 7: (1, {'@': 207}), 23: (1, {'@': 207}), 24: (1, {'@': 207}), 25: (1, {'@': 207}), 26: (0, 111), 12: (1, {'@': 207}), 3: (1, {'@': 207}), 27: (1, {'@': 207}), 2: (1, {'@': 207}), 29: (1, {'@': 207}), 1: (1, {'@': 207}), 30: (1, {'@': 207}), 31: (1, {'@': 207}), 4: (1, {'@': 207}), 32: (1, {'@': 207}), 0: (1, {'@': 207}), 16: (1, {'@': 207}), 33: (1, {'@': 207}), 34: (1, {'@': 207}), 35: (1, {'@': 207}), 36: (1, {'@': 207}), 37: (1, {'@': 207}), 38: (1, {'@': 207}), 39: (1, {'@': 207}), 17: (1, {'@': 207}), 40: (1, {'@': 207}), 41: (1, {'@': 207}), 42: (1, {'@': 207}), 43: (1, {'@': 207}), 44: (1, {'@': 207}), 45: (1, {'@': 207}), 46: (1, {'@': 207}), 47: (1, {'@': 207}), 48: (1, {'@': 207}), 49: (1, {'@': 207}), 50: (1, {'@': 207}), 51: (1, {'@': 207})}, 303: {0: (1, {'@': 208}), 12: (1, {'@': 208}), 3: (1, {'@': 208}), 7: (1, {'@': 208}), 1: (1, {'@': 208}), 2: (1, {'@': 208}), 4: (1, {'@': 208})}, 304: {42: (0, 364), 89: (0, 365), 8: (0, 366), 38: (0, 84), 0: (0, 7), 9: (0, 5), 25: (0, 215), 48: (0, 88), 78: (0, 90), 40: (0, 91), 33: (0, 94), 77: (0, 81), 44: (0, 96), 50: (0, 80), 41: (0, 82), 37: (0, 83), 43: (0, 85), 46: (0, 86), 39: (0, 87), 1: (0, 11), 49: (0, 89), 4: (0, 367), 34: (0, 92), 3: (0, 13), 22: (0, 95)}, 305: {20: (1, {'@': 209}), 18: (1, {'@': 209}), 21: (1, {'@': 209}), 22: (1, {'@': 209}), 7: (1, {'@': 209}), 23: (1, {'@': 209}), 24: (1, {'@': 209}), 25: (1, {'@': 209}), 26: (1, {'@': 209}), 12: (1, {'@': 209}), 3: (1, {'@': 209}), 27: (1, {'@': 209}), 2: (1, {'@': 209}), 29: (1, {'@': 209}), 1: (1, {'@': 209}), 30: (1, {'@': 209}), 31: (1, {'@': 209}), 4: (1, {'@': 209}), 32: (1, {'@': 209}), 0: (1, {'@': 209}), 16: (1, {'@': 209}), 33: (1, {'@': 209}), 34: (1, {'@': 209}), 35: (1, {'@': 209}), 36: (1, {'@': 209}), 37: (1, {'@': 209}), 38: (1, {'@': 209}), 39: (1, {'@': 209}), 17: (1, {'@': 209}), 40: (1, {'@': 209}), 41: (1, {'@': 209}), 42: (1, {'@': 209}), 43: (1, {'@': 209}), 44: (1, {'@': 209}), 45: (1, {'@': 209}), 46: (1, {'@': 209}), 47: (1, {'@': 209}), 48: (1, {'@': 209}), 49: (1, {'@': 209}), 50: (1, {'@': 209}), 51: (1, {'@': 209})}, 306: {8: (0, 368), 1: (0, 11), 28: (0, 369), 9: (0, 5), 0: (0, 7), 3: (0, 13)}, 307: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 370), 9: (0, 5), 26: (0, 44), 8: (0, 371), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 308: {50: (0, 80), 77: (0, 81), 45: (0, 372), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 309: {26: (1, {'@': 210}), 46: (1, {'@': 210}), 0: (0, 7), 20: (1, {'@': 210}), 47: (1, {'@': 210}), 16: (1, {'@': 210}), 12: (1, {'@': 210}), 3: (0, 13), 21: (1, {'@': 210}), 36: (1, {'@': 210}), 29: (1, {'@': 210}), 17: (1, {'@': 210}), 7: (1, {'@': 210}), 23: (1, {'@': 210}), 1: (0, 11), 30: (1, {'@': 210}), 8: (0, 373), 9: (0, 5)}, 310: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 45: (0, 374), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 311: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 375), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 312: {28: (0, 376), 8: (0, 377), 9: (0, 5), 0: (0, 7), 1: (0, 11), 3: (0, 13)}, 313: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 378), 26: (0, 44), 9: (0, 5), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 8: (0, 379), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 314: {50: (0, 80), 77: (0, 81), 41: (0, 82), 44: (0, 96), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 45: (0, 380), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95)}, 315: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 381), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 316: {1: (1, {'@': 166}), 32: (0, 250), 3: (1, {'@': 166}), 0: (1, {'@': 166}), 35: (0, 295)}, 317: {1: (0, 11), 9: (0, 5), 89: (0, 382), 8: (0, 383), 25: (0, 215), 0: (0, 7), 3: (0, 13), 4: (0, 384)}, 318: {8: (0, 385), 9: (0, 5), 89: (0, 386), 0: (0, 7), 25: (0, 215), 1: (0, 11), 4: (0, 387), 3: (0, 13)}, 319: {20: (1, {'@': 211}), 18: (1, {'@': 211}), 21: (1, {'@': 211}), 22: (1, {'@': 211}), 7: (1, {'@': 211}), 23: (1, {'@': 211}), 24: (1, {'@': 211}), 25: (1, {'@': 211}), 26: (1, {'@': 211}), 12: (1, {'@': 211}), 3: (1, {'@': 211}), 27: (1, {'@': 211}), 2: (1, {'@': 211}), 29: (1, {'@': 211}), 1: (1, {'@': 211}), 30: (1, {'@': 211}), 31: (1, {'@': 211}), 4: (1, {'@': 211}), 32: (1, {'@': 211}), 0: (1, {'@': 211}), 16: (1, {'@': 211}), 33: (1, {'@': 211}), 34: (1, {'@': 211}), 35: (1, {'@': 211}), 36: (1, {'@': 211}), 37: (1, {'@': 211}), 38: (1, {'@': 211}), 39: (1, {'@': 211}), 17: (1, {'@': 211}), 40: (1, {'@': 211}), 41: (1, {'@': 211}), 42: (1, {'@': 211}), 43: (1, {'@': 211}), 44: (1, {'@': 211}), 45: (1, {'@': 211}), 46: (1, {'@': 211}), 47: (1, {'@': 211}), 48: (1, {'@': 211}), 49: (1, {'@': 211}), 50: (1, {'@': 211}), 51: (1, {'@': 211})}, 320: {1: (0, 11), 9: (0, 5), 4: (0, 388), 8: (0, 389), 0: (0, 7), 3: (0, 13)}, 321: {20: (1, {'@': 212}), 18: (1, {'@': 212}), 21: (1, {'@': 212}), 22: (1, {'@': 212}), 7: (1, {'@': 212}), 23: (1, {'@': 212}), 24: (1, {'@': 212}), 25: (1, {'@': 212}), 26: (1, {'@': 212}), 12: (1, {'@': 212}), 3: (1, {'@': 212}), 27: (1, {'@': 212}), 2: (1, {'@': 212}), 29: (1, {'@': 212}), 1: (1, {'@': 212}), 30: (1, {'@': 212}), 31: (1, {'@': 212}), 4: (1, {'@': 212}), 32: (1, {'@': 212}), 0: (1, {'@': 212}), 16: (1, {'@': 212}), 33: (1, {'@': 212}), 34: (1, {'@': 212}), 35: (1, {'@': 212}), 36: (1, {'@': 212}), 37: (1, {'@': 212}), 38: (1, {'@': 212}), 39: (1, {'@': 212}), 17: (1, {'@': 212}), 40: (1, {'@': 212}), 41: (1, {'@': 212}), 42: (1, {'@': 212}), 43: (1, {'@': 212}), 44: (1, {'@': 212}), 45: (1, {'@': 212}), 46: (1, {'@': 212}), 47: (1, {'@': 212}), 48: (1, {'@': 212}), 49: (1, {'@': 212}), 50: (1, {'@': 212}), 51: (1, {'@': 212})}, 322: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 338), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 24: (0, 390), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 323: {20: (1, {'@': 213}), 18: (1, {'@': 213}), 21: (1, {'@': 213}), 22: (1, {'@': 213}), 7: (1, {'@': 213}), 23: (1, {'@': 213}), 24: (1, {'@': 213}), 25: (1, {'@': 213}), 26: (1, {'@': 213}), 12: (1, {'@': 213}), 3: (1, {'@': 213}), 27: (1, {'@': 213}), 2: (1, {'@': 213}), 29: (1, {'@': 213}), 1: (1, {'@': 213}), 30: (1, {'@': 213}), 31: (1, {'@': 213}), 4: (1, {'@': 213}), 32: (1, {'@': 213}), 0: (1, {'@': 213}), 16: (1, {'@': 213}), 33: (1, {'@': 213}), 34: (1, {'@': 213}), 35: (1, {'@': 213}), 36: (1, {'@': 213}), 37: (1, {'@': 213}), 38: (1, {'@': 213}), 39: (1, {'@': 213}), 17: (1, {'@': 213}), 40: (1, {'@': 213}), 41: (1, {'@': 213}), 42: (1, {'@': 213}), 43: (1, {'@': 213}), 44: (1, {'@': 213}), 45: (1, {'@': 213}), 46: (1, {'@': 213}), 47: (1, {'@': 213}), 48: (1, {'@': 213}), 49: (1, {'@': 213}), 50: (1, {'@': 213}), 51: (1, {'@': 213})}, 324: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 344), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 24: (0, 391), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 325: {20: (1, {'@': 214}), 18: (1, {'@': 214}), 21: (1, {'@': 214}), 22: (1, {'@': 214}), 7: (1, {'@': 214}), 23: (1, {'@': 214}), 24: (1, {'@': 214}), 25: (1, {'@': 214}), 26: (1, {'@': 214}), 12: (1, {'@': 214}), 3: (1, {'@': 214}), 27: (1, {'@': 214}), 2: (1, {'@': 214}), 29: (1, {'@': 214}), 1: (1, {'@': 214}), 30: (1, {'@': 214}), 31: (1, {'@': 214}), 4: (1, {'@': 214}), 32: (1, {'@': 214}), 0: (1, {'@': 214}), 16: (1, {'@': 214}), 33: (1, {'@': 214}), 34: (1, {'@': 214}), 35: (1, {'@': 214}), 36: (1, {'@': 214}), 37: (1, {'@': 214}), 38: (1, {'@': 214}), 39: (1, {'@': 214}), 17: (1, {'@': 214}), 40: (1, {'@': 214}), 41: (1, {'@': 214}), 42: (1, {'@': 214}), 43: (1, {'@': 214}), 44: (1, {'@': 214}), 45: (1, {'@': 214}), 46: (1, {'@': 214}), 47: (1, {'@': 214}), 48: (1, {'@': 214}), 49: (1, {'@': 214}), 50: (1, {'@': 214}), 51: (1, {'@': 214})}, 326: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 24: (0, 392), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 340), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 8: (0, 393), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 327: {20: (1, {'@': 215}), 18: (1, {'@': 215}), 21: (1, {'@': 215}), 22: (1, {'@': 215}), 7: (1, {'@': 215}), 23: (1, {'@': 215}), 24: (1, {'@': 215}), 25: (1, {'@': 215}), 26: (1, {'@': 215}), 12: (1, {'@': 215}), 3: (1, {'@': 215}), 27: (1, {'@': 215}), 2: (1, {'@': 215}), 29: (1, {'@': 215}), 1: (1, {'@': 215}), 30: (1, {'@': 215}), 31: (1, {'@': 215}), 4: (1, {'@': 215}), 32: (1, {'@': 215}), 0: (1, {'@': 215}), 16: (1, {'@': 215}), 33: (1, {'@': 215}), 34: (1, {'@': 215}), 35: (1, {'@': 215}), 36: (1, {'@': 215}), 37: (1, {'@': 215}), 38: (1, {'@': 215}), 39: (1, {'@': 215}), 17: (1, {'@': 215}), 40: (1, {'@': 215}), 41: (1, {'@': 215}), 42: (1, {'@': 215}), 43: (1, {'@': 215}), 44: (1, {'@': 215}), 45: (1, {'@': 215}), 46: (1, {'@': 215}), 47: (1, {'@': 215}), 48: (1, {'@': 215}), 49: (1, {'@': 215}), 50: (1, {'@': 215}), 51: (1, {'@': 215})}, 328: {24: (0, 394)}, 329: {20: (1, {'@': 216}), 18: (1, {'@': 216}), 21: (1, {'@': 216}), 22: (1, {'@': 216}), 7: (1, {'@': 216}), 23: (1, {'@': 216}), 24: (1, {'@': 216}), 25: (1, {'@': 216}), 26: (1, {'@': 216}), 12: (1, {'@': 216}), 3: (1, {'@': 216}), 27: (1, {'@': 216}), 2: (1, {'@': 216}), 29: (1, {'@': 216}), 1: (1, {'@': 216}), 30: (1, {'@': 216}), 31: (1, {'@': 216}), 4: (1, {'@': 216}), 32: (1, {'@': 216}), 0: (1, {'@': 216}), 16: (1, {'@': 216}), 33: (1, {'@': 216}), 34: (1, {'@': 216}), 35: (1, {'@': 216}), 36: (1, {'@': 216}), 37: (1, {'@': 216}), 38: (1, {'@': 216}), 39: (1, {'@': 216}), 17: (1, {'@': 216}), 40: (1, {'@': 216}), 41: (1, {'@': 216}), 42: (1, {'@': 216}), 43: (1, {'@': 216}), 44: (1, {'@': 216}), 45: (1, {'@': 216}), 46: (1, {'@': 216}), 47: (1, {'@': 216}), 48: (1, {'@': 216}), 49: (1, {'@': 216}), 50: (1, {'@': 216}), 51: (1, {'@': 216})}, 330: {20: (1, {'@': 217}), 18: (1, {'@': 217}), 21: (1, {'@': 217}), 22: (1, {'@': 217}), 7: (1, {'@': 217}), 23: (1, {'@': 217}), 24: (1, {'@': 217}), 25: (1, {'@': 217}), 26: (1, {'@': 217}), 12: (1, {'@': 217}), 3: (1, {'@': 217}), 27: (1, {'@': 217}), 2: (1, {'@': 217}), 29: (1, {'@': 217}), 1: (1, {'@': 217}), 30: (1, {'@': 217}), 31: (1, {'@': 217}), 4: (1, {'@': 217}), 32: (1, {'@': 217}), 0: (1, {'@': 217}), 16: (1, {'@': 217}), 33: (1, {'@': 217}), 34: (1, {'@': 217}), 35: (1, {'@': 217}), 36: (1, {'@': 217}), 37: (1, {'@': 217}), 38: (1, {'@': 217}), 39: (1, {'@': 217}), 17: (1, {'@': 217}), 40: (1, {'@': 217}), 41: (1, {'@': 217}), 42: (1, {'@': 217}), 43: (1, {'@': 217}), 44: (1, {'@': 217}), 45: (1, {'@': 217}), 46: (1, {'@': 217}), 47: (1, {'@': 217}), 48: (1, {'@': 217}), 49: (1, {'@': 217}), 50: (1, {'@': 217}), 51: (1, {'@': 217})}, 331: {1: (0, 11), 9: (0, 5), 8: (0, 395), 24: (0, 396), 0: (0, 7), 3: (0, 13)}, 332: {24: (0, 397)}, 333: {20: (1, {'@': 218}), 18: (1, {'@': 218}), 21: (1, {'@': 218}), 22: (1, {'@': 218}), 7: (1, {'@': 218}), 23: (1, {'@': 218}), 24: (1, {'@': 218}), 25: (1, {'@': 218}), 26: (1, {'@': 218}), 12: (1, {'@': 218}), 3: (1, {'@': 218}), 27: (1, {'@': 218}), 2: (1, {'@': 218}), 29: (1, {'@': 218}), 1: (1, {'@': 218}), 30: (1, {'@': 218}), 31: (1, {'@': 218}), 4: (1, {'@': 218}), 32: (1, {'@': 218}), 0: (1, {'@': 218}), 16: (1, {'@': 218}), 33: (1, {'@': 218}), 34: (1, {'@': 218}), 35: (1, {'@': 218}), 36: (1, {'@': 218}), 37: (1, {'@': 218}), 38: (1, {'@': 218}), 39: (1, {'@': 218}), 17: (1, {'@': 218}), 40: (1, {'@': 218}), 41: (1, {'@': 218}), 42: (1, {'@': 218}), 43: (1, {'@': 218}), 44: (1, {'@': 218}), 45: (1, {'@': 218}), 46: (1, {'@': 218}), 47: (1, {'@': 218}), 48: (1, {'@': 218}), 49: (1, {'@': 218}), 50: (1, {'@': 218}), 51: (1, {'@': 218})}, 334: {24: (0, 398)}, 335: {89: (0, 399), 8: (0, 400), 1: (0, 11), 9: (0, 5), 25: (0, 215), 0: (0, 7), 3: (0, 13), 24: (0, 401)}, 336: {20: (1, {'@': 219}), 18: (1, {'@': 219}), 21: (1, {'@': 219}), 22: (1, {'@': 219}), 7: (1, {'@': 219}), 23: (1, {'@': 219}), 24: (1, {'@': 219}), 25: (1, {'@': 219}), 26: (1, {'@': 219}), 12: (1, {'@': 219}), 3: (1, {'@': 219}), 27: (1, {'@': 219}), 2: (1, {'@': 219}), 29: (1, {'@': 219}), 1: (1, {'@': 219}), 30: (1, {'@': 219}), 31: (1, {'@': 219}), 4: (1, {'@': 219}), 32: (1, {'@': 219}), 0: (1, {'@': 219}), 16: (1, {'@': 219}), 33: (1, {'@': 219}), 34: (1, {'@': 219}), 35: (1, {'@': 219}), 36: (1, {'@': 219}), 37: (1, {'@': 219}), 38: (1, {'@': 219}), 39: (1, {'@': 219}), 17: (1, {'@': 219}), 40: (1, {'@': 219}), 41: (1, {'@': 219}), 42: (1, {'@': 219}), 43: (1, {'@': 219}), 44: (1, {'@': 219}), 45: (1, {'@': 219}), 46: (1, {'@': 219}), 47: (1, {'@': 219}), 48: (1, {'@': 219}), 49: (1, {'@': 219}), 50: (1, {'@': 219}), 51: (1, {'@': 219})}, 337: {8: (0, 402), 1: (0, 11), 9: (0, 5), 24: (0, 403), 0: (0, 7), 3: (0, 13)}, 338: {32: (1, {'@': 220}), 0: (1, {'@': 220}), 35: (1, {'@': 220}), 3: (1, {'@': 220}), 42: (1, {'@': 220}), 24: (1, {'@': 220}), 1: (1, {'@': 220}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 339: {20: (1, {'@': 221}), 18: (1, {'@': 221}), 21: (1, {'@': 221}), 22: (1, {'@': 221}), 7: (1, {'@': 221}), 23: (1, {'@': 221}), 24: (1, {'@': 221}), 25: (1, {'@': 221}), 26: (1, {'@': 221}), 12: (1, {'@': 221}), 3: (1, {'@': 221}), 27: (1, {'@': 221}), 2: (1, {'@': 221}), 29: (1, {'@': 221}), 1: (1, {'@': 221}), 30: (1, {'@': 221}), 31: (1, {'@': 221}), 4: (1, {'@': 221}), 32: (1, {'@': 221}), 0: (1, {'@': 221}), 16: (1, {'@': 221}), 33: (1, {'@': 221}), 34: (1, {'@': 221}), 35: (1, {'@': 221}), 36: (1, {'@': 221}), 37: (1, {'@': 221}), 38: (1, {'@': 221}), 39: (1, {'@': 221}), 17: (1, {'@': 221}), 40: (1, {'@': 221}), 41: (1, {'@': 221}), 42: (1, {'@': 221}), 43: (1, {'@': 221}), 44: (1, {'@': 221}), 45: (1, {'@': 221}), 46: (1, {'@': 221}), 47: (1, {'@': 221}), 48: (1, {'@': 221}), 49: (1, {'@': 221}), 50: (1, {'@': 221}), 51: (1, {'@': 221})}, 340: {32: (1, {'@': 222}), 0: (1, {'@': 222}), 35: (1, {'@': 222}), 3: (1, {'@': 222}), 42: (1, {'@': 222}), 24: (1, {'@': 222}), 1: (1, {'@': 222}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 341: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 53: (0, 404), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 24: (0, 405), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 342: {20: (1, {'@': 223}), 18: (1, {'@': 223}), 21: (1, {'@': 223}), 22: (1, {'@': 223}), 7: (1, {'@': 223}), 23: (1, {'@': 223}), 24: (1, {'@': 223}), 25: (1, {'@': 223}), 26: (1, {'@': 223}), 12: (1, {'@': 223}), 3: (1, {'@': 223}), 27: (1, {'@': 223}), 2: (1, {'@': 223}), 29: (1, {'@': 223}), 1: (1, {'@': 223}), 30: (1, {'@': 223}), 31: (1, {'@': 223}), 4: (1, {'@': 223}), 32: (1, {'@': 223}), 0: (1, {'@': 223}), 16: (1, {'@': 223}), 33: (1, {'@': 223}), 34: (1, {'@': 223}), 35: (1, {'@': 223}), 36: (1, {'@': 223}), 37: (1, {'@': 223}), 38: (1, {'@': 223}), 39: (1, {'@': 223}), 17: (1, {'@': 223}), 40: (1, {'@': 223}), 41: (1, {'@': 223}), 42: (1, {'@': 223}), 43: (1, {'@': 223}), 44: (1, {'@': 223}), 45: (1, {'@': 223}), 46: (1, {'@': 223}), 47: (1, {'@': 223}), 48: (1, {'@': 223}), 49: (1, {'@': 223}), 50: (1, {'@': 223}), 51: (1, {'@': 223})}, 343: {20: (1, {'@': 224}), 18: (1, {'@': 224}), 21: (1, {'@': 224}), 22: (1, {'@': 224}), 7: (1, {'@': 224}), 23: (1, {'@': 224}), 24: (1, {'@': 224}), 25: (1, {'@': 224}), 26: (1, {'@': 224}), 12: (1, {'@': 224}), 3: (1, {'@': 224}), 27: (1, {'@': 224}), 2: (1, {'@': 224}), 29: (1, {'@': 224}), 1: (1, {'@': 224}), 30: (1, {'@': 224}), 31: (1, {'@': 224}), 4: (1, {'@': 224}), 32: (1, {'@': 224}), 0: (1, {'@': 224}), 16: (1, {'@': 224}), 33: (1, {'@': 224}), 34: (1, {'@': 224}), 35: (1, {'@': 224}), 36: (1, {'@': 224}), 37: (1, {'@': 224}), 38: (1, {'@': 224}), 39: (1, {'@': 224}), 17: (1, {'@': 224}), 40: (1, {'@': 224}), 41: (1, {'@': 224}), 42: (1, {'@': 224}), 43: (1, {'@': 224}), 44: (1, {'@': 224}), 45: (1, {'@': 224}), 46: (1, {'@': 224}), 47: (1, {'@': 224}), 48: (1, {'@': 224}), 49: (1, {'@': 224}), 50: (1, {'@': 224}), 51: (1, {'@': 224})}, 344: {32: (1, {'@': 225}), 0: (1, {'@': 225}), 35: (1, {'@': 225}), 3: (1, {'@': 225}), 42: (1, {'@': 225}), 24: (1, {'@': 225}), 1: (1, {'@': 225}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 345: {20: (1, {'@': 226}), 18: (1, {'@': 226}), 21: (1, {'@': 226}), 22: (1, {'@': 226}), 7: (1, {'@': 226}), 23: (1, {'@': 226}), 24: (1, {'@': 226}), 25: (1, {'@': 226}), 26: (1, {'@': 226}), 12: (1, {'@': 226}), 3: (1, {'@': 226}), 27: (1, {'@': 226}), 2: (1, {'@': 226}), 29: (1, {'@': 226}), 1: (1, {'@': 226}), 30: (1, {'@': 226}), 31: (1, {'@': 226}), 4: (1, {'@': 226}), 32: (1, {'@': 226}), 0: (1, {'@': 226}), 16: (1, {'@': 226}), 33: (1, {'@': 226}), 34: (1, {'@': 226}), 35: (1, {'@': 226}), 36: (1, {'@': 226}), 37: (1, {'@': 226}), 38: (1, {'@': 226}), 39: (1, {'@': 226}), 17: (1, {'@': 226}), 40: (1, {'@': 226}), 41: (1, {'@': 226}), 42: (1, {'@': 226}), 43: (1, {'@': 226}), 44: (1, {'@': 226}), 45: (1, {'@': 226}), 46: (1, {'@': 226}), 47: (1, {'@': 226}), 48: (1, {'@': 226}), 49: (1, {'@': 226}), 50: (1, {'@': 226}), 51: (1, {'@': 226})}, 346: {1: (0, 11), 9: (0, 5), 24: (0, 406), 0: (0, 7), 3: (0, 13), 8: (0, 407)}, 347: {20: (1, {'@': 227}), 18: (1, {'@': 227}), 21: (1, {'@': 227}), 22: (1, {'@': 227}), 7: (1, {'@': 227}), 23: (1, {'@': 227}), 24: (1, {'@': 227}), 25: (1, {'@': 227}), 26: (1, {'@': 227}), 12: (1, {'@': 227}), 3: (1, {'@': 227}), 27: (1, {'@': 227}), 2: (1, {'@': 227}), 29: (1, {'@': 227}), 1: (1, {'@': 227}), 30: (1, {'@': 227}), 31: (1, {'@': 227}), 4: (1, {'@': 227}), 32: (1, {'@': 227}), 0: (1, {'@': 227}), 16: (1, {'@': 227}), 33: (1, {'@': 227}), 34: (1, {'@': 227}), 35: (1, {'@': 227}), 36: (1, {'@': 227}), 37: (1, {'@': 227}), 38: (1, {'@': 227}), 39: (1, {'@': 227}), 17: (1, {'@': 227}), 40: (1, {'@': 227}), 41: (1, {'@': 227}), 42: (1, {'@': 227}), 43: (1, {'@': 227}), 44: (1, {'@': 227}), 45: (1, {'@': 227}), 46: (1, {'@': 227}), 47: (1, {'@': 227}), 48: (1, {'@': 227}), 49: (1, {'@': 227}), 50: (1, {'@': 227}), 51: (1, {'@': 227})}, 348: {24: (0, 408)}, 349: {24: (0, 409)}, 350: {20: (1, {'@': 228}), 18: (1, {'@': 228}), 21: (1, {'@': 228}), 22: (1, {'@': 228}), 7: (1, {'@': 228}), 23: (1, {'@': 228}), 24: (1, {'@': 228}), 25: (1, {'@': 228}), 26: (1, {'@': 228}), 12: (1, {'@': 228}), 3: (1, {'@': 228}), 27: (1, {'@': 228}), 2: (1, {'@': 228}), 29: (1, {'@': 228}), 1: (1, {'@': 228}), 30: (1, {'@': 228}), 31: (1, {'@': 228}), 4: (1, {'@': 228}), 32: (1, {'@': 228}), 0: (1, {'@': 228}), 16: (1, {'@': 228}), 33: (1, {'@': 228}), 34: (1, {'@': 228}), 35: (1, {'@': 228}), 36: (1, {'@': 228}), 37: (1, {'@': 228}), 38: (1, {'@': 228}), 39: (1, {'@': 228}), 17: (1, {'@': 228}), 40: (1, {'@': 228}), 41: (1, {'@': 228}), 42: (1, {'@': 228}), 43: (1, {'@': 228}), 44: (1, {'@': 228}), 45: (1, {'@': 228}), 46: (1, {'@': 228}), 47: (1, {'@': 228}), 48: (1, {'@': 228}), 49: (1, {'@': 228}), 50: (1, {'@': 228}), 51: (1, {'@': 228})}, 351: {20: (1, {'@': 229}), 18: (1, {'@': 229}), 21: (1, {'@': 229}), 22: (1, {'@': 229}), 7: (1, {'@': 229}), 23: (1, {'@': 229}), 24: (1, {'@': 229}), 25: (1, {'@': 229}), 26: (1, {'@': 229}), 12: (1, {'@': 229}), 3: (1, {'@': 229}), 27: (1, {'@': 229}), 2: (1, {'@': 229}), 29: (1, {'@': 229}), 1: (1, {'@': 229}), 30: (1, {'@': 229}), 31: (1, {'@': 229}), 4: (1, {'@': 229}), 32: (1, {'@': 229}), 0: (1, {'@': 229}), 16: (1, {'@': 229}), 33: (1, {'@': 229}), 34: (1, {'@': 229}), 35: (1, {'@': 229}), 36: (1, {'@': 229}), 37: (1, {'@': 229}), 38: (1, {'@': 229}), 39: (1, {'@': 229}), 17: (1, {'@': 229}), 40: (1, {'@': 229}), 41: (1, {'@': 229}), 42: (1, {'@': 229}), 43: (1, {'@': 229}), 44: (1, {'@': 229}), 45: (1, {'@': 229}), 46: (1, {'@': 229}), 47: (1, {'@': 229}), 48: (1, {'@': 229}), 49: (1, {'@': 229}), 50: (1, {'@': 229}), 51: (1, {'@': 229})}, 352: {20: (1, {'@': 230}), 18: (1, {'@': 230}), 21: (1, {'@': 230}), 22: (1, {'@': 230}), 7: (1, {'@': 230}), 23: (1, {'@': 230}), 24: (1, {'@': 230}), 25: (1, {'@': 230}), 26: (1, {'@': 230}), 12: (1, {'@': 230}), 3: (1, {'@': 230}), 27: (1, {'@': 230}), 2: (1, {'@': 230}), 29: (1, {'@': 230}), 1: (1, {'@': 230}), 30: (1, {'@': 230}), 31: (1, {'@': 230}), 4: (1, {'@': 230}), 32: (1, {'@': 230}), 0: (1, {'@': 230}), 16: (1, {'@': 230}), 33: (1, {'@': 230}), 34: (1, {'@': 230}), 35: (1, {'@': 230}), 36: (1, {'@': 230}), 37: (1, {'@': 230}), 38: (1, {'@': 230}), 39: (1, {'@': 230}), 17: (1, {'@': 230}), 40: (1, {'@': 230}), 41: (1, {'@': 230}), 42: (1, {'@': 230}), 43: (1, {'@': 230}), 44: (1, {'@': 230}), 45: (1, {'@': 230}), 46: (1, {'@': 230}), 47: (1, {'@': 230}), 48: (1, {'@': 230}), 49: (1, {'@': 230}), 50: (1, {'@': 230}), 51: (1, {'@': 230})}, 353: {24: (0, 410)}, 354: {20: (1, {'@': 231}), 18: (1, {'@': 231}), 21: (1, {'@': 231}), 22: (1, {'@': 231}), 7: (1, {'@': 231}), 23: (1, {'@': 231}), 24: (1, {'@': 231}), 25: (1, {'@': 231}), 26: (1, {'@': 231}), 12: (1, {'@': 231}), 3: (1, {'@': 231}), 27: (1, {'@': 231}), 2: (1, {'@': 231}), 29: (1, {'@': 231}), 1: (1, {'@': 231}), 30: (1, {'@': 231}), 31: (1, {'@': 231}), 4: (1, {'@': 231}), 32: (1, {'@': 231}), 0: (1, {'@': 231}), 16: (1, {'@': 231}), 33: (1, {'@': 231}), 34: (1, {'@': 231}), 35: (1, {'@': 231}), 36: (1, {'@': 231}), 37: (1, {'@': 231}), 38: (1, {'@': 231}), 39: (1, {'@': 231}), 17: (1, {'@': 231}), 40: (1, {'@': 231}), 41: (1, {'@': 231}), 42: (1, {'@': 231}), 43: (1, {'@': 231}), 44: (1, {'@': 231}), 45: (1, {'@': 231}), 46: (1, {'@': 231}), 47: (1, {'@': 231}), 48: (1, {'@': 231}), 49: (1, {'@': 231}), 50: (1, {'@': 231}), 51: (1, {'@': 231})}, 355: {24: (1, {'@': 232}), 0: (1, {'@': 232}), 1: (1, {'@': 232}), 3: (1, {'@': 232}), 4: (1, {'@': 232}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 356: {20: (1, {'@': 233}), 18: (1, {'@': 233}), 21: (1, {'@': 233}), 22: (1, {'@': 233}), 7: (1, {'@': 233}), 23: (1, {'@': 233}), 24: (1, {'@': 233}), 25: (1, {'@': 233}), 26: (1, {'@': 233}), 12: (1, {'@': 233}), 3: (1, {'@': 233}), 27: (1, {'@': 233}), 2: (1, {'@': 233}), 29: (1, {'@': 233}), 1: (1, {'@': 233}), 30: (1, {'@': 233}), 31: (1, {'@': 233}), 4: (1, {'@': 233}), 32: (1, {'@': 233}), 0: (1, {'@': 233}), 16: (1, {'@': 233}), 33: (1, {'@': 233}), 34: (1, {'@': 233}), 35: (1, {'@': 233}), 36: (1, {'@': 233}), 37: (1, {'@': 233}), 38: (1, {'@': 233}), 39: (1, {'@': 233}), 17: (1, {'@': 233}), 40: (1, {'@': 233}), 41: (1, {'@': 233}), 42: (1, {'@': 233}), 43: (1, {'@': 233}), 44: (1, {'@': 233}), 45: (1, {'@': 233}), 46: (1, {'@': 233}), 47: (1, {'@': 233}), 48: (1, {'@': 233}), 49: (1, {'@': 233}), 50: (1, {'@': 233}), 51: (1, {'@': 233})}, 357: {20: (1, {'@': 234}), 18: (1, {'@': 234}), 21: (1, {'@': 234}), 22: (1, {'@': 234}), 7: (1, {'@': 234}), 23: (1, {'@': 234}), 24: (1, {'@': 234}), 25: (1, {'@': 234}), 26: (1, {'@': 234}), 12: (1, {'@': 234}), 3: (1, {'@': 234}), 27: (1, {'@': 234}), 2: (1, {'@': 234}), 29: (1, {'@': 234}), 1: (1, {'@': 234}), 30: (1, {'@': 234}), 31: (1, {'@': 234}), 4: (1, {'@': 234}), 32: (1, {'@': 234}), 0: (1, {'@': 234}), 16: (1, {'@': 234}), 33: (1, {'@': 234}), 34: (1, {'@': 234}), 35: (1, {'@': 234}), 36: (1, {'@': 234}), 37: (1, {'@': 234}), 38: (1, {'@': 234}), 39: (1, {'@': 234}), 17: (1, {'@': 234}), 40: (1, {'@': 234}), 41: (1, {'@': 234}), 42: (1, {'@': 234}), 43: (1, {'@': 234}), 44: (1, {'@': 234}), 45: (1, {'@': 234}), 46: (1, {'@': 234}), 47: (1, {'@': 234}), 48: (1, {'@': 234}), 49: (1, {'@': 234}), 50: (1, {'@': 234}), 51: (1, {'@': 234})}, 358: {20: (1, {'@': 235}), 18: (1, {'@': 235}), 21: (1, {'@': 235}), 22: (1, {'@': 235}), 7: (1, {'@': 235}), 23: (1, {'@': 235}), 24: (1, {'@': 235}), 25: (1, {'@': 235}), 26: (1, {'@': 235}), 12: (1, {'@': 235}), 3: (1, {'@': 235}), 27: (1, {'@': 235}), 2: (1, {'@': 235}), 29: (1, {'@': 235}), 1: (1, {'@': 235}), 30: (1, {'@': 235}), 31: (1, {'@': 235}), 4: (1, {'@': 235}), 32: (1, {'@': 235}), 0: (1, {'@': 235}), 16: (1, {'@': 235}), 33: (1, {'@': 235}), 34: (1, {'@': 235}), 35: (1, {'@': 235}), 36: (1, {'@': 235}), 37: (1, {'@': 235}), 38: (1, {'@': 235}), 39: (1, {'@': 235}), 17: (1, {'@': 235}), 40: (1, {'@': 235}), 41: (1, {'@': 235}), 42: (1, {'@': 235}), 43: (1, {'@': 235}), 44: (1, {'@': 235}), 45: (1, {'@': 235}), 46: (1, {'@': 235}), 47: (1, {'@': 235}), 48: (1, {'@': 235}), 49: (1, {'@': 235}), 50: (1, {'@': 235}), 51: (1, {'@': 235})}, 359: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 340), 26: (0, 44), 9: (0, 5), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 8: (0, 411), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 360: {1: (1, {'@': 236}), 32: (1, {'@': 236}), 3: (1, {'@': 236}), 0: (1, {'@': 236}), 16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 344), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 361: {1: (1, {'@': 237}), 32: (1, {'@': 237}), 3: (1, {'@': 237}), 0: (1, {'@': 237})}, 362: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 338), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 363: {20: (1, {'@': 238}), 18: (1, {'@': 238}), 21: (1, {'@': 238}), 22: (1, {'@': 238}), 7: (1, {'@': 238}), 23: (1, {'@': 238}), 24: (1, {'@': 238}), 25: (1, {'@': 238}), 26: (1, {'@': 238}), 12: (1, {'@': 238}), 3: (1, {'@': 238}), 27: (1, {'@': 238}), 2: (1, {'@': 238}), 29: (1, {'@': 238}), 1: (1, {'@': 238}), 30: (1, {'@': 238}), 31: (1, {'@': 238}), 4: (1, {'@': 238}), 32: (1, {'@': 238}), 0: (1, {'@': 238}), 16: (1, {'@': 238}), 33: (1, {'@': 238}), 34: (1, {'@': 238}), 35: (1, {'@': 238}), 36: (1, {'@': 238}), 37: (1, {'@': 238}), 38: (1, {'@': 238}), 39: (1, {'@': 238}), 17: (1, {'@': 238}), 40: (1, {'@': 238}), 41: (1, {'@': 238}), 42: (1, {'@': 238}), 43: (1, {'@': 238}), 44: (1, {'@': 238}), 45: (1, {'@': 238}), 46: (1, {'@': 238}), 47: (1, {'@': 238}), 48: (1, {'@': 238}), 49: (1, {'@': 238}), 50: (1, {'@': 238}), 51: (1, {'@': 238})}, 364: {89: (0, 412), 8: (0, 413), 9: (0, 5), 0: (0, 7), 25: (0, 215), 1: (0, 11), 4: (0, 414), 3: (0, 13)}, 365: {8: (0, 415), 1: (0, 11), 9: (0, 5), 0: (0, 7), 3: (0, 13), 4: (0, 416)}, 366: {8: (0, 417), 1: (0, 11), 9: (0, 5), 4: (0, 418), 25: (0, 215), 89: (0, 419), 0: (0, 7), 3: (0, 13)}, 367: {20: (1, {'@': 239}), 18: (1, {'@': 239}), 21: (1, {'@': 239}), 22: (1, {'@': 239}), 7: (1, {'@': 239}), 23: (1, {'@': 239}), 24: (1, {'@': 239}), 25: (1, {'@': 239}), 26: (1, {'@': 239}), 12: (1, {'@': 239}), 3: (1, {'@': 239}), 27: (1, {'@': 239}), 2: (1, {'@': 239}), 29: (1, {'@': 239}), 1: (1, {'@': 239}), 30: (1, {'@': 239}), 31: (1, {'@': 239}), 4: (1, {'@': 239}), 32: (1, {'@': 239}), 0: (1, {'@': 239}), 16: (1, {'@': 239}), 33: (1, {'@': 239}), 34: (1, {'@': 239}), 35: (1, {'@': 239}), 36: (1, {'@': 239}), 37: (1, {'@': 239}), 38: (1, {'@': 239}), 39: (1, {'@': 239}), 17: (1, {'@': 239}), 40: (1, {'@': 239}), 41: (1, {'@': 239}), 42: (1, {'@': 239}), 43: (1, {'@': 239}), 44: (1, {'@': 239}), 45: (1, {'@': 239}), 46: (1, {'@': 239}), 47: (1, {'@': 239}), 48: (1, {'@': 239}), 49: (1, {'@': 239}), 50: (1, {'@': 239}), 51: (1, {'@': 239})}, 368: {28: (0, 420)}, 369: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 421), 9: (0, 5), 26: (0, 44), 59: (0, 45), 8: (0, 422), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 370: {50: (0, 80), 77: (0, 81), 41: (0, 82), 45: (0, 423), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 371: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 424), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 372: {26: (1, {'@': 240}), 46: (1, {'@': 240}), 0: (0, 7), 20: (1, {'@': 240}), 47: (1, {'@': 240}), 16: (1, {'@': 240}), 12: (1, {'@': 240}), 3: (0, 13), 21: (1, {'@': 240}), 36: (1, {'@': 240}), 29: (1, {'@': 240}), 17: (1, {'@': 240}), 7: (1, {'@': 240}), 23: (1, {'@': 240}), 1: (0, 11), 30: (1, {'@': 240}), 9: (0, 5), 8: (0, 425)}, 373: {26: (1, {'@': 241}), 46: (1, {'@': 241}), 0: (1, {'@': 241}), 20: (1, {'@': 241}), 47: (1, {'@': 241}), 16: (1, {'@': 241}), 12: (1, {'@': 241}), 3: (1, {'@': 241}), 21: (1, {'@': 241}), 36: (1, {'@': 241}), 29: (1, {'@': 241}), 17: (1, {'@': 241}), 7: (1, {'@': 241}), 23: (1, {'@': 241}), 1: (1, {'@': 241}), 30: (1, {'@': 241})}, 374: {26: (1, {'@': 242}), 46: (1, {'@': 242}), 0: (0, 7), 20: (1, {'@': 242}), 47: (1, {'@': 242}), 16: (1, {'@': 242}), 12: (1, {'@': 242}), 3: (0, 13), 21: (1, {'@': 242}), 36: (1, {'@': 242}), 29: (1, {'@': 242}), 17: (1, {'@': 242}), 7: (1, {'@': 242}), 23: (1, {'@': 242}), 1: (0, 11), 30: (1, {'@': 242}), 9: (0, 5), 8: (0, 426)}, 375: {50: (0, 80), 77: (0, 81), 41: (0, 82), 45: (0, 427), 37: (0, 83), 38: (0, 84), 43: (0, 85), 22: (0, 95), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 44: (0, 96)}, 376: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 53: (0, 428), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 8: (0, 429), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 377: {28: (0, 430), 1: (0, 11), 9: (0, 5), 8: (0, 431), 0: (0, 7), 3: (0, 13)}, 378: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 45: (0, 432), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 379: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 433), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 380: {26: (1, {'@': 243}), 46: (1, {'@': 243}), 0: (0, 7), 20: (1, {'@': 243}), 47: (1, {'@': 243}), 16: (1, {'@': 243}), 12: (1, {'@': 243}), 3: (0, 13), 21: (1, {'@': 243}), 36: (1, {'@': 243}), 29: (1, {'@': 243}), 17: (1, {'@': 243}), 7: (1, {'@': 243}), 23: (1, {'@': 243}), 1: (0, 11), 30: (1, {'@': 243}), 9: (0, 5), 8: (0, 434)}, 381: {45: (0, 435), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 382: {1: (0, 11), 8: (0, 436), 9: (0, 5), 4: (0, 437), 0: (0, 7), 3: (0, 13)}, 383: {4: (0, 438)}, 384: {20: (1, {'@': 244}), 18: (1, {'@': 244}), 21: (1, {'@': 244}), 22: (1, {'@': 244}), 7: (1, {'@': 244}), 23: (1, {'@': 244}), 24: (1, {'@': 244}), 25: (1, {'@': 244}), 26: (1, {'@': 244}), 12: (1, {'@': 244}), 3: (1, {'@': 244}), 27: (1, {'@': 244}), 2: (1, {'@': 244}), 29: (1, {'@': 244}), 1: (1, {'@': 244}), 30: (1, {'@': 244}), 31: (1, {'@': 244}), 4: (1, {'@': 244}), 32: (1, {'@': 244}), 0: (1, {'@': 244}), 16: (1, {'@': 244}), 33: (1, {'@': 244}), 34: (1, {'@': 244}), 35: (1, {'@': 244}), 36: (1, {'@': 244}), 37: (1, {'@': 244}), 38: (1, {'@': 244}), 39: (1, {'@': 244}), 17: (1, {'@': 244}), 40: (1, {'@': 244}), 41: (1, {'@': 244}), 42: (1, {'@': 244}), 43: (1, {'@': 244}), 44: (1, {'@': 244}), 45: (1, {'@': 244}), 46: (1, {'@': 244}), 47: (1, {'@': 244}), 48: (1, {'@': 244}), 49: (1, {'@': 244}), 50: (1, {'@': 244}), 51: (1, {'@': 244})}, 385: {4: (0, 439), 1: (0, 11), 9: (0, 5), 25: (0, 215), 8: (0, 440), 89: (0, 441), 0: (0, 7), 3: (0, 13)}, 386: {8: (0, 442), 4: (0, 443), 1: (0, 11), 9: (0, 5), 0: (0, 7), 3: (0, 13)}, 387: {20: (1, {'@': 245}), 18: (1, {'@': 245}), 21: (1, {'@': 245}), 22: (1, {'@': 245}), 7: (1, {'@': 245}), 23: (1, {'@': 245}), 24: (1, {'@': 245}), 25: (1, {'@': 245}), 26: (1, {'@': 245}), 12: (1, {'@': 245}), 3: (1, {'@': 245}), 27: (1, {'@': 245}), 2: (1, {'@': 245}), 29: (1, {'@': 245}), 1: (1, {'@': 245}), 30: (1, {'@': 245}), 31: (1, {'@': 245}), 4: (1, {'@': 245}), 32: (1, {'@': 245}), 0: (1, {'@': 245}), 16: (1, {'@': 245}), 33: (1, {'@': 245}), 34: (1, {'@': 245}), 35: (1, {'@': 245}), 36: (1, {'@': 245}), 37: (1, {'@': 245}), 38: (1, {'@': 245}), 39: (1, {'@': 245}), 17: (1, {'@': 245}), 40: (1, {'@': 245}), 41: (1, {'@': 245}), 42: (1, {'@': 245}), 43: (1, {'@': 245}), 44: (1, {'@': 245}), 45: (1, {'@': 245}), 46: (1, {'@': 245}), 47: (1, {'@': 245}), 48: (1, {'@': 245}), 49: (1, {'@': 245}), 50: (1, {'@': 245}), 51: (1, {'@': 245})}, 388: {20: (1, {'@': 246}), 18: (1, {'@': 246}), 21: (1, {'@': 246}), 22: (1, {'@': 246}), 7: (1, {'@': 246}), 23: (1, {'@': 246}), 24: (1, {'@': 246}), 25: (1, {'@': 246}), 26: (1, {'@': 246}), 12: (1, {'@': 246}), 3: (1, {'@': 246}), 27: (1, {'@': 246}), 2: (1, {'@': 246}), 29: (1, {'@': 246}), 1: (1, {'@': 246}), 30: (1, {'@': 246}), 31: (1, {'@': 246}), 4: (1, {'@': 246}), 32: (1, {'@': 246}), 0: (1, {'@': 246}), 16: (1, {'@': 246}), 33: (1, {'@': 246}), 34: (1, {'@': 246}), 35: (1, {'@': 246}), 36: (1, {'@': 246}), 37: (1, {'@': 246}), 38: (1, {'@': 246}), 39: (1, {'@': 246}), 17: (1, {'@': 246}), 40: (1, {'@': 246}), 41: (1, {'@': 246}), 42: (1, {'@': 246}), 43: (1, {'@': 246}), 44: (1, {'@': 246}), 45: (1, {'@': 246}), 46: (1, {'@': 246}), 47: (1, {'@': 246}), 48: (1, {'@': 246}), 49: (1, {'@': 246}), 50: (1, {'@': 246}), 51: (1, {'@': 246})}, 389: {4: (0, 444)}, 390: {20: (1, {'@': 247}), 18: (1, {'@': 247}), 21: (1, {'@': 247}), 22: (1, {'@': 247}), 7: (1, {'@': 247}), 23: (1, {'@': 247}), 24: (1, {'@': 247}), 25: (1, {'@': 247}), 26: (1, {'@': 247}), 12: (1, {'@': 247}), 3: (1, {'@': 247}), 27: (1, {'@': 247}), 2: (1, {'@': 247}), 29: (1, {'@': 247}), 1: (1, {'@': 247}), 30: (1, {'@': 247}), 31: (1, {'@': 247}), 4: (1, {'@': 247}), 32: (1, {'@': 247}), 0: (1, {'@': 247}), 16: (1, {'@': 247}), 33: (1, {'@': 247}), 34: (1, {'@': 247}), 35: (1, {'@': 247}), 36: (1, {'@': 247}), 37: (1, {'@': 247}), 38: (1, {'@': 247}), 39: (1, {'@': 247}), 17: (1, {'@': 247}), 40: (1, {'@': 247}), 41: (1, {'@': 247}), 42: (1, {'@': 247}), 43: (1, {'@': 247}), 44: (1, {'@': 247}), 45: (1, {'@': 247}), 46: (1, {'@': 247}), 47: (1, {'@': 247}), 48: (1, {'@': 247}), 49: (1, {'@': 247}), 50: (1, {'@': 247}), 51: (1, {'@': 247})}, 391: {20: (1, {'@': 248}), 18: (1, {'@': 248}), 21: (1, {'@': 248}), 22: (1, {'@': 248}), 7: (1, {'@': 248}), 23: (1, {'@': 248}), 24: (1, {'@': 248}), 25: (1, {'@': 248}), 26: (1, {'@': 248}), 12: (1, {'@': 248}), 3: (1, {'@': 248}), 27: (1, {'@': 248}), 2: (1, {'@': 248}), 29: (1, {'@': 248}), 1: (1, {'@': 248}), 30: (1, {'@': 248}), 31: (1, {'@': 248}), 4: (1, {'@': 248}), 32: (1, {'@': 248}), 0: (1, {'@': 248}), 16: (1, {'@': 248}), 33: (1, {'@': 248}), 34: (1, {'@': 248}), 35: (1, {'@': 248}), 36: (1, {'@': 248}), 37: (1, {'@': 248}), 38: (1, {'@': 248}), 39: (1, {'@': 248}), 17: (1, {'@': 248}), 40: (1, {'@': 248}), 41: (1, {'@': 248}), 42: (1, {'@': 248}), 43: (1, {'@': 248}), 44: (1, {'@': 248}), 45: (1, {'@': 248}), 46: (1, {'@': 248}), 47: (1, {'@': 248}), 48: (1, {'@': 248}), 49: (1, {'@': 248}), 50: (1, {'@': 248}), 51: (1, {'@': 248})}, 392: {20: (1, {'@': 249}), 18: (1, {'@': 249}), 21: (1, {'@': 249}), 22: (1, {'@': 249}), 7: (1, {'@': 249}), 23: (1, {'@': 249}), 24: (1, {'@': 249}), 25: (1, {'@': 249}), 26: (1, {'@': 249}), 12: (1, {'@': 249}), 3: (1, {'@': 249}), 27: (1, {'@': 249}), 2: (1, {'@': 249}), 29: (1, {'@': 249}), 1: (1, {'@': 249}), 30: (1, {'@': 249}), 31: (1, {'@': 249}), 4: (1, {'@': 249}), 32: (1, {'@': 249}), 0: (1, {'@': 249}), 16: (1, {'@': 249}), 33: (1, {'@': 249}), 34: (1, {'@': 249}), 35: (1, {'@': 249}), 36: (1, {'@': 249}), 37: (1, {'@': 249}), 38: (1, {'@': 249}), 39: (1, {'@': 249}), 17: (1, {'@': 249}), 40: (1, {'@': 249}), 41: (1, {'@': 249}), 42: (1, {'@': 249}), 43: (1, {'@': 249}), 44: (1, {'@': 249}), 45: (1, {'@': 249}), 46: (1, {'@': 249}), 47: (1, {'@': 249}), 48: (1, {'@': 249}), 49: (1, {'@': 249}), 50: (1, {'@': 249}), 51: (1, {'@': 249})}, 393: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 53: (0, 404), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 24: (0, 445), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 394: {20: (1, {'@': 250}), 18: (1, {'@': 250}), 21: (1, {'@': 250}), 22: (1, {'@': 250}), 7: (1, {'@': 250}), 23: (1, {'@': 250}), 24: (1, {'@': 250}), 25: (1, {'@': 250}), 26: (1, {'@': 250}), 12: (1, {'@': 250}), 3: (1, {'@': 250}), 27: (1, {'@': 250}), 2: (1, {'@': 250}), 29: (1, {'@': 250}), 1: (1, {'@': 250}), 30: (1, {'@': 250}), 31: (1, {'@': 250}), 4: (1, {'@': 250}), 32: (1, {'@': 250}), 0: (1, {'@': 250}), 16: (1, {'@': 250}), 33: (1, {'@': 250}), 34: (1, {'@': 250}), 35: (1, {'@': 250}), 36: (1, {'@': 250}), 37: (1, {'@': 250}), 38: (1, {'@': 250}), 39: (1, {'@': 250}), 17: (1, {'@': 250}), 40: (1, {'@': 250}), 41: (1, {'@': 250}), 42: (1, {'@': 250}), 43: (1, {'@': 250}), 44: (1, {'@': 250}), 45: (1, {'@': 250}), 46: (1, {'@': 250}), 47: (1, {'@': 250}), 48: (1, {'@': 250}), 49: (1, {'@': 250}), 50: (1, {'@': 250}), 51: (1, {'@': 250})}, 395: {24: (0, 446)}, 396: {20: (1, {'@': 251}), 18: (1, {'@': 251}), 21: (1, {'@': 251}), 22: (1, {'@': 251}), 7: (1, {'@': 251}), 23: (1, {'@': 251}), 24: (1, {'@': 251}), 25: (1, {'@': 251}), 26: (1, {'@': 251}), 12: (1, {'@': 251}), 3: (1, {'@': 251}), 27: (1, {'@': 251}), 2: (1, {'@': 251}), 29: (1, {'@': 251}), 1: (1, {'@': 251}), 30: (1, {'@': 251}), 31: (1, {'@': 251}), 4: (1, {'@': 251}), 32: (1, {'@': 251}), 0: (1, {'@': 251}), 16: (1, {'@': 251}), 33: (1, {'@': 251}), 34: (1, {'@': 251}), 35: (1, {'@': 251}), 36: (1, {'@': 251}), 37: (1, {'@': 251}), 38: (1, {'@': 251}), 39: (1, {'@': 251}), 17: (1, {'@': 251}), 40: (1, {'@': 251}), 41: (1, {'@': 251}), 42: (1, {'@': 251}), 43: (1, {'@': 251}), 44: (1, {'@': 251}), 45: (1, {'@': 251}), 46: (1, {'@': 251}), 47: (1, {'@': 251}), 48: (1, {'@': 251}), 49: (1, {'@': 251}), 50: (1, {'@': 251}), 51: (1, {'@': 251})}, 397: {20: (1, {'@': 252}), 18: (1, {'@': 252}), 21: (1, {'@': 252}), 22: (1, {'@': 252}), 7: (1, {'@': 252}), 23: (1, {'@': 252}), 24: (1, {'@': 252}), 25: (1, {'@': 252}), 26: (1, {'@': 252}), 12: (1, {'@': 252}), 3: (1, {'@': 252}), 27: (1, {'@': 252}), 2: (1, {'@': 252}), 29: (1, {'@': 252}), 1: (1, {'@': 252}), 30: (1, {'@': 252}), 31: (1, {'@': 252}), 4: (1, {'@': 252}), 32: (1, {'@': 252}), 0: (1, {'@': 252}), 16: (1, {'@': 252}), 33: (1, {'@': 252}), 34: (1, {'@': 252}), 35: (1, {'@': 252}), 36: (1, {'@': 252}), 37: (1, {'@': 252}), 38: (1, {'@': 252}), 39: (1, {'@': 252}), 17: (1, {'@': 252}), 40: (1, {'@': 252}), 41: (1, {'@': 252}), 42: (1, {'@': 252}), 43: (1, {'@': 252}), 44: (1, {'@': 252}), 45: (1, {'@': 252}), 46: (1, {'@': 252}), 47: (1, {'@': 252}), 48: (1, {'@': 252}), 49: (1, {'@': 252}), 50: (1, {'@': 252}), 51: (1, {'@': 252})}, 398: {20: (1, {'@': 253}), 18: (1, {'@': 253}), 21: (1, {'@': 253}), 22: (1, {'@': 253}), 7: (1, {'@': 253}), 23: (1, {'@': 253}), 24: (1, {'@': 253}), 25: (1, {'@': 253}), 26: (1, {'@': 253}), 12: (1, {'@': 253}), 3: (1, {'@': 253}), 27: (1, {'@': 253}), 2: (1, {'@': 253}), 29: (1, {'@': 253}), 1: (1, {'@': 253}), 30: (1, {'@': 253}), 31: (1, {'@': 253}), 4: (1, {'@': 253}), 32: (1, {'@': 253}), 0: (1, {'@': 253}), 16: (1, {'@': 253}), 33: (1, {'@': 253}), 34: (1, {'@': 253}), 35: (1, {'@': 253}), 36: (1, {'@': 253}), 37: (1, {'@': 253}), 38: (1, {'@': 253}), 39: (1, {'@': 253}), 17: (1, {'@': 253}), 40: (1, {'@': 253}), 41: (1, {'@': 253}), 42: (1, {'@': 253}), 43: (1, {'@': 253}), 44: (1, {'@': 253}), 45: (1, {'@': 253}), 46: (1, {'@': 253}), 47: (1, {'@': 253}), 48: (1, {'@': 253}), 49: (1, {'@': 253}), 50: (1, {'@': 253}), 51: (1, {'@': 253})}, 399: {1: (0, 11), 8: (0, 447), 9: (0, 5), 24: (0, 448), 0: (0, 7), 3: (0, 13)}, 400: {24: (0, 449)}, 401: {20: (1, {'@': 254}), 18: (1, {'@': 254}), 21: (1, {'@': 254}), 22: (1, {'@': 254}), 7: (1, {'@': 254}), 23: (1, {'@': 254}), 24: (1, {'@': 254}), 25: (1, {'@': 254}), 26: (1, {'@': 254}), 12: (1, {'@': 254}), 3: (1, {'@': 254}), 27: (1, {'@': 254}), 2: (1, {'@': 254}), 29: (1, {'@': 254}), 1: (1, {'@': 254}), 30: (1, {'@': 254}), 31: (1, {'@': 254}), 4: (1, {'@': 254}), 32: (1, {'@': 254}), 0: (1, {'@': 254}), 16: (1, {'@': 254}), 33: (1, {'@': 254}), 34: (1, {'@': 254}), 35: (1, {'@': 254}), 36: (1, {'@': 254}), 37: (1, {'@': 254}), 38: (1, {'@': 254}), 39: (1, {'@': 254}), 17: (1, {'@': 254}), 40: (1, {'@': 254}), 41: (1, {'@': 254}), 42: (1, {'@': 254}), 43: (1, {'@': 254}), 44: (1, {'@': 254}), 45: (1, {'@': 254}), 46: (1, {'@': 254}), 47: (1, {'@': 254}), 48: (1, {'@': 254}), 49: (1, {'@': 254}), 50: (1, {'@': 254}), 51: (1, {'@': 254})}, 402: {24: (0, 450)}, 403: {20: (1, {'@': 255}), 18: (1, {'@': 255}), 21: (1, {'@': 255}), 22: (1, {'@': 255}), 7: (1, {'@': 255}), 23: (1, {'@': 255}), 24: (1, {'@': 255}), 25: (1, {'@': 255}), 26: (1, {'@': 255}), 12: (1, {'@': 255}), 3: (1, {'@': 255}), 27: (1, {'@': 255}), 2: (1, {'@': 255}), 29: (1, {'@': 255}), 1: (1, {'@': 255}), 30: (1, {'@': 255}), 31: (1, {'@': 255}), 4: (1, {'@': 255}), 32: (1, {'@': 255}), 0: (1, {'@': 255}), 16: (1, {'@': 255}), 33: (1, {'@': 255}), 34: (1, {'@': 255}), 35: (1, {'@': 255}), 36: (1, {'@': 255}), 37: (1, {'@': 255}), 38: (1, {'@': 255}), 39: (1, {'@': 255}), 17: (1, {'@': 255}), 40: (1, {'@': 255}), 41: (1, {'@': 255}), 42: (1, {'@': 255}), 43: (1, {'@': 255}), 44: (1, {'@': 255}), 45: (1, {'@': 255}), 46: (1, {'@': 255}), 47: (1, {'@': 255}), 48: (1, {'@': 255}), 49: (1, {'@': 255}), 50: (1, {'@': 255}), 51: (1, {'@': 255})}, 404: {32: (1, {'@': 256}), 0: (1, {'@': 256}), 35: (1, {'@': 256}), 3: (1, {'@': 256}), 42: (1, {'@': 256}), 24: (1, {'@': 256}), 1: (1, {'@': 256}), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 405: {20: (1, {'@': 257}), 18: (1, {'@': 257}), 21: (1, {'@': 257}), 22: (1, {'@': 257}), 7: (1, {'@': 257}), 23: (1, {'@': 257}), 24: (1, {'@': 257}), 25: (1, {'@': 257}), 26: (1, {'@': 257}), 12: (1, {'@': 257}), 3: (1, {'@': 257}), 27: (1, {'@': 257}), 2: (1, {'@': 257}), 29: (1, {'@': 257}), 1: (1, {'@': 257}), 30: (1, {'@': 257}), 31: (1, {'@': 257}), 4: (1, {'@': 257}), 32: (1, {'@': 257}), 0: (1, {'@': 257}), 16: (1, {'@': 257}), 33: (1, {'@': 257}), 34: (1, {'@': 257}), 35: (1, {'@': 257}), 36: (1, {'@': 257}), 37: (1, {'@': 257}), 38: (1, {'@': 257}), 39: (1, {'@': 257}), 17: (1, {'@': 257}), 40: (1, {'@': 257}), 41: (1, {'@': 257}), 42: (1, {'@': 257}), 43: (1, {'@': 257}), 44: (1, {'@': 257}), 45: (1, {'@': 257}), 46: (1, {'@': 257}), 47: (1, {'@': 257}), 48: (1, {'@': 257}), 49: (1, {'@': 257}), 50: (1, {'@': 257}), 51: (1, {'@': 257})}, 406: {20: (1, {'@': 258}), 18: (1, {'@': 258}), 21: (1, {'@': 258}), 22: (1, {'@': 258}), 7: (1, {'@': 258}), 23: (1, {'@': 258}), 24: (1, {'@': 258}), 25: (1, {'@': 258}), 26: (1, {'@': 258}), 12: (1, {'@': 258}), 3: (1, {'@': 258}), 27: (1, {'@': 258}), 2: (1, {'@': 258}), 29: (1, {'@': 258}), 1: (1, {'@': 258}), 30: (1, {'@': 258}), 31: (1, {'@': 258}), 4: (1, {'@': 258}), 32: (1, {'@': 258}), 0: (1, {'@': 258}), 16: (1, {'@': 258}), 33: (1, {'@': 258}), 34: (1, {'@': 258}), 35: (1, {'@': 258}), 36: (1, {'@': 258}), 37: (1, {'@': 258}), 38: (1, {'@': 258}), 39: (1, {'@': 258}), 17: (1, {'@': 258}), 40: (1, {'@': 258}), 41: (1, {'@': 258}), 42: (1, {'@': 258}), 43: (1, {'@': 258}), 44: (1, {'@': 258}), 45: (1, {'@': 258}), 46: (1, {'@': 258}), 47: (1, {'@': 258}), 48: (1, {'@': 258}), 49: (1, {'@': 258}), 50: (1, {'@': 258}), 51: (1, {'@': 258})}, 407: {24: (0, 451)}, 408: {20: (1, {'@': 259}), 18: (1, {'@': 259}), 21: (1, {'@': 259}), 22: (1, {'@': 259}), 7: (1, {'@': 259}), 23: (1, {'@': 259}), 24: (1, {'@': 259}), 25: (1, {'@': 259}), 26: (1, {'@': 259}), 12: (1, {'@': 259}), 3: (1, {'@': 259}), 27: (1, {'@': 259}), 2: (1, {'@': 259}), 29: (1, {'@': 259}), 1: (1, {'@': 259}), 30: (1, {'@': 259}), 31: (1, {'@': 259}), 4: (1, {'@': 259}), 32: (1, {'@': 259}), 0: (1, {'@': 259}), 16: (1, {'@': 259}), 33: (1, {'@': 259}), 34: (1, {'@': 259}), 35: (1, {'@': 259}), 36: (1, {'@': 259}), 37: (1, {'@': 259}), 38: (1, {'@': 259}), 39: (1, {'@': 259}), 17: (1, {'@': 259}), 40: (1, {'@': 259}), 41: (1, {'@': 259}), 42: (1, {'@': 259}), 43: (1, {'@': 259}), 44: (1, {'@': 259}), 45: (1, {'@': 259}), 46: (1, {'@': 259}), 47: (1, {'@': 259}), 48: (1, {'@': 259}), 49: (1, {'@': 259}), 50: (1, {'@': 259}), 51: (1, {'@': 259})}, 409: {20: (1, {'@': 260}), 18: (1, {'@': 260}), 21: (1, {'@': 260}), 22: (1, {'@': 260}), 7: (1, {'@': 260}), 23: (1, {'@': 260}), 24: (1, {'@': 260}), 25: (1, {'@': 260}), 26: (1, {'@': 260}), 12: (1, {'@': 260}), 3: (1, {'@': 260}), 27: (1, {'@': 260}), 2: (1, {'@': 260}), 29: (1, {'@': 260}), 1: (1, {'@': 260}), 30: (1, {'@': 260}), 31: (1, {'@': 260}), 4: (1, {'@': 260}), 32: (1, {'@': 260}), 0: (1, {'@': 260}), 16: (1, {'@': 260}), 33: (1, {'@': 260}), 34: (1, {'@': 260}), 35: (1, {'@': 260}), 36: (1, {'@': 260}), 37: (1, {'@': 260}), 38: (1, {'@': 260}), 39: (1, {'@': 260}), 17: (1, {'@': 260}), 40: (1, {'@': 260}), 41: (1, {'@': 260}), 42: (1, {'@': 260}), 43: (1, {'@': 260}), 44: (1, {'@': 260}), 45: (1, {'@': 260}), 46: (1, {'@': 260}), 47: (1, {'@': 260}), 48: (1, {'@': 260}), 49: (1, {'@': 260}), 50: (1, {'@': 260}), 51: (1, {'@': 260})}, 410: {20: (1, {'@': 261}), 18: (1, {'@': 261}), 21: (1, {'@': 261}), 22: (1, {'@': 261}), 7: (1, {'@': 261}), 23: (1, {'@': 261}), 24: (1, {'@': 261}), 25: (1, {'@': 261}), 26: (1, {'@': 261}), 12: (1, {'@': 261}), 3: (1, {'@': 261}), 27: (1, {'@': 261}), 2: (1, {'@': 261}), 29: (1, {'@': 261}), 1: (1, {'@': 261}), 30: (1, {'@': 261}), 31: (1, {'@': 261}), 4: (1, {'@': 261}), 32: (1, {'@': 261}), 0: (1, {'@': 261}), 16: (1, {'@': 261}), 33: (1, {'@': 261}), 34: (1, {'@': 261}), 35: (1, {'@': 261}), 36: (1, {'@': 261}), 37: (1, {'@': 261}), 38: (1, {'@': 261}), 39: (1, {'@': 261}), 17: (1, {'@': 261}), 40: (1, {'@': 261}), 41: (1, {'@': 261}), 42: (1, {'@': 261}), 43: (1, {'@': 261}), 44: (1, {'@': 261}), 45: (1, {'@': 261}), 46: (1, {'@': 261}), 47: (1, {'@': 261}), 48: (1, {'@': 261}), 49: (1, {'@': 261}), 50: (1, {'@': 261}), 51: (1, {'@': 261})}, 411: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 53: (0, 404), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 412: {1: (0, 11), 9: (0, 5), 4: (0, 452), 0: (0, 7), 3: (0, 13), 8: (0, 453)}, 413: {1: (0, 11), 9: (0, 5), 89: (0, 454), 25: (0, 215), 8: (0, 455), 4: (0, 456), 0: (0, 7), 3: (0, 13)}, 414: {20: (1, {'@': 262}), 18: (1, {'@': 262}), 21: (1, {'@': 262}), 22: (1, {'@': 262}), 7: (1, {'@': 262}), 23: (1, {'@': 262}), 24: (1, {'@': 262}), 25: (1, {'@': 262}), 26: (1, {'@': 262}), 12: (1, {'@': 262}), 3: (1, {'@': 262}), 27: (1, {'@': 262}), 2: (1, {'@': 262}), 29: (1, {'@': 262}), 1: (1, {'@': 262}), 30: (1, {'@': 262}), 31: (1, {'@': 262}), 4: (1, {'@': 262}), 32: (1, {'@': 262}), 0: (1, {'@': 262}), 16: (1, {'@': 262}), 33: (1, {'@': 262}), 34: (1, {'@': 262}), 35: (1, {'@': 262}), 36: (1, {'@': 262}), 37: (1, {'@': 262}), 38: (1, {'@': 262}), 39: (1, {'@': 262}), 17: (1, {'@': 262}), 40: (1, {'@': 262}), 41: (1, {'@': 262}), 42: (1, {'@': 262}), 43: (1, {'@': 262}), 44: (1, {'@': 262}), 45: (1, {'@': 262}), 46: (1, {'@': 262}), 47: (1, {'@': 262}), 48: (1, {'@': 262}), 49: (1, {'@': 262}), 50: (1, {'@': 262}), 51: (1, {'@': 262})}, 415: {4: (0, 457)}, 416: {20: (1, {'@': 263}), 18: (1, {'@': 263}), 21: (1, {'@': 263}), 22: (1, {'@': 263}), 7: (1, {'@': 263}), 23: (1, {'@': 263}), 24: (1, {'@': 263}), 25: (1, {'@': 263}), 26: (1, {'@': 263}), 12: (1, {'@': 263}), 3: (1, {'@': 263}), 27: (1, {'@': 263}), 2: (1, {'@': 263}), 29: (1, {'@': 263}), 1: (1, {'@': 263}), 30: (1, {'@': 263}), 31: (1, {'@': 263}), 4: (1, {'@': 263}), 32: (1, {'@': 263}), 0: (1, {'@': 263}), 16: (1, {'@': 263}), 33: (1, {'@': 263}), 34: (1, {'@': 263}), 35: (1, {'@': 263}), 36: (1, {'@': 263}), 37: (1, {'@': 263}), 38: (1, {'@': 263}), 39: (1, {'@': 263}), 17: (1, {'@': 263}), 40: (1, {'@': 263}), 41: (1, {'@': 263}), 42: (1, {'@': 263}), 43: (1, {'@': 263}), 44: (1, {'@': 263}), 45: (1, {'@': 263}), 46: (1, {'@': 263}), 47: (1, {'@': 263}), 48: (1, {'@': 263}), 49: (1, {'@': 263}), 50: (1, {'@': 263}), 51: (1, {'@': 263})}, 417: {4: (0, 458)}, 418: {20: (1, {'@': 264}), 18: (1, {'@': 264}), 21: (1, {'@': 264}), 22: (1, {'@': 264}), 7: (1, {'@': 264}), 23: (1, {'@': 264}), 24: (1, {'@': 264}), 25: (1, {'@': 264}), 26: (1, {'@': 264}), 12: (1, {'@': 264}), 3: (1, {'@': 264}), 27: (1, {'@': 264}), 2: (1, {'@': 264}), 29: (1, {'@': 264}), 1: (1, {'@': 264}), 30: (1, {'@': 264}), 31: (1, {'@': 264}), 4: (1, {'@': 264}), 32: (1, {'@': 264}), 0: (1, {'@': 264}), 16: (1, {'@': 264}), 33: (1, {'@': 264}), 34: (1, {'@': 264}), 35: (1, {'@': 264}), 36: (1, {'@': 264}), 37: (1, {'@': 264}), 38: (1, {'@': 264}), 39: (1, {'@': 264}), 17: (1, {'@': 264}), 40: (1, {'@': 264}), 41: (1, {'@': 264}), 42: (1, {'@': 264}), 43: (1, {'@': 264}), 44: (1, {'@': 264}), 45: (1, {'@': 264}), 46: (1, {'@': 264}), 47: (1, {'@': 264}), 48: (1, {'@': 264}), 49: (1, {'@': 264}), 50: (1, {'@': 264}), 51: (1, {'@': 264})}, 419: {1: (0, 11), 4: (0, 459), 9: (0, 5), 0: (0, 7), 8: (0, 460), 3: (0, 13)}, 420: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 461), 26: (0, 44), 9: (0, 5), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 8: (0, 462), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 421: {50: (0, 80), 77: (0, 81), 41: (0, 82), 45: (0, 463), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 422: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 53: (0, 464), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 423: {26: (1, {'@': 265}), 46: (1, {'@': 265}), 0: (0, 7), 20: (1, {'@': 265}), 47: (1, {'@': 265}), 16: (1, {'@': 265}), 12: (1, {'@': 265}), 3: (0, 13), 21: (1, {'@': 265}), 36: (1, {'@': 265}), 29: (1, {'@': 265}), 17: (1, {'@': 265}), 7: (1, {'@': 265}), 23: (1, {'@': 265}), 1: (0, 11), 30: (1, {'@': 265}), 9: (0, 5), 8: (0, 465)}, 424: {45: (0, 466), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 33: (0, 94), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 22: (0, 95), 44: (0, 96)}, 425: {26: (1, {'@': 266}), 46: (1, {'@': 266}), 0: (1, {'@': 266}), 20: (1, {'@': 266}), 47: (1, {'@': 266}), 16: (1, {'@': 266}), 12: (1, {'@': 266}), 3: (1, {'@': 266}), 21: (1, {'@': 266}), 36: (1, {'@': 266}), 29: (1, {'@': 266}), 17: (1, {'@': 266}), 7: (1, {'@': 266}), 23: (1, {'@': 266}), 1: (1, {'@': 266}), 30: (1, {'@': 266})}, 426: {26: (1, {'@': 267}), 46: (1, {'@': 267}), 0: (1, {'@': 267}), 20: (1, {'@': 267}), 47: (1, {'@': 267}), 16: (1, {'@': 267}), 12: (1, {'@': 267}), 3: (1, {'@': 267}), 21: (1, {'@': 267}), 36: (1, {'@': 267}), 29: (1, {'@': 267}), 17: (1, {'@': 267}), 7: (1, {'@': 267}), 23: (1, {'@': 267}), 1: (1, {'@': 267}), 30: (1, {'@': 267})}, 427: {26: (1, {'@': 268}), 46: (1, {'@': 268}), 0: (0, 7), 20: (1, {'@': 268}), 47: (1, {'@': 268}), 16: (1, {'@': 268}), 12: (1, {'@': 268}), 3: (0, 13), 21: (1, {'@': 268}), 36: (1, {'@': 268}), 29: (1, {'@': 268}), 17: (1, {'@': 268}), 7: (1, {'@': 268}), 23: (1, {'@': 268}), 1: (0, 11), 30: (1, {'@': 268}), 8: (0, 467), 9: (0, 5)}, 428: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 45: (0, 468), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 429: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 469), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 430: {16: (0, 31), 20: (0, 33), 54: (0, 34), 53: (0, 470), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 8: (0, 471), 26: (0, 44), 9: (0, 5), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 431: {28: (0, 472)}, 432: {26: (1, {'@': 269}), 46: (1, {'@': 269}), 0: (0, 7), 20: (1, {'@': 269}), 47: (1, {'@': 269}), 16: (1, {'@': 269}), 12: (1, {'@': 269}), 3: (0, 13), 21: (1, {'@': 269}), 36: (1, {'@': 269}), 29: (1, {'@': 269}), 17: (1, {'@': 269}), 7: (1, {'@': 269}), 23: (1, {'@': 269}), 1: (0, 11), 30: (1, {'@': 269}), 9: (0, 5), 8: (0, 473)}, 433: {45: (0, 474), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 434: {26: (1, {'@': 270}), 46: (1, {'@': 270}), 0: (1, {'@': 270}), 20: (1, {'@': 270}), 47: (1, {'@': 270}), 16: (1, {'@': 270}), 12: (1, {'@': 270}), 3: (1, {'@': 270}), 21: (1, {'@': 270}), 36: (1, {'@': 270}), 29: (1, {'@': 270}), 17: (1, {'@': 270}), 7: (1, {'@': 270}), 23: (1, {'@': 270}), 1: (1, {'@': 270}), 30: (1, {'@': 270})}, 435: {26: (1, {'@': 271}), 46: (1, {'@': 271}), 0: (0, 7), 20: (1, {'@': 271}), 47: (1, {'@': 271}), 16: (1, {'@': 271}), 12: (1, {'@': 271}), 3: (0, 13), 21: (1, {'@': 271}), 36: (1, {'@': 271}), 29: (1, {'@': 271}), 17: (1, {'@': 271}), 7: (1, {'@': 271}), 23: (1, {'@': 271}), 1: (0, 11), 30: (1, {'@': 271}), 9: (0, 5), 8: (0, 475)}, 436: {4: (0, 476)}, 437: {20: (1, {'@': 272}), 18: (1, {'@': 272}), 21: (1, {'@': 272}), 22: (1, {'@': 272}), 7: (1, {'@': 272}), 23: (1, {'@': 272}), 24: (1, {'@': 272}), 25: (1, {'@': 272}), 26: (1, {'@': 272}), 12: (1, {'@': 272}), 3: (1, {'@': 272}), 27: (1, {'@': 272}), 2: (1, {'@': 272}), 29: (1, {'@': 272}), 1: (1, {'@': 272}), 30: (1, {'@': 272}), 31: (1, {'@': 272}), 4: (1, {'@': 272}), 32: (1, {'@': 272}), 0: (1, {'@': 272}), 16: (1, {'@': 272}), 33: (1, {'@': 272}), 34: (1, {'@': 272}), 35: (1, {'@': 272}), 36: (1, {'@': 272}), 37: (1, {'@': 272}), 38: (1, {'@': 272}), 39: (1, {'@': 272}), 17: (1, {'@': 272}), 40: (1, {'@': 272}), 41: (1, {'@': 272}), 42: (1, {'@': 272}), 43: (1, {'@': 272}), 44: (1, {'@': 272}), 45: (1, {'@': 272}), 46: (1, {'@': 272}), 47: (1, {'@': 272}), 48: (1, {'@': 272}), 49: (1, {'@': 272}), 50: (1, {'@': 272}), 51: (1, {'@': 272})}, 438: {20: (1, {'@': 273}), 18: (1, {'@': 273}), 21: (1, {'@': 273}), 22: (1, {'@': 273}), 7: (1, {'@': 273}), 23: (1, {'@': 273}), 24: (1, {'@': 273}), 25: (1, {'@': 273}), 26: (1, {'@': 273}), 12: (1, {'@': 273}), 3: (1, {'@': 273}), 27: (1, {'@': 273}), 2: (1, {'@': 273}), 29: (1, {'@': 273}), 1: (1, {'@': 273}), 30: (1, {'@': 273}), 31: (1, {'@': 273}), 4: (1, {'@': 273}), 32: (1, {'@': 273}), 0: (1, {'@': 273}), 16: (1, {'@': 273}), 33: (1, {'@': 273}), 34: (1, {'@': 273}), 35: (1, {'@': 273}), 36: (1, {'@': 273}), 37: (1, {'@': 273}), 38: (1, {'@': 273}), 39: (1, {'@': 273}), 17: (1, {'@': 273}), 40: (1, {'@': 273}), 41: (1, {'@': 273}), 42: (1, {'@': 273}), 43: (1, {'@': 273}), 44: (1, {'@': 273}), 45: (1, {'@': 273}), 46: (1, {'@': 273}), 47: (1, {'@': 273}), 48: (1, {'@': 273}), 49: (1, {'@': 273}), 50: (1, {'@': 273}), 51: (1, {'@': 273})}, 439: {20: (1, {'@': 274}), 18: (1, {'@': 274}), 21: (1, {'@': 274}), 22: (1, {'@': 274}), 7: (1, {'@': 274}), 23: (1, {'@': 274}), 24: (1, {'@': 274}), 25: (1, {'@': 274}), 26: (1, {'@': 274}), 12: (1, {'@': 274}), 3: (1, {'@': 274}), 27: (1, {'@': 274}), 2: (1, {'@': 274}), 29: (1, {'@': 274}), 1: (1, {'@': 274}), 30: (1, {'@': 274}), 31: (1, {'@': 274}), 4: (1, {'@': 274}), 32: (1, {'@': 274}), 0: (1, {'@': 274}), 16: (1, {'@': 274}), 33: (1, {'@': 274}), 34: (1, {'@': 274}), 35: (1, {'@': 274}), 36: (1, {'@': 274}), 37: (1, {'@': 274}), 38: (1, {'@': 274}), 39: (1, {'@': 274}), 17: (1, {'@': 274}), 40: (1, {'@': 274}), 41: (1, {'@': 274}), 42: (1, {'@': 274}), 43: (1, {'@': 274}), 44: (1, {'@': 274}), 45: (1, {'@': 274}), 46: (1, {'@': 274}), 47: (1, {'@': 274}), 48: (1, {'@': 274}), 49: (1, {'@': 274}), 50: (1, {'@': 274}), 51: (1, {'@': 274})}, 440: {4: (0, 477)}, 441: {1: (0, 11), 9: (0, 5), 8: (0, 478), 0: (0, 7), 3: (0, 13), 4: (0, 479)}, 442: {4: (0, 480)}, 443: {20: (1, {'@': 275}), 18: (1, {'@': 275}), 21: (1, {'@': 275}), 22: (1, {'@': 275}), 7: (1, {'@': 275}), 23: (1, {'@': 275}), 24: (1, {'@': 275}), 25: (1, {'@': 275}), 26: (1, {'@': 275}), 12: (1, {'@': 275}), 3: (1, {'@': 275}), 27: (1, {'@': 275}), 2: (1, {'@': 275}), 29: (1, {'@': 275}), 1: (1, {'@': 275}), 30: (1, {'@': 275}), 31: (1, {'@': 275}), 4: (1, {'@': 275}), 32: (1, {'@': 275}), 0: (1, {'@': 275}), 16: (1, {'@': 275}), 33: (1, {'@': 275}), 34: (1, {'@': 275}), 35: (1, {'@': 275}), 36: (1, {'@': 275}), 37: (1, {'@': 275}), 38: (1, {'@': 275}), 39: (1, {'@': 275}), 17: (1, {'@': 275}), 40: (1, {'@': 275}), 41: (1, {'@': 275}), 42: (1, {'@': 275}), 43: (1, {'@': 275}), 44: (1, {'@': 275}), 45: (1, {'@': 275}), 46: (1, {'@': 275}), 47: (1, {'@': 275}), 48: (1, {'@': 275}), 49: (1, {'@': 275}), 50: (1, {'@': 275}), 51: (1, {'@': 275})}, 444: {20: (1, {'@': 276}), 18: (1, {'@': 276}), 21: (1, {'@': 276}), 22: (1, {'@': 276}), 7: (1, {'@': 276}), 23: (1, {'@': 276}), 24: (1, {'@': 276}), 25: (1, {'@': 276}), 26: (1, {'@': 276}), 12: (1, {'@': 276}), 3: (1, {'@': 276}), 27: (1, {'@': 276}), 2: (1, {'@': 276}), 29: (1, {'@': 276}), 1: (1, {'@': 276}), 30: (1, {'@': 276}), 31: (1, {'@': 276}), 4: (1, {'@': 276}), 32: (1, {'@': 276}), 0: (1, {'@': 276}), 16: (1, {'@': 276}), 33: (1, {'@': 276}), 34: (1, {'@': 276}), 35: (1, {'@': 276}), 36: (1, {'@': 276}), 37: (1, {'@': 276}), 38: (1, {'@': 276}), 39: (1, {'@': 276}), 17: (1, {'@': 276}), 40: (1, {'@': 276}), 41: (1, {'@': 276}), 42: (1, {'@': 276}), 43: (1, {'@': 276}), 44: (1, {'@': 276}), 45: (1, {'@': 276}), 46: (1, {'@': 276}), 47: (1, {'@': 276}), 48: (1, {'@': 276}), 49: (1, {'@': 276}), 50: (1, {'@': 276}), 51: (1, {'@': 276})}, 445: {20: (1, {'@': 277}), 18: (1, {'@': 277}), 21: (1, {'@': 277}), 22: (1, {'@': 277}), 7: (1, {'@': 277}), 23: (1, {'@': 277}), 24: (1, {'@': 277}), 25: (1, {'@': 277}), 26: (1, {'@': 277}), 12: (1, {'@': 277}), 3: (1, {'@': 277}), 27: (1, {'@': 277}), 2: (1, {'@': 277}), 29: (1, {'@': 277}), 1: (1, {'@': 277}), 30: (1, {'@': 277}), 31: (1, {'@': 277}), 4: (1, {'@': 277}), 32: (1, {'@': 277}), 0: (1, {'@': 277}), 16: (1, {'@': 277}), 33: (1, {'@': 277}), 34: (1, {'@': 277}), 35: (1, {'@': 277}), 36: (1, {'@': 277}), 37: (1, {'@': 277}), 38: (1, {'@': 277}), 39: (1, {'@': 277}), 17: (1, {'@': 277}), 40: (1, {'@': 277}), 41: (1, {'@': 277}), 42: (1, {'@': 277}), 43: (1, {'@': 277}), 44: (1, {'@': 277}), 45: (1, {'@': 277}), 46: (1, {'@': 277}), 47: (1, {'@': 277}), 48: (1, {'@': 277}), 49: (1, {'@': 277}), 50: (1, {'@': 277}), 51: (1, {'@': 277})}, 446: {20: (1, {'@': 278}), 18: (1, {'@': 278}), 21: (1, {'@': 278}), 22: (1, {'@': 278}), 7: (1, {'@': 278}), 23: (1, {'@': 278}), 24: (1, {'@': 278}), 25: (1, {'@': 278}), 26: (1, {'@': 278}), 12: (1, {'@': 278}), 3: (1, {'@': 278}), 27: (1, {'@': 278}), 2: (1, {'@': 278}), 29: (1, {'@': 278}), 1: (1, {'@': 278}), 30: (1, {'@': 278}), 31: (1, {'@': 278}), 4: (1, {'@': 278}), 32: (1, {'@': 278}), 0: (1, {'@': 278}), 16: (1, {'@': 278}), 33: (1, {'@': 278}), 34: (1, {'@': 278}), 35: (1, {'@': 278}), 36: (1, {'@': 278}), 37: (1, {'@': 278}), 38: (1, {'@': 278}), 39: (1, {'@': 278}), 17: (1, {'@': 278}), 40: (1, {'@': 278}), 41: (1, {'@': 278}), 42: (1, {'@': 278}), 43: (1, {'@': 278}), 44: (1, {'@': 278}), 45: (1, {'@': 278}), 46: (1, {'@': 278}), 47: (1, {'@': 278}), 48: (1, {'@': 278}), 49: (1, {'@': 278}), 50: (1, {'@': 278}), 51: (1, {'@': 278})}, 447: {24: (0, 481)}, 448: {20: (1, {'@': 279}), 18: (1, {'@': 279}), 21: (1, {'@': 279}), 22: (1, {'@': 279}), 7: (1, {'@': 279}), 23: (1, {'@': 279}), 24: (1, {'@': 279}), 25: (1, {'@': 279}), 26: (1, {'@': 279}), 12: (1, {'@': 279}), 3: (1, {'@': 279}), 27: (1, {'@': 279}), 2: (1, {'@': 279}), 29: (1, {'@': 279}), 1: (1, {'@': 279}), 30: (1, {'@': 279}), 31: (1, {'@': 279}), 4: (1, {'@': 279}), 32: (1, {'@': 279}), 0: (1, {'@': 279}), 16: (1, {'@': 279}), 33: (1, {'@': 279}), 34: (1, {'@': 279}), 35: (1, {'@': 279}), 36: (1, {'@': 279}), 37: (1, {'@': 279}), 38: (1, {'@': 279}), 39: (1, {'@': 279}), 17: (1, {'@': 279}), 40: (1, {'@': 279}), 41: (1, {'@': 279}), 42: (1, {'@': 279}), 43: (1, {'@': 279}), 44: (1, {'@': 279}), 45: (1, {'@': 279}), 46: (1, {'@': 279}), 47: (1, {'@': 279}), 48: (1, {'@': 279}), 49: (1, {'@': 279}), 50: (1, {'@': 279}), 51: (1, {'@': 279})}, 449: {20: (1, {'@': 280}), 18: (1, {'@': 280}), 21: (1, {'@': 280}), 22: (1, {'@': 280}), 7: (1, {'@': 280}), 23: (1, {'@': 280}), 24: (1, {'@': 280}), 25: (1, {'@': 280}), 26: (1, {'@': 280}), 12: (1, {'@': 280}), 3: (1, {'@': 280}), 27: (1, {'@': 280}), 2: (1, {'@': 280}), 29: (1, {'@': 280}), 1: (1, {'@': 280}), 30: (1, {'@': 280}), 31: (1, {'@': 280}), 4: (1, {'@': 280}), 32: (1, {'@': 280}), 0: (1, {'@': 280}), 16: (1, {'@': 280}), 33: (1, {'@': 280}), 34: (1, {'@': 280}), 35: (1, {'@': 280}), 36: (1, {'@': 280}), 37: (1, {'@': 280}), 38: (1, {'@': 280}), 39: (1, {'@': 280}), 17: (1, {'@': 280}), 40: (1, {'@': 280}), 41: (1, {'@': 280}), 42: (1, {'@': 280}), 43: (1, {'@': 280}), 44: (1, {'@': 280}), 45: (1, {'@': 280}), 46: (1, {'@': 280}), 47: (1, {'@': 280}), 48: (1, {'@': 280}), 49: (1, {'@': 280}), 50: (1, {'@': 280}), 51: (1, {'@': 280})}, 450: {20: (1, {'@': 281}), 18: (1, {'@': 281}), 21: (1, {'@': 281}), 22: (1, {'@': 281}), 7: (1, {'@': 281}), 23: (1, {'@': 281}), 24: (1, {'@': 281}), 25: (1, {'@': 281}), 26: (1, {'@': 281}), 12: (1, {'@': 281}), 3: (1, {'@': 281}), 27: (1, {'@': 281}), 2: (1, {'@': 281}), 29: (1, {'@': 281}), 1: (1, {'@': 281}), 30: (1, {'@': 281}), 31: (1, {'@': 281}), 4: (1, {'@': 281}), 32: (1, {'@': 281}), 0: (1, {'@': 281}), 16: (1, {'@': 281}), 33: (1, {'@': 281}), 34: (1, {'@': 281}), 35: (1, {'@': 281}), 36: (1, {'@': 281}), 37: (1, {'@': 281}), 38: (1, {'@': 281}), 39: (1, {'@': 281}), 17: (1, {'@': 281}), 40: (1, {'@': 281}), 41: (1, {'@': 281}), 42: (1, {'@': 281}), 43: (1, {'@': 281}), 44: (1, {'@': 281}), 45: (1, {'@': 281}), 46: (1, {'@': 281}), 47: (1, {'@': 281}), 48: (1, {'@': 281}), 49: (1, {'@': 281}), 50: (1, {'@': 281}), 51: (1, {'@': 281})}, 451: {20: (1, {'@': 282}), 18: (1, {'@': 282}), 21: (1, {'@': 282}), 22: (1, {'@': 282}), 7: (1, {'@': 282}), 23: (1, {'@': 282}), 24: (1, {'@': 282}), 25: (1, {'@': 282}), 26: (1, {'@': 282}), 12: (1, {'@': 282}), 3: (1, {'@': 282}), 27: (1, {'@': 282}), 2: (1, {'@': 282}), 29: (1, {'@': 282}), 1: (1, {'@': 282}), 30: (1, {'@': 282}), 31: (1, {'@': 282}), 4: (1, {'@': 282}), 32: (1, {'@': 282}), 0: (1, {'@': 282}), 16: (1, {'@': 282}), 33: (1, {'@': 282}), 34: (1, {'@': 282}), 35: (1, {'@': 282}), 36: (1, {'@': 282}), 37: (1, {'@': 282}), 38: (1, {'@': 282}), 39: (1, {'@': 282}), 17: (1, {'@': 282}), 40: (1, {'@': 282}), 41: (1, {'@': 282}), 42: (1, {'@': 282}), 43: (1, {'@': 282}), 44: (1, {'@': 282}), 45: (1, {'@': 282}), 46: (1, {'@': 282}), 47: (1, {'@': 282}), 48: (1, {'@': 282}), 49: (1, {'@': 282}), 50: (1, {'@': 282}), 51: (1, {'@': 282})}, 452: {20: (1, {'@': 283}), 18: (1, {'@': 283}), 21: (1, {'@': 283}), 22: (1, {'@': 283}), 7: (1, {'@': 283}), 23: (1, {'@': 283}), 24: (1, {'@': 283}), 25: (1, {'@': 283}), 26: (1, {'@': 283}), 12: (1, {'@': 283}), 3: (1, {'@': 283}), 27: (1, {'@': 283}), 2: (1, {'@': 283}), 29: (1, {'@': 283}), 1: (1, {'@': 283}), 30: (1, {'@': 283}), 31: (1, {'@': 283}), 4: (1, {'@': 283}), 32: (1, {'@': 283}), 0: (1, {'@': 283}), 16: (1, {'@': 283}), 33: (1, {'@': 283}), 34: (1, {'@': 283}), 35: (1, {'@': 283}), 36: (1, {'@': 283}), 37: (1, {'@': 283}), 38: (1, {'@': 283}), 39: (1, {'@': 283}), 17: (1, {'@': 283}), 40: (1, {'@': 283}), 41: (1, {'@': 283}), 42: (1, {'@': 283}), 43: (1, {'@': 283}), 44: (1, {'@': 283}), 45: (1, {'@': 283}), 46: (1, {'@': 283}), 47: (1, {'@': 283}), 48: (1, {'@': 283}), 49: (1, {'@': 283}), 50: (1, {'@': 283}), 51: (1, {'@': 283})}, 453: {4: (0, 482)}, 454: {1: (0, 11), 9: (0, 5), 0: (0, 7), 3: (0, 13), 8: (0, 483), 4: (0, 484)}, 455: {4: (0, 485)}, 456: {20: (1, {'@': 284}), 18: (1, {'@': 284}), 21: (1, {'@': 284}), 22: (1, {'@': 284}), 7: (1, {'@': 284}), 23: (1, {'@': 284}), 24: (1, {'@': 284}), 25: (1, {'@': 284}), 26: (1, {'@': 284}), 12: (1, {'@': 284}), 3: (1, {'@': 284}), 27: (1, {'@': 284}), 2: (1, {'@': 284}), 29: (1, {'@': 284}), 1: (1, {'@': 284}), 30: (1, {'@': 284}), 31: (1, {'@': 284}), 4: (1, {'@': 284}), 32: (1, {'@': 284}), 0: (1, {'@': 284}), 16: (1, {'@': 284}), 33: (1, {'@': 284}), 34: (1, {'@': 284}), 35: (1, {'@': 284}), 36: (1, {'@': 284}), 37: (1, {'@': 284}), 38: (1, {'@': 284}), 39: (1, {'@': 284}), 17: (1, {'@': 284}), 40: (1, {'@': 284}), 41: (1, {'@': 284}), 42: (1, {'@': 284}), 43: (1, {'@': 284}), 44: (1, {'@': 284}), 45: (1, {'@': 284}), 46: (1, {'@': 284}), 47: (1, {'@': 284}), 48: (1, {'@': 284}), 49: (1, {'@': 284}), 50: (1, {'@': 284}), 51: (1, {'@': 284})}, 457: {20: (1, {'@': 285}), 18: (1, {'@': 285}), 21: (1, {'@': 285}), 22: (1, {'@': 285}), 7: (1, {'@': 285}), 23: (1, {'@': 285}), 24: (1, {'@': 285}), 25: (1, {'@': 285}), 26: (1, {'@': 285}), 12: (1, {'@': 285}), 3: (1, {'@': 285}), 27: (1, {'@': 285}), 2: (1, {'@': 285}), 29: (1, {'@': 285}), 1: (1, {'@': 285}), 30: (1, {'@': 285}), 31: (1, {'@': 285}), 4: (1, {'@': 285}), 32: (1, {'@': 285}), 0: (1, {'@': 285}), 16: (1, {'@': 285}), 33: (1, {'@': 285}), 34: (1, {'@': 285}), 35: (1, {'@': 285}), 36: (1, {'@': 285}), 37: (1, {'@': 285}), 38: (1, {'@': 285}), 39: (1, {'@': 285}), 17: (1, {'@': 285}), 40: (1, {'@': 285}), 41: (1, {'@': 285}), 42: (1, {'@': 285}), 43: (1, {'@': 285}), 44: (1, {'@': 285}), 45: (1, {'@': 285}), 46: (1, {'@': 285}), 47: (1, {'@': 285}), 48: (1, {'@': 285}), 49: (1, {'@': 285}), 50: (1, {'@': 285}), 51: (1, {'@': 285})}, 458: {20: (1, {'@': 286}), 18: (1, {'@': 286}), 21: (1, {'@': 286}), 22: (1, {'@': 286}), 7: (1, {'@': 286}), 23: (1, {'@': 286}), 24: (1, {'@': 286}), 25: (1, {'@': 286}), 26: (1, {'@': 286}), 12: (1, {'@': 286}), 3: (1, {'@': 286}), 27: (1, {'@': 286}), 2: (1, {'@': 286}), 29: (1, {'@': 286}), 1: (1, {'@': 286}), 30: (1, {'@': 286}), 31: (1, {'@': 286}), 4: (1, {'@': 286}), 32: (1, {'@': 286}), 0: (1, {'@': 286}), 16: (1, {'@': 286}), 33: (1, {'@': 286}), 34: (1, {'@': 286}), 35: (1, {'@': 286}), 36: (1, {'@': 286}), 37: (1, {'@': 286}), 38: (1, {'@': 286}), 39: (1, {'@': 286}), 17: (1, {'@': 286}), 40: (1, {'@': 286}), 41: (1, {'@': 286}), 42: (1, {'@': 286}), 43: (1, {'@': 286}), 44: (1, {'@': 286}), 45: (1, {'@': 286}), 46: (1, {'@': 286}), 47: (1, {'@': 286}), 48: (1, {'@': 286}), 49: (1, {'@': 286}), 50: (1, {'@': 286}), 51: (1, {'@': 286})}, 459: {20: (1, {'@': 287}), 18: (1, {'@': 287}), 21: (1, {'@': 287}), 22: (1, {'@': 287}), 7: (1, {'@': 287}), 23: (1, {'@': 287}), 24: (1, {'@': 287}), 25: (1, {'@': 287}), 26: (1, {'@': 287}), 12: (1, {'@': 287}), 3: (1, {'@': 287}), 27: (1, {'@': 287}), 2: (1, {'@': 287}), 29: (1, {'@': 287}), 1: (1, {'@': 287}), 30: (1, {'@': 287}), 31: (1, {'@': 287}), 4: (1, {'@': 287}), 32: (1, {'@': 287}), 0: (1, {'@': 287}), 16: (1, {'@': 287}), 33: (1, {'@': 287}), 34: (1, {'@': 287}), 35: (1, {'@': 287}), 36: (1, {'@': 287}), 37: (1, {'@': 287}), 38: (1, {'@': 287}), 39: (1, {'@': 287}), 17: (1, {'@': 287}), 40: (1, {'@': 287}), 41: (1, {'@': 287}), 42: (1, {'@': 287}), 43: (1, {'@': 287}), 44: (1, {'@': 287}), 45: (1, {'@': 287}), 46: (1, {'@': 287}), 47: (1, {'@': 287}), 48: (1, {'@': 287}), 49: (1, {'@': 287}), 50: (1, {'@': 287}), 51: (1, {'@': 287})}, 460: {4: (0, 486)}, 461: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 45: (0, 487), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 462: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 488), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 463: {26: (1, {'@': 288}), 46: (1, {'@': 288}), 0: (0, 7), 20: (1, {'@': 288}), 47: (1, {'@': 288}), 16: (1, {'@': 288}), 12: (1, {'@': 288}), 3: (0, 13), 21: (1, {'@': 288}), 36: (1, {'@': 288}), 29: (1, {'@': 288}), 17: (1, {'@': 288}), 7: (1, {'@': 288}), 23: (1, {'@': 288}), 1: (0, 11), 30: (1, {'@': 288}), 9: (0, 5), 8: (0, 489)}, 464: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 45: (0, 490), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 465: {26: (1, {'@': 289}), 46: (1, {'@': 289}), 0: (1, {'@': 289}), 20: (1, {'@': 289}), 47: (1, {'@': 289}), 16: (1, {'@': 289}), 12: (1, {'@': 289}), 3: (1, {'@': 289}), 21: (1, {'@': 289}), 36: (1, {'@': 289}), 29: (1, {'@': 289}), 17: (1, {'@': 289}), 7: (1, {'@': 289}), 23: (1, {'@': 289}), 1: (1, {'@': 289}), 30: (1, {'@': 289})}, 466: {26: (1, {'@': 290}), 46: (1, {'@': 290}), 0: (0, 7), 20: (1, {'@': 290}), 47: (1, {'@': 290}), 16: (1, {'@': 290}), 12: (1, {'@': 290}), 3: (0, 13), 21: (1, {'@': 290}), 36: (1, {'@': 290}), 29: (1, {'@': 290}), 17: (1, {'@': 290}), 7: (1, {'@': 290}), 23: (1, {'@': 290}), 1: (0, 11), 30: (1, {'@': 290}), 9: (0, 5), 8: (0, 491)}, 467: {26: (1, {'@': 291}), 46: (1, {'@': 291}), 0: (1, {'@': 291}), 20: (1, {'@': 291}), 47: (1, {'@': 291}), 16: (1, {'@': 291}), 12: (1, {'@': 291}), 3: (1, {'@': 291}), 21: (1, {'@': 291}), 36: (1, {'@': 291}), 29: (1, {'@': 291}), 17: (1, {'@': 291}), 7: (1, {'@': 291}), 23: (1, {'@': 291}), 1: (1, {'@': 291}), 30: (1, {'@': 291})}, 468: {26: (1, {'@': 292}), 46: (1, {'@': 292}), 0: (0, 7), 20: (1, {'@': 292}), 47: (1, {'@': 292}), 16: (1, {'@': 292}), 12: (1, {'@': 292}), 3: (0, 13), 21: (1, {'@': 292}), 36: (1, {'@': 292}), 29: (1, {'@': 292}), 17: (1, {'@': 292}), 7: (1, {'@': 292}), 23: (1, {'@': 292}), 1: (0, 11), 30: (1, {'@': 292}), 8: (0, 492), 9: (0, 5)}, 469: {50: (0, 80), 77: (0, 81), 45: (0, 493), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 470: {50: (0, 80), 77: (0, 81), 45: (0, 494), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 471: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 495), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 472: {16: (0, 31), 20: (0, 33), 8: (0, 496), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 53: (0, 497), 21: (0, 40), 6: (0, 41), 7: (0, 3), 29: (0, 43), 58: (0, 42), 9: (0, 5), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 0: (0, 7), 12: (0, 9), 62: (0, 49), 63: (0, 50), 1: (0, 11), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 3: (0, 13), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 473: {26: (1, {'@': 293}), 46: (1, {'@': 293}), 0: (1, {'@': 293}), 20: (1, {'@': 293}), 47: (1, {'@': 293}), 16: (1, {'@': 293}), 12: (1, {'@': 293}), 3: (1, {'@': 293}), 21: (1, {'@': 293}), 36: (1, {'@': 293}), 29: (1, {'@': 293}), 17: (1, {'@': 293}), 7: (1, {'@': 293}), 23: (1, {'@': 293}), 1: (1, {'@': 293}), 30: (1, {'@': 293})}, 474: {26: (1, {'@': 294}), 46: (1, {'@': 294}), 0: (0, 7), 20: (1, {'@': 294}), 47: (1, {'@': 294}), 16: (1, {'@': 294}), 12: (1, {'@': 294}), 3: (0, 13), 21: (1, {'@': 294}), 36: (1, {'@': 294}), 29: (1, {'@': 294}), 17: (1, {'@': 294}), 7: (1, {'@': 294}), 23: (1, {'@': 294}), 1: (0, 11), 30: (1, {'@': 294}), 9: (0, 5), 8: (0, 498)}, 475: {26: (1, {'@': 295}), 46: (1, {'@': 295}), 0: (1, {'@': 295}), 20: (1, {'@': 295}), 47: (1, {'@': 295}), 16: (1, {'@': 295}), 12: (1, {'@': 295}), 3: (1, {'@': 295}), 21: (1, {'@': 295}), 36: (1, {'@': 295}), 29: (1, {'@': 295}), 17: (1, {'@': 295}), 7: (1, {'@': 295}), 23: (1, {'@': 295}), 1: (1, {'@': 295}), 30: (1, {'@': 295})}, 476: {20: (1, {'@': 296}), 18: (1, {'@': 296}), 21: (1, {'@': 296}), 22: (1, {'@': 296}), 7: (1, {'@': 296}), 23: (1, {'@': 296}), 24: (1, {'@': 296}), 25: (1, {'@': 296}), 26: (1, {'@': 296}), 12: (1, {'@': 296}), 3: (1, {'@': 296}), 27: (1, {'@': 296}), 2: (1, {'@': 296}), 29: (1, {'@': 296}), 1: (1, {'@': 296}), 30: (1, {'@': 296}), 31: (1, {'@': 296}), 4: (1, {'@': 296}), 32: (1, {'@': 296}), 0: (1, {'@': 296}), 16: (1, {'@': 296}), 33: (1, {'@': 296}), 34: (1, {'@': 296}), 35: (1, {'@': 296}), 36: (1, {'@': 296}), 37: (1, {'@': 296}), 38: (1, {'@': 296}), 39: (1, {'@': 296}), 17: (1, {'@': 296}), 40: (1, {'@': 296}), 41: (1, {'@': 296}), 42: (1, {'@': 296}), 43: (1, {'@': 296}), 44: (1, {'@': 296}), 45: (1, {'@': 296}), 46: (1, {'@': 296}), 47: (1, {'@': 296}), 48: (1, {'@': 296}), 49: (1, {'@': 296}), 50: (1, {'@': 296}), 51: (1, {'@': 296})}, 477: {20: (1, {'@': 297}), 18: (1, {'@': 297}), 21: (1, {'@': 297}), 22: (1, {'@': 297}), 7: (1, {'@': 297}), 23: (1, {'@': 297}), 24: (1, {'@': 297}), 25: (1, {'@': 297}), 26: (1, {'@': 297}), 12: (1, {'@': 297}), 3: (1, {'@': 297}), 27: (1, {'@': 297}), 2: (1, {'@': 297}), 29: (1, {'@': 297}), 1: (1, {'@': 297}), 30: (1, {'@': 297}), 31: (1, {'@': 297}), 4: (1, {'@': 297}), 32: (1, {'@': 297}), 0: (1, {'@': 297}), 16: (1, {'@': 297}), 33: (1, {'@': 297}), 34: (1, {'@': 297}), 35: (1, {'@': 297}), 36: (1, {'@': 297}), 37: (1, {'@': 297}), 38: (1, {'@': 297}), 39: (1, {'@': 297}), 17: (1, {'@': 297}), 40: (1, {'@': 297}), 41: (1, {'@': 297}), 42: (1, {'@': 297}), 43: (1, {'@': 297}), 44: (1, {'@': 297}), 45: (1, {'@': 297}), 46: (1, {'@': 297}), 47: (1, {'@': 297}), 48: (1, {'@': 297}), 49: (1, {'@': 297}), 50: (1, {'@': 297}), 51: (1, {'@': 297})}, 478: {4: (0, 499)}, 479: {20: (1, {'@': 298}), 18: (1, {'@': 298}), 21: (1, {'@': 298}), 22: (1, {'@': 298}), 7: (1, {'@': 298}), 23: (1, {'@': 298}), 24: (1, {'@': 298}), 25: (1, {'@': 298}), 26: (1, {'@': 298}), 12: (1, {'@': 298}), 3: (1, {'@': 298}), 27: (1, {'@': 298}), 2: (1, {'@': 298}), 29: (1, {'@': 298}), 1: (1, {'@': 298}), 30: (1, {'@': 298}), 31: (1, {'@': 298}), 4: (1, {'@': 298}), 32: (1, {'@': 298}), 0: (1, {'@': 298}), 16: (1, {'@': 298}), 33: (1, {'@': 298}), 34: (1, {'@': 298}), 35: (1, {'@': 298}), 36: (1, {'@': 298}), 37: (1, {'@': 298}), 38: (1, {'@': 298}), 39: (1, {'@': 298}), 17: (1, {'@': 298}), 40: (1, {'@': 298}), 41: (1, {'@': 298}), 42: (1, {'@': 298}), 43: (1, {'@': 298}), 44: (1, {'@': 298}), 45: (1, {'@': 298}), 46: (1, {'@': 298}), 47: (1, {'@': 298}), 48: (1, {'@': 298}), 49: (1, {'@': 298}), 50: (1, {'@': 298}), 51: (1, {'@': 298})}, 480: {20: (1, {'@': 299}), 18: (1, {'@': 299}), 21: (1, {'@': 299}), 22: (1, {'@': 299}), 7: (1, {'@': 299}), 23: (1, {'@': 299}), 24: (1, {'@': 299}), 25: (1, {'@': 299}), 26: (1, {'@': 299}), 12: (1, {'@': 299}), 3: (1, {'@': 299}), 27: (1, {'@': 299}), 2: (1, {'@': 299}), 29: (1, {'@': 299}), 1: (1, {'@': 299}), 30: (1, {'@': 299}), 31: (1, {'@': 299}), 4: (1, {'@': 299}), 32: (1, {'@': 299}), 0: (1, {'@': 299}), 16: (1, {'@': 299}), 33: (1, {'@': 299}), 34: (1, {'@': 299}), 35: (1, {'@': 299}), 36: (1, {'@': 299}), 37: (1, {'@': 299}), 38: (1, {'@': 299}), 39: (1, {'@': 299}), 17: (1, {'@': 299}), 40: (1, {'@': 299}), 41: (1, {'@': 299}), 42: (1, {'@': 299}), 43: (1, {'@': 299}), 44: (1, {'@': 299}), 45: (1, {'@': 299}), 46: (1, {'@': 299}), 47: (1, {'@': 299}), 48: (1, {'@': 299}), 49: (1, {'@': 299}), 50: (1, {'@': 299}), 51: (1, {'@': 299})}, 481: {20: (1, {'@': 300}), 18: (1, {'@': 300}), 21: (1, {'@': 300}), 22: (1, {'@': 300}), 7: (1, {'@': 300}), 23: (1, {'@': 300}), 24: (1, {'@': 300}), 25: (1, {'@': 300}), 26: (1, {'@': 300}), 12: (1, {'@': 300}), 3: (1, {'@': 300}), 27: (1, {'@': 300}), 2: (1, {'@': 300}), 29: (1, {'@': 300}), 1: (1, {'@': 300}), 30: (1, {'@': 300}), 31: (1, {'@': 300}), 4: (1, {'@': 300}), 32: (1, {'@': 300}), 0: (1, {'@': 300}), 16: (1, {'@': 300}), 33: (1, {'@': 300}), 34: (1, {'@': 300}), 35: (1, {'@': 300}), 36: (1, {'@': 300}), 37: (1, {'@': 300}), 38: (1, {'@': 300}), 39: (1, {'@': 300}), 17: (1, {'@': 300}), 40: (1, {'@': 300}), 41: (1, {'@': 300}), 42: (1, {'@': 300}), 43: (1, {'@': 300}), 44: (1, {'@': 300}), 45: (1, {'@': 300}), 46: (1, {'@': 300}), 47: (1, {'@': 300}), 48: (1, {'@': 300}), 49: (1, {'@': 300}), 50: (1, {'@': 300}), 51: (1, {'@': 300})}, 482: {20: (1, {'@': 301}), 18: (1, {'@': 301}), 21: (1, {'@': 301}), 22: (1, {'@': 301}), 7: (1, {'@': 301}), 23: (1, {'@': 301}), 24: (1, {'@': 301}), 25: (1, {'@': 301}), 26: (1, {'@': 301}), 12: (1, {'@': 301}), 3: (1, {'@': 301}), 27: (1, {'@': 301}), 2: (1, {'@': 301}), 29: (1, {'@': 301}), 1: (1, {'@': 301}), 30: (1, {'@': 301}), 31: (1, {'@': 301}), 4: (1, {'@': 301}), 32: (1, {'@': 301}), 0: (1, {'@': 301}), 16: (1, {'@': 301}), 33: (1, {'@': 301}), 34: (1, {'@': 301}), 35: (1, {'@': 301}), 36: (1, {'@': 301}), 37: (1, {'@': 301}), 38: (1, {'@': 301}), 39: (1, {'@': 301}), 17: (1, {'@': 301}), 40: (1, {'@': 301}), 41: (1, {'@': 301}), 42: (1, {'@': 301}), 43: (1, {'@': 301}), 44: (1, {'@': 301}), 45: (1, {'@': 301}), 46: (1, {'@': 301}), 47: (1, {'@': 301}), 48: (1, {'@': 301}), 49: (1, {'@': 301}), 50: (1, {'@': 301}), 51: (1, {'@': 301})}, 483: {4: (0, 500)}, 484: {20: (1, {'@': 302}), 18: (1, {'@': 302}), 21: (1, {'@': 302}), 22: (1, {'@': 302}), 7: (1, {'@': 302}), 23: (1, {'@': 302}), 24: (1, {'@': 302}), 25: (1, {'@': 302}), 26: (1, {'@': 302}), 12: (1, {'@': 302}), 3: (1, {'@': 302}), 27: (1, {'@': 302}), 2: (1, {'@': 302}), 29: (1, {'@': 302}), 1: (1, {'@': 302}), 30: (1, {'@': 302}), 31: (1, {'@': 302}), 4: (1, {'@': 302}), 32: (1, {'@': 302}), 0: (1, {'@': 302}), 16: (1, {'@': 302}), 33: (1, {'@': 302}), 34: (1, {'@': 302}), 35: (1, {'@': 302}), 36: (1, {'@': 302}), 37: (1, {'@': 302}), 38: (1, {'@': 302}), 39: (1, {'@': 302}), 17: (1, {'@': 302}), 40: (1, {'@': 302}), 41: (1, {'@': 302}), 42: (1, {'@': 302}), 43: (1, {'@': 302}), 44: (1, {'@': 302}), 45: (1, {'@': 302}), 46: (1, {'@': 302}), 47: (1, {'@': 302}), 48: (1, {'@': 302}), 49: (1, {'@': 302}), 50: (1, {'@': 302}), 51: (1, {'@': 302})}, 485: {20: (1, {'@': 303}), 18: (1, {'@': 303}), 21: (1, {'@': 303}), 22: (1, {'@': 303}), 7: (1, {'@': 303}), 23: (1, {'@': 303}), 24: (1, {'@': 303}), 25: (1, {'@': 303}), 26: (1, {'@': 303}), 12: (1, {'@': 303}), 3: (1, {'@': 303}), 27: (1, {'@': 303}), 2: (1, {'@': 303}), 29: (1, {'@': 303}), 1: (1, {'@': 303}), 30: (1, {'@': 303}), 31: (1, {'@': 303}), 4: (1, {'@': 303}), 32: (1, {'@': 303}), 0: (1, {'@': 303}), 16: (1, {'@': 303}), 33: (1, {'@': 303}), 34: (1, {'@': 303}), 35: (1, {'@': 303}), 36: (1, {'@': 303}), 37: (1, {'@': 303}), 38: (1, {'@': 303}), 39: (1, {'@': 303}), 17: (1, {'@': 303}), 40: (1, {'@': 303}), 41: (1, {'@': 303}), 42: (1, {'@': 303}), 43: (1, {'@': 303}), 44: (1, {'@': 303}), 45: (1, {'@': 303}), 46: (1, {'@': 303}), 47: (1, {'@': 303}), 48: (1, {'@': 303}), 49: (1, {'@': 303}), 50: (1, {'@': 303}), 51: (1, {'@': 303})}, 486: {20: (1, {'@': 304}), 18: (1, {'@': 304}), 21: (1, {'@': 304}), 22: (1, {'@': 304}), 7: (1, {'@': 304}), 23: (1, {'@': 304}), 24: (1, {'@': 304}), 25: (1, {'@': 304}), 26: (1, {'@': 304}), 12: (1, {'@': 304}), 3: (1, {'@': 304}), 27: (1, {'@': 304}), 2: (1, {'@': 304}), 29: (1, {'@': 304}), 1: (1, {'@': 304}), 30: (1, {'@': 304}), 31: (1, {'@': 304}), 4: (1, {'@': 304}), 32: (1, {'@': 304}), 0: (1, {'@': 304}), 16: (1, {'@': 304}), 33: (1, {'@': 304}), 34: (1, {'@': 304}), 35: (1, {'@': 304}), 36: (1, {'@': 304}), 37: (1, {'@': 304}), 38: (1, {'@': 304}), 39: (1, {'@': 304}), 17: (1, {'@': 304}), 40: (1, {'@': 304}), 41: (1, {'@': 304}), 42: (1, {'@': 304}), 43: (1, {'@': 304}), 44: (1, {'@': 304}), 45: (1, {'@': 304}), 46: (1, {'@': 304}), 47: (1, {'@': 304}), 48: (1, {'@': 304}), 49: (1, {'@': 304}), 50: (1, {'@': 304}), 51: (1, {'@': 304})}, 487: {26: (1, {'@': 305}), 46: (1, {'@': 305}), 0: (0, 7), 20: (1, {'@': 305}), 47: (1, {'@': 305}), 16: (1, {'@': 305}), 12: (1, {'@': 305}), 3: (0, 13), 21: (1, {'@': 305}), 36: (1, {'@': 305}), 29: (1, {'@': 305}), 17: (1, {'@': 305}), 7: (1, {'@': 305}), 23: (1, {'@': 305}), 1: (0, 11), 30: (1, {'@': 305}), 8: (0, 501), 9: (0, 5)}, 488: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 45: (0, 502), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 489: {26: (1, {'@': 306}), 46: (1, {'@': 306}), 0: (1, {'@': 306}), 20: (1, {'@': 306}), 47: (1, {'@': 306}), 16: (1, {'@': 306}), 12: (1, {'@': 306}), 3: (1, {'@': 306}), 21: (1, {'@': 306}), 36: (1, {'@': 306}), 29: (1, {'@': 306}), 17: (1, {'@': 306}), 7: (1, {'@': 306}), 23: (1, {'@': 306}), 1: (1, {'@': 306}), 30: (1, {'@': 306})}, 490: {26: (1, {'@': 307}), 46: (1, {'@': 307}), 0: (0, 7), 20: (1, {'@': 307}), 47: (1, {'@': 307}), 16: (1, {'@': 307}), 12: (1, {'@': 307}), 3: (0, 13), 21: (1, {'@': 307}), 36: (1, {'@': 307}), 29: (1, {'@': 307}), 17: (1, {'@': 307}), 7: (1, {'@': 307}), 23: (1, {'@': 307}), 1: (0, 11), 30: (1, {'@': 307}), 8: (0, 503), 9: (0, 5)}, 491: {26: (1, {'@': 308}), 46: (1, {'@': 308}), 0: (1, {'@': 308}), 20: (1, {'@': 308}), 47: (1, {'@': 308}), 16: (1, {'@': 308}), 12: (1, {'@': 308}), 3: (1, {'@': 308}), 21: (1, {'@': 308}), 36: (1, {'@': 308}), 29: (1, {'@': 308}), 17: (1, {'@': 308}), 7: (1, {'@': 308}), 23: (1, {'@': 308}), 1: (1, {'@': 308}), 30: (1, {'@': 308})}, 492: {26: (1, {'@': 309}), 46: (1, {'@': 309}), 0: (1, {'@': 309}), 20: (1, {'@': 309}), 47: (1, {'@': 309}), 16: (1, {'@': 309}), 12: (1, {'@': 309}), 3: (1, {'@': 309}), 21: (1, {'@': 309}), 36: (1, {'@': 309}), 29: (1, {'@': 309}), 17: (1, {'@': 309}), 7: (1, {'@': 309}), 23: (1, {'@': 309}), 1: (1, {'@': 309}), 30: (1, {'@': 309})}, 493: {26: (1, {'@': 310}), 46: (1, {'@': 310}), 0: (0, 7), 20: (1, {'@': 310}), 47: (1, {'@': 310}), 16: (1, {'@': 310}), 12: (1, {'@': 310}), 3: (0, 13), 21: (1, {'@': 310}), 36: (1, {'@': 310}), 29: (1, {'@': 310}), 17: (1, {'@': 310}), 7: (1, {'@': 310}), 23: (1, {'@': 310}), 1: (0, 11), 30: (1, {'@': 310}), 9: (0, 5), 8: (0, 504)}, 494: {26: (1, {'@': 311}), 46: (1, {'@': 311}), 0: (0, 7), 20: (1, {'@': 311}), 47: (1, {'@': 311}), 16: (1, {'@': 311}), 12: (1, {'@': 311}), 3: (0, 13), 21: (1, {'@': 311}), 36: (1, {'@': 311}), 29: (1, {'@': 311}), 17: (1, {'@': 311}), 7: (1, {'@': 311}), 23: (1, {'@': 311}), 1: (0, 11), 30: (1, {'@': 311}), 9: (0, 5), 8: (0, 505)}, 495: {50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 33: (0, 94), 38: (0, 84), 43: (0, 85), 45: (0, 506), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 22: (0, 95), 44: (0, 96)}, 496: {16: (0, 31), 20: (0, 33), 54: (0, 34), 47: (0, 35), 23: (0, 36), 55: (0, 37), 56: (0, 38), 57: (0, 39), 21: (0, 40), 6: (0, 41), 7: (0, 3), 58: (0, 42), 29: (0, 43), 53: (0, 507), 26: (0, 44), 59: (0, 45), 30: (0, 46), 60: (0, 47), 61: (0, 48), 12: (0, 9), 62: (0, 49), 63: (0, 50), 64: (0, 51), 65: (0, 52), 66: (0, 53), 67: (0, 54), 36: (0, 55), 13: (0, 56), 17: (0, 57), 68: (0, 58), 69: (0, 59), 46: (0, 60), 70: (0, 61), 71: (0, 62), 72: (0, 63), 73: (0, 64), 74: (0, 65)}, 497: {45: (0, 508), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 498: {26: (1, {'@': 312}), 46: (1, {'@': 312}), 0: (1, {'@': 312}), 20: (1, {'@': 312}), 47: (1, {'@': 312}), 16: (1, {'@': 312}), 12: (1, {'@': 312}), 3: (1, {'@': 312}), 21: (1, {'@': 312}), 36: (1, {'@': 312}), 29: (1, {'@': 312}), 17: (1, {'@': 312}), 7: (1, {'@': 312}), 23: (1, {'@': 312}), 1: (1, {'@': 312}), 30: (1, {'@': 312})}, 499: {20: (1, {'@': 313}), 18: (1, {'@': 313}), 21: (1, {'@': 313}), 22: (1, {'@': 313}), 7: (1, {'@': 313}), 23: (1, {'@': 313}), 24: (1, {'@': 313}), 25: (1, {'@': 313}), 26: (1, {'@': 313}), 12: (1, {'@': 313}), 3: (1, {'@': 313}), 27: (1, {'@': 313}), 2: (1, {'@': 313}), 29: (1, {'@': 313}), 1: (1, {'@': 313}), 30: (1, {'@': 313}), 31: (1, {'@': 313}), 4: (1, {'@': 313}), 32: (1, {'@': 313}), 0: (1, {'@': 313}), 16: (1, {'@': 313}), 33: (1, {'@': 313}), 34: (1, {'@': 313}), 35: (1, {'@': 313}), 36: (1, {'@': 313}), 37: (1, {'@': 313}), 38: (1, {'@': 313}), 39: (1, {'@': 313}), 17: (1, {'@': 313}), 40: (1, {'@': 313}), 41: (1, {'@': 313}), 42: (1, {'@': 313}), 43: (1, {'@': 313}), 44: (1, {'@': 313}), 45: (1, {'@': 313}), 46: (1, {'@': 313}), 47: (1, {'@': 313}), 48: (1, {'@': 313}), 49: (1, {'@': 313}), 50: (1, {'@': 313}), 51: (1, {'@': 313})}, 500: {20: (1, {'@': 314}), 18: (1, {'@': 314}), 21: (1, {'@': 314}), 22: (1, {'@': 314}), 7: (1, {'@': 314}), 23: (1, {'@': 314}), 24: (1, {'@': 314}), 25: (1, {'@': 314}), 26: (1, {'@': 314}), 12: (1, {'@': 314}), 3: (1, {'@': 314}), 27: (1, {'@': 314}), 2: (1, {'@': 314}), 29: (1, {'@': 314}), 1: (1, {'@': 314}), 30: (1, {'@': 314}), 31: (1, {'@': 314}), 4: (1, {'@': 314}), 32: (1, {'@': 314}), 0: (1, {'@': 314}), 16: (1, {'@': 314}), 33: (1, {'@': 314}), 34: (1, {'@': 314}), 35: (1, {'@': 314}), 36: (1, {'@': 314}), 37: (1, {'@': 314}), 38: (1, {'@': 314}), 39: (1, {'@': 314}), 17: (1, {'@': 314}), 40: (1, {'@': 314}), 41: (1, {'@': 314}), 42: (1, {'@': 314}), 43: (1, {'@': 314}), 44: (1, {'@': 314}), 45: (1, {'@': 314}), 46: (1, {'@': 314}), 47: (1, {'@': 314}), 48: (1, {'@': 314}), 49: (1, {'@': 314}), 50: (1, {'@': 314}), 51: (1, {'@': 314})}, 501: {26: (1, {'@': 315}), 46: (1, {'@': 315}), 0: (1, {'@': 315}), 20: (1, {'@': 315}), 47: (1, {'@': 315}), 16: (1, {'@': 315}), 12: (1, {'@': 315}), 3: (1, {'@': 315}), 21: (1, {'@': 315}), 36: (1, {'@': 315}), 29: (1, {'@': 315}), 17: (1, {'@': 315}), 7: (1, {'@': 315}), 23: (1, {'@': 315}), 1: (1, {'@': 315}), 30: (1, {'@': 315})}, 502: {26: (1, {'@': 316}), 46: (1, {'@': 316}), 0: (0, 7), 20: (1, {'@': 316}), 47: (1, {'@': 316}), 16: (1, {'@': 316}), 12: (1, {'@': 316}), 3: (0, 13), 21: (1, {'@': 316}), 36: (1, {'@': 316}), 29: (1, {'@': 316}), 17: (1, {'@': 316}), 7: (1, {'@': 316}), 23: (1, {'@': 316}), 1: (0, 11), 30: (1, {'@': 316}), 9: (0, 5), 8: (0, 509)}, 503: {26: (1, {'@': 317}), 46: (1, {'@': 317}), 0: (1, {'@': 317}), 20: (1, {'@': 317}), 47: (1, {'@': 317}), 16: (1, {'@': 317}), 12: (1, {'@': 317}), 3: (1, {'@': 317}), 21: (1, {'@': 317}), 36: (1, {'@': 317}), 29: (1, {'@': 317}), 17: (1, {'@': 317}), 7: (1, {'@': 317}), 23: (1, {'@': 317}), 1: (1, {'@': 317}), 30: (1, {'@': 317})}, 504: {26: (1, {'@': 318}), 46: (1, {'@': 318}), 0: (1, {'@': 318}), 20: (1, {'@': 318}), 47: (1, {'@': 318}), 16: (1, {'@': 318}), 12: (1, {'@': 318}), 3: (1, {'@': 318}), 21: (1, {'@': 318}), 36: (1, {'@': 318}), 29: (1, {'@': 318}), 17: (1, {'@': 318}), 7: (1, {'@': 318}), 23: (1, {'@': 318}), 1: (1, {'@': 318}), 30: (1, {'@': 318})}, 505: {26: (1, {'@': 319}), 46: (1, {'@': 319}), 0: (1, {'@': 319}), 20: (1, {'@': 319}), 47: (1, {'@': 319}), 16: (1, {'@': 319}), 12: (1, {'@': 319}), 3: (1, {'@': 319}), 21: (1, {'@': 319}), 36: (1, {'@': 319}), 29: (1, {'@': 319}), 17: (1, {'@': 319}), 7: (1, {'@': 319}), 23: (1, {'@': 319}), 1: (1, {'@': 319}), 30: (1, {'@': 319})}, 506: {26: (1, {'@': 320}), 46: (1, {'@': 320}), 0: (0, 7), 20: (1, {'@': 320}), 47: (1, {'@': 320}), 16: (1, {'@': 320}), 12: (1, {'@': 320}), 3: (0, 13), 21: (1, {'@': 320}), 36: (1, {'@': 320}), 29: (1, {'@': 320}), 17: (1, {'@': 320}), 7: (1, {'@': 320}), 23: (1, {'@': 320}), 1: (0, 11), 30: (1, {'@': 320}), 9: (0, 5), 8: (0, 510)}, 507: {45: (0, 511), 50: (0, 80), 77: (0, 81), 41: (0, 82), 37: (0, 83), 38: (0, 84), 43: (0, 85), 46: (0, 86), 39: (0, 87), 48: (0, 88), 49: (0, 89), 78: (0, 90), 40: (0, 91), 34: (0, 92), 33: (0, 94), 22: (0, 95), 44: (0, 96)}, 508: {26: (1, {'@': 321}), 46: (1, {'@': 321}), 0: (0, 7), 20: (1, {'@': 321}), 47: (1, {'@': 321}), 16: (1, {'@': 321}), 12: (1, {'@': 321}), 3: (0, 13), 21: (1, {'@': 321}), 36: (1, {'@': 321}), 29: (1, {'@': 321}), 17: (1, {'@': 321}), 7: (1, {'@': 321}), 23: (1, {'@': 321}), 1: (0, 11), 30: (1, {'@': 321}), 9: (0, 5), 8: (0, 512)}, 509: {26: (1, {'@': 322}), 46: (1, {'@': 322}), 0: (1, {'@': 322}), 20: (1, {'@': 322}), 47: (1, {'@': 322}), 16: (1, {'@': 322}), 12: (1, {'@': 322}), 3: (1, {'@': 322}), 21: (1, {'@': 322}), 36: (1, {'@': 322}), 29: (1, {'@': 322}), 17: (1, {'@': 322}), 7: (1, {'@': 322}), 23: (1, {'@': 322}), 1: (1, {'@': 322}), 30: (1, {'@': 322})}, 510: {26: (1, {'@': 323}), 46: (1, {'@': 323}), 0: (1, {'@': 323}), 20: (1, {'@': 323}), 47: (1, {'@': 323}), 16: (1, {'@': 323}), 12: (1, {'@': 323}), 3: (1, {'@': 323}), 21: (1, {'@': 323}), 36: (1, {'@': 323}), 29: (1, {'@': 323}), 17: (1, {'@': 323}), 7: (1, {'@': 323}), 23: (1, {'@': 323}), 1: (1, {'@': 323}), 30: (1, {'@': 323})}, 511: {26: (1, {'@': 324}), 46: (1, {'@': 324}), 0: (0, 7), 20: (1, {'@': 324}), 47: (1, {'@': 324}), 16: (1, {'@': 324}), 12: (1, {'@': 324}), 3: (0, 13), 21: (1, {'@': 324}), 36: (1, {'@': 324}), 29: (1, {'@': 324}), 17: (1, {'@': 324}), 7: (1, {'@': 324}), 23: (1, {'@': 324}), 1: (0, 11), 30: (1, {'@': 324}), 9: (0, 5), 8: (0, 513)}, 512: {26: (1, {'@': 325}), 46: (1, {'@': 325}), 0: (1, {'@': 325}), 20: (1, {'@': 325}), 47: (1, {'@': 325}), 16: (1, {'@': 325}), 12: (1, {'@': 325}), 3: (1, {'@': 325}), 21: (1, {'@': 325}), 36: (1, {'@': 325}), 29: (1, {'@': 325}), 17: (1, {'@': 325}), 7: (1, {'@': 325}), 23: (1, {'@': 325}), 1: (1, {'@': 325}), 30: (1, {'@': 325})}, 513: {26: (1, {'@': 326}), 46: (1, {'@': 326}), 0: (1, {'@': 326}), 20: (1, {'@': 326}), 47: (1, {'@': 326}), 16: (1, {'@': 326}), 12: (1, {'@': 326}), 3: (1, {'@': 326}), 21: (1, {'@': 326}), 36: (1, {'@': 326}), 29: (1, {'@': 326}), 17: (1, {'@': 326}), 7: (1, {'@': 326}), 23: (1, {'@': 326}), 1: (1, {'@': 326}), 30: (1, {'@': 326})}}, 'start_states': {'start': 0}, 'end_states': {'start': 24}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 97}, {'@': 58}, {'@': 62}, {'@': 50}, {'@': 53}, {'@': 45}, {'@': 112}, {'@': 65}, {'@': 124}, {'@': 98}, {'@': 208}, {'@': 171}, {'@': 143}, {'@': 125}, {'@': 127}, {'@': 126}, {'@': 147}, {'@': 48}, {'@': 47}, {'@': 68}, {'@': 90}, {'@': 76}, {'@': 176}, {'@': 91}, {'@': 79}, {'@': 123}, {'@': 122}, {'@': 109}, {'@': 107}, {'@': 103}, {'@': 108}, {'@': 114}, {'@': 100}, {'@': 102}, {'@': 105}, {'@': 110}, {'@': 101}, {'@': 104}, {'@': 106}, {'@': 113}, {'@': 111}, {'@': 153}, {'@': 131}, {'@': 177}, {'@': 154}, {'@': 155}, {'@': 132}, {'@': 89}, {'@': 94}, {'@': 86}, {'@': 80}, {'@': 82}, {'@': 87}, {'@': 85}, {'@': 93}, {'@': 70}, {'@': 92}, {'@': 88}, {'@': 72}, {'@': 66}, {'@': 78}, {'@': 84}, {'@': 69}, {'@': 81}, {'@': 83}, {'@': 77}, {'@': 71}, {'@': 51}, {'@': 73}, {'@': 207}, {'@': 141}, {'@': 142}, {'@': 277}, {'@': 249}, {'@': 250}, {'@': 215}, {'@': 248}, {'@': 214}, {'@': 179}, {'@': 247}, {'@': 213}, {'@': 212}, {'@': 178}, {'@': 216}, {'@': 180}, {'@': 156}, {'@': 257}, {'@': 223}, {'@': 224}, {'@': 185}, {'@': 226}, {'@': 187}, {'@': 158}, {'@': 221}, {'@': 184}, {'@': 182}, {'@': 157}, {'@': 189}, {'@': 160}, {'@': 134}, {'@': 133}, {'@': 115}, {'@': 209}, {'@': 172}, {'@': 173}, {'@': 144}, {'@': 175}, {'@': 148}, {'@': 146}, {'@': 128}, {'@': 99}, {'@': 149}, {'@': 150}, {'@': 129}, {'@': 151}, {'@': 152}, {'@': 130}, {'@': 74}, {'@': 67}, {'@': 238}, {'@': 204}, {'@': 205}, {'@': 169}, {'@': 206}, {'@': 170}, {'@': 140}, {'@': 236}, {'@': 200}, {'@': 237}, {'@': 201}, {'@': 199}, {'@': 165}, {'@': 202}, {'@': 167}, {'@': 203}, {'@': 168}, {'@': 166}, {'@': 139}, {'@': 120}, {'@': 119}, {'@': 117}, {'@': 118}, {'@': 235}, {'@': 198}, {'@': 197}, {'@': 163}, {'@': 138}, {'@': 137}, {'@': 135}, {'@': 116}, {'@': 194}, {'@': 162}, {'@': 300}, {'@': 279}, {'@': 280}, {'@': 254}, {'@': 281}, {'@': 255}, {'@': 219}, {'@': 278}, {'@': 251}, {'@': 252}, {'@': 217}, {'@': 253}, {'@': 218}, {'@': 181}, {'@': 282}, {'@': 258}, {'@': 259}, {'@': 227}, {'@': 260}, {'@': 228}, {'@': 190}, {'@': 261}, {'@': 230}, {'@': 229}, {'@': 191}, {'@': 231}, {'@': 192}, {'@': 161}, {'@': 314}, {'@': 302}, {'@': 303}, {'@': 284}, {'@': 301}, {'@': 283}, {'@': 262}, {'@': 304}, {'@': 287}, {'@': 286}, {'@': 264}, {'@': 285}, {'@': 263}, {'@': 239}, {'@': 313}, {'@': 298}, {'@': 297}, {'@': 274}, {'@': 299}, {'@': 275}, {'@': 245}, {'@': 296}, {'@': 272}, {'@': 273}, {'@': 244}, {'@': 276}, {'@': 246}, {'@': 211}, {'@': 326}, {'@': 324}, {'@': 325}, {'@': 321}, {'@': 323}, {'@': 320}, {'@': 319}, {'@': 311}, {'@': 318}, {'@': 310}, {'@': 309}, {'@': 292}, {'@': 312}, {'@': 294}, {'@': 293}, {'@': 269}, {'@': 295}, {'@': 271}, {'@': 270}, {'@': 243}, {'@': 322}, {'@': 316}, {'@': 315}, {'@': 305}, {'@': 317}, {'@': 307}, {'@': 306}, {'@': 288}, {'@': 308}, {'@': 290}, {'@': 289}, {'@': 265}, {'@': 291}, {'@': 268}, {'@': 267}, {'@': 242}, {'@': 266}, {'@': 240}, {'@': 241}, {'@': 210}, {'@': 232}, {'@': 193}, {'@': 55}, {'@': 46}, {'@': 63}, {'@': 64}, {'@': 56}, {'@': 57}, {'@': 96}, {'@': 95}, {'@': 52}, {'@': 54}, {'@': 49}, {'@': 61}, {'@': 60}, {'@': 59}, {'@': 75}, {'@': 121}, {'@': 220}, {'@': 183}, {'@': 188}, {'@': 159}, {'@': 256}, {'@': 222}, {'@': 225}, {'@': 186}, {'@': 145}, {'@': 174}, {'@': 136}, {'@': 164}, {'@': 195}, {'@': 196}, {'@': 233}, {'@': 234}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{(?:(?:(?:(?!\\${)([^}]))+|\\$\\{[^}]+\\}))+\\}))*"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 47: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 49: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 50: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 51: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 52: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 53: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 54: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 59: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 65: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 67: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 68: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 76: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 77: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 96: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 97: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 98: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 122: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 135: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 137: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 146: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 149: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 156: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 160: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 161: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 165: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 175: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 184: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 186: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 187: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 189: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 190: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 194: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 195: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 196: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 197: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 202: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 221: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 223: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 226: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 227: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 230: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 232: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 234: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 235: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 257: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 262: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 323: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 324: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 325: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 326: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

